General Changes in V8.10.0.1

Compatibility of Windows 10 with Suite8 Version 8.10.0.1 and IFC 8 10.0.0.0 is hereby announced - except for the WebConnect Installer until further notice.


CRM Changes in V8.10.0.1

Mailing

The Fields lettergreeting, addressgreetingshort, addressgreetingfull and addressgreeting from inactive profiles linked to a company profile have been displayed. The view V8_MAILING_CUSTOMERS has been corrected.


Reservation Changes in V8.10.0.1

Reservation → Options → Billing Information

Speed issue while displaying the HTML.


Setup Miscellaneous Changes in V8.10.0.1

Setup → Miscellaneous → Updates → Translation

Due to the no longer existing FTP file transfer, the option 'Download and Import Multiple Languages' has been removed, the option 'Import Translation Manually' has been renamed to 'Translation Update' and the Translation Update option under Setup → Configuration → Miscellaneous has been removed.


New and Changed Reports/html in V8.10.0.1

The following report has been added:

  • FCR_PMS_4130_GIH_VIP_WITH_PICTURE.S8R

  • FCR_PMS_4130_GIH_VIP_WITH_PICTURE.qry

  • FCR_PMS_4130_GIH_VIP_WITH_PICTURE.htm: VIP Guests with profile picture

The following reports/htmls have been changed:

  • resbillinginfo.qry

  • FCR_PMS_4702_STAT_MANAGER_REPORT_BUDGET: corrected formular fields for budget % fields. Division by 0 error in case SMBD_ROOMSINHOTEL_D/_M/_Y was 0. Added new parameter ?ShowDec for changed budget fields SMBD_ADULTS_D/_M/_Y; SMBD_CHILDS_D/_M_Y and SMBD_ROOMS_D/_M/_Y. Added formular fields for each field related to Adults/Kids/Rooms to either show decimals or not. Moved TTR_PAGE/TTR_PrintedOn to the top

  • FCR_PMS_4705b_STAT_MANAGER_D_V_BUDGET: corrected formular fields for budget % fields. Division by 0 error in case SMBD_ROOMSINHOTEL_D/_M/_Y was 0. Added new parameter ?ShowDec for changed budget fields SMBD_ADULTS_D/_M/_Y; SMBD_CHILDS_D/_M_Y and SMBD_ROOMS_D/_M/_Y. Added formular fields for each field related to Adults/Kids/Rooms to either show decimals or not. Moved TTR_PAGE/TTR_PrintedOn to the top

  • FCR_PMS_4706_STAT_MANAGER_REPORT_BUD_LASTYEAR: corrected formular fields for budget % fields. Division by 0 error in case SMBD_ROOMSINHOTEL_D/_M/_Y was 0. Added new parameter ?ShowDec for changed budget fields SMBD_ADULTS_D/_M/_Y; SMBD_CHILDS_D/_M_Y and SMBD_ROOMS_D/_M/_Y. Added formular fields for each field related to Adults/Kids/Rooms to either show decimals or not. Moved TTR_PAGE/TTR_PrintedOn to the top


New and Changed Views in V8.10.0.1

The following view has been changed:

  • V8_MAILING_CUSTOMERS


Miscellaneous Changes in V8.10.0.1

Miscellaneous → Export

The option was not available with Catering & Conference license only.


Suite8 Online Interface Changes in V8.10.0.1

Best Western Two Way Interface License and Best Western Business rules

An additional tab was displayed in the Block edit screen which caused unexpected errors when trying to change a Block header. The tab and related functionality has been removed. This issue was first introduced in Version 8.10.0.0. Therefore this version should NOT be installed when the Best Western two way interface is installed. Please install 8.10.0.1 instead.

Suite8 Online IFC mapper to Seekda

Suite8 Online IFC mapper to Seekda now officially supports upload of rate code details.

The functionality is available since version 8.9.3.0 however minimum recommended version is 8.9.6.20 due to other issues fixed for the Seekda mapper.

Online IFC - Trust Voyager mapper

The rate amount for additional guests was incorrect when a rate code has a day type attached. Now the additional rate amount is not affected by a day type and is uploaded to Trust with the original rate amount.


Suite8 Kiosk Changes V8.10.0.1

Kiosk

Error 'XADR_XSTA_ID: invalid identifier' appeared when clicking 'You have a reservation' and the Reservation number of arriving guest has been entered.


XML Interface Changes in V8.10.0.1

XML Interface

  • Requests with the condition 'OR' did not work. Now it is possible to use relation 'OR' operator.

  • The same package with different date ranges could not be added to a reservation.

  • Reservation notes have been created with links to XCMS instead of YRES when the conversion table has been set up.

  • It was possible to add multiple profile attributes, even if the attribute was defined as single use.

OTA XML Upload

As soon as an inclusive package has been linked to a rate code, it has been added to the rate amount in the xml message and the field AmountAfterTax showed a wrong amount.

XML Interface, Reservations & Financial Accounts

The 'No Post' flag for reservations and financial accounts has not been considered for the XML Interface. Now, when the flag has been set the message 'Posting cannot be made as NoPost is activated for the reservation/financial account' will come up in the XML Interface response.


Interface Changes in V8.10.0.1

Key Interface

The new global setting 'Default number of keys to number of persons' has been implemented under Setup → Configuration → Global Settings → Interfaces → 2 Interface (IFC8). If activated, the number of keys will be set by default to number of persons in the reservation. The global setting cannot be activated when the parameter 'Always Default to 1 Key' is active and vice versa.


Translation Studio Changes V8.10.0.1

Translation

Translation of 'Article Groups' from Setup → Configuration → Cashiering was incorrectly translated in German translation.


New License Handling

All licenses in Suite8 have been adapted to the new licenses as available on the Oracle Global Price list. Also license naming has been modified and SKU numbers (former Part numbers) have been added for better identification/comparison. All this is reflected in the sub license screen of Suite8. Some of the old licenses have been removed and turned into features and are now part of the new Feature List in Suite8.

These are the old licenses, that have been turned into features:

  • AVS Registration Card Interface → AVS Registration Card Interface

  • Billing Component → CCM Billing Component

  • Bill View → IFC Bill View

  • Blocks → Block Reservation

  • CHECK In/Out → IFC Check In/Check Out

  • Credit Card Handling → IFC Credit Card Interface

  • CRM Address Doctor Integration Interface → Address Doctor Integration Interface

  • CRS ONE WAY - Suite 8 Channel Manager → CRS One/Two-Way - Suite8 Channel Manager

  • CRS TWO WAY - Suite 8 Channel Manager → CRS One/Two-Way - Suite8 Channel Manager

  • CRS ONE WAY - MFNET ORS → CRS One/Two-Way - myfidelio ORS

  • CRS TWO WAY - MFNET ORS → CRS One/Two-Way - myfidelio ORS

  • Enhanced Posting → IFC Enhanced Posting

  • Full Call Accounting → IFC Full Call Accounting

  • Key Service System → IFC Keys

  • Mailing → Mailing

  • Materials Control Interface → CCM MC Interface

  • Partial Call Accounting → IFC Partial Call Accounting

  • POS Check Detail Transfer → IFC POS Check Detail Transfer

  • Promotions → Promotions

  • Remote Check-Out → IFC Remote Check Out

  • Simple Posting → IFC Simple Posting

  • Synchronize Applications (Outlook) → Synchronize Applications (Outlook)

  • Text Message Handling → IFC Text Message Handling

  • TourOperatorInvoice → Tour Operator Invoice

  • Virtual Numbers → IFC Virtual Numbers

  • Voicemail Handling → IFC Voice Mail Handling

  • Wake up Call Handling → IFC Wake -Up Calls

There are now 5 main licenses:

  • Professional Edition

  • Resort Edition

  • Small Business Edition

  • Conference and Catering Base (former CCM Only)

  • Central Head Office (former Master flag)

The only difference between the first three are the number of available features, please see below.

For Conference and Catering Base there is no feature list, all required features are enabled by default.

Central Head Office only to be used for Hotel Connector/CRS master in combination with the other Central Head Office sub licenses.

The new main license 'Central Head Office' is replacing the 'Master hotel' check-mark on the License screen. Main license has same result as old combination 'Master hotel' flag enabled and v8pms sublicense inactive.

The number of sessions check for CCM Only license has been removed as it is no longer required.

Note: Seasonal License does not exist anymore.

Number of available features in total: 102

  • Professional Edition: all features can be enabled

  • Resort Edition: max. 30 features can be enabled

  • Small Business Edition: max. 18 features can be enabled

When starting Suite8 Version 8.9.6.3 for the first time, the feature list needs to be reviewed. For Professional Edition all features are enabled by default and features like A/R and Blocks, that used to be sub licenses, would be visible although not used so far. For Resort Edition, the first 30 features are enabled by default and list needs to be reviewed. For SBE the feature list already existed in previous version, therefore the features remain as they were and list needs to be reviewed as well.


General Changes in V8.10.0.0

Suite8 ini file

From this version on an *.ini file is required with all database connection details and command line parameters to start Suite8. The name of the *.ini file should be the same as the connected schema (user, e.g. V8live). This makes it easy to create shortcuts to different users using the same program files, e.g. in a CRS environment as well as for the support to have a generic structure.The *.ini file needs to be added in the shortcut. An example for the shortcut properties would be: C:\Fidelio\programs\fideliov8.exe C:\Fidelio\programs\v8live.ini. An example is provided with the release and can be found in the folder Suite8Ini. Suite8 will not start without the *.ini file.
In case automatic Night Audit is being used, the command line under Setup→Configuration→Global Settings→Night Audit needs to get adjusted with the new startup parameters

Security

In order to fulfil the Oracle PA-DSS Certification 3.1 the credit cards linked to profiles and the protected data (XCCS→XCCS_NUMBER and WPRT →WPRT_VALUE) will be encrypted with Oracle Wallet. If Oracle Wallet is not active or the fields are not encrypted, Suite8 will not start and the message 'Please activate the oracle wallet' will appear.

Refer to the Installation Guide for 8.10.0.0 to learn about the necessary steps required to activate Oracle Wallet.

Grids → Export to Excel

Data has not been exported properly. This has been fixed and is available since Version 8.9.6.10.


Legal Requirements added in V8.10.0.0

Legal Requirements for Philippines

Due to the fact that in Philippines 3 different kinds of taxes are used but only certain people/citizens are eligible for a certain tax - all other taxes should not be exempted. Therefore the ability to define which taxes linked to a department code should be exempted has been implemented.

Setup:

  • Global Settings: the setting 'Enable Philippines-style Tax Exemption' on Country Specifics Tab2 has to be enabled. With this new setting enabled, the existing setting 'Calculate VAT but don't post' is automatically switched on.

  • Cashiering → Tax Exemption: it is possible to define for which TAX/SVC codes the tax exemption should apply

  • Department Codes: it is possible to link up to three different tax codes.

Billing: If a tax exemption is linked a new indicator with a scissor is displayed in the billing screen. Selecting this button will provide a screen, showing the department codes as posted on the selected window and all available tax exemption codes.

For all new postings the tax exemption will be applied automatically. For further information please refer to the document 'Legal Requirements for Philippines' and 'Tax Exemption'.

Legal Requirement for Hungary

XML Export of invoice data (Data Provision for Tax Authority) has been implemented with the functionality of the data export for invoices of a date range or of a number range by using HTML Reports. The functionality can be used from Suite8 Version8.7.4 on. The following files are required:

  1. Views

720_HungaryDataExportViews.sql

  2. XML and Query Files

InvoiceDataExportHungary.qry

InvoiceDataExportHungary.xml

nvoiceDataExportHungary_InvRange.qry

InvoiceDataExportHungary_InvRange.xml

For Suite8 Version 8.7.4:

InvoiceDataExportHungary_InvRange874.qry

InvoiceDataExportHungary_InvRange874.xml

InvoiceDataExportHungary874x.qry

InvoiceDataExportHungary874x.xml

  3. Reports (as of version 8.9)

FCR_PMS_9008_HUNGARY_DATA_EXPORT_INVOICERANGE.S8R

FCR_PMS_9008_HUNGARY_DATA_EXPORT_DATERANGE.S8R

Please contact the development to get the required files as well as the documention.


CRM Changes in V8.10.0.0

Profiles

Ability to change the profile type has been implemented. Activating the global setting 'Change Profile Type' under Setup → Configuration → Global Setting → Profile → Profile 1 tab and the new user right 'Change Profile Type' under User Rights → Customer Profiles enables the new functionality. On profile level the profile needs to be selected and under Options → Change Profile Type the new type can be selected, a search will be performed to check if conflicts with linked profiles of reservations exist and the profile type can be changed accordingly. Statistics will be affected as well (SHIS, SHIB, SHIE), except for cumulated statistics (SMAN). Please note, that the functionality is not available for HCN and CRS.

Profile → Options → Guest Comments

Inactive guest comment types were selectable, this has been fixed.

Profiles → Options → Copy profile

Ability to copy profiles with the functionality to copy selectable parts of one profile to a new profile has been implemented. The copy screen shows the differences for each tab with the ability to copy either one or all information of the according tab. After the copy process the profile edit screen of the copied profile will be displayed and changes or additional information can be entered. If the Global Settings 'Enable Profile duplicate search' and 'Check profile duplicates after edit' are enabled potential duplicates will be shown automatically after the copy process. For more detailed information please refer to Online Help.

Profiles → Guest Card Info → Membership

Ability to link in setup a Regular Expression to Membership Types has been implemented. When entering or editing a membership in profile edit screen the linked regular expression will be checked when using the OK button and shows a message if not valid.

Profiles → Marketing & CRM-Profiles → Guest Card → Memberships

the field 'Tax Office' in Membership Edit Screen is mandatory if the Global Setting 'Enable E-Invoicing' under Setup → Configuration → Global Settings → Country Specs → Country Specifics3 → Turkish Settings is activated and an attribute of the E-Invoicing attribute category is linked to the profile. In addition the 'Validate' button is available in Guest Card Edit Screen as in certain cases the owner's citizenship value needs to be validated in Turkey.

Email → Link documents to emails which are linked to Profiles

Ability to link documents to emails which are linked to Profiles, Reservations, Conference Bookings, Events and Tasks & Activities has been implemented. When selecting Email → Add linked button the according documents will be displayed with the following handling: On profile level only documents linked to profile will be shown. On Reservation, Conference Booking and Tasks & Activity level the documents linked to the linked profile as well as the documents linked to the selected reservation, booking, tasks/activity will be displayed. On Event level the documents linked to the profile and booking of the event will be shown and can be selected.

Mailing → Standard Mailing

Entered values in the field 'Forecast from' of reservation section have not been displayed correctly when editing the query again. This has been fixed.

Financial Accounts → Notes

Notes for profile have not been saved properly when entering new financial account and notes for the profile.


Reservation Changes in V8.10.0.0

Reservation Navigator → Options

Functionality has been added allowing opening the Room Rack for selected reservations from the Reservation Navigator Options Menu when opening one of the following Tabs: 'Arrival', 'In House', 'Departure' or 'All'. Selecting the option 'Open in Room Rack' displays, all reservations from the grid of the opened tab. At least two reservations have to be selected when choosing this option from one of the tabs; if only one is selected all reservations from the corresponding tab are displayed on the Room Rack.

Individual Reservations

  • For sharing reservations with no rooms assigned, in certain scenarios when changing the arrival date for one of the reservations of of the other shared reservations was no sharer anymore. If rooms were assigned a message came up that the room is already booked followed by an access violation.

  • YRES_FROMCRS will not be filled anymore when manually creating a reservation and entering the CRS number. Only in case of downloaded ones this is filled.

  • The field 'Manual Price' has been marked when entering a new reservation, tabbing through the field, go back to a previous field and tabbing through again. This has been fixed.

Individual Reservation & Setup → Configuration → Global Settings → Reservations → Reservation3 tab

Fixed charges could not be changed anymore when global setting 'Link Calendar Events to Reservation' is enabled.

Individual Reservations & Groups

Reservations & Groups linked to a closed CCM booking will be 'closed' as well. This means no changes in those reservations/group/reservations linked to group can be made anymore as well as the reservations cannot be moved in room rack. Printing of confirmation letters is possible. The indicator 'Closed' appears on the bottom of the reservation edit screen and in group edit screen on top in the screen header then. To make the reservations/group accessible the 'Closed booking' flag needs to be deactivated in booking master edit screen. For more information see TT 24218.

Email → Link documents to emails which are linked to Reservations

Ability to link documents to emails which are linked to Profiles, Reservations, Conference Bookings, Events and Tasks & Activities has been implemented. When selecting Email → Add linked button the according documents will be displayed with the following handling: On profile level only documents linked to profile will be shown. On Reservation, Conference Booking and Tasks & Activity level the documents linked to the linked profile as well as the documents linked to the selected reservation, booking, tasks/activity will be displayed. On Event level the documents linked to the profile and booking of the event will be shown and can be selected.

Reservations & Interface

It was not possible to set up wake up calls for due out reservations via the reservation option menu.

Reservations → Rates

When creating reservations on a weekend day for a rate code defined with OTA/HTNG rates calculation method and weekend/weekdays rates, then weekday rate has been taken into consideration instead the weekend rate.

Reservations & Rooms → Room relations and connecting doors functionality

Ability to define room relations and configuration of connecting doors has been implemented with the following handling:

  1. Global Settings → Reservation → Reservation3 tab: the setting 'Room relations' activates the functionality. Activating the setting 'Connecting doors' allows the configuration of connecting doors. The setting 'Hide physical door status on screen' should be used if it is not intended to use the physical door status. This status shows the user if the connecting door is open or closed. When this feature is used, the user should change the door status whenever an employee closes or opens the connecting door.

  2. Setup → Configuration → Reservations → Room Management → Room Relations: Definition of all room relations.

  3. Reservations → Grid → Customize: 2 new fields are available: 'Roomrelationguestname' and 'Roomrelationroom'.

  4. Room Search (Ctrl+S) → Grid → Customize: the new field 'DoorTo' is available. In addition a flag for 'Connecting door' can be set in search criteria.

  5. Room Blocking → Grid → Customize: the field 'Connectingdoorrequested' is available in room blocking section and the field 'DoorTo' in room section.

  6. Reservations → Reservation Edit → Options → Room Relations: When a reservation with a requested room relation has been entered the related reservation for the connected room can be selected here. As soon as a relation exits the indicator 'Relation' is shown on the bottom of the screen and shows all related reservations. The status can be changed here as well. When changing a reservation which affects the room relation, a message will be displayed and the relation has to be adjusted manually.

  7. Room Rack: Reservations with a room relation show an indicator. Rooms with connecting doors show the indicator 'D' next to the room number. Right mouse click shows to which room the selected one is related to. New filter option 'Connecting' is available.

  8. Rooms Management → Connecting Doors: Overview of room relations with the ability to change the status (depending on the global setting).

Reservations → Early arrival and late departure functionality

Ability to define early arrival (EA)and late departure (LD) room status records to a reservation after room assignment has been implemented with either the option to create it manually or automatically with the following handling:

  1. Setup → Configuration → Global Settings → Reservations → Reservation 4 Tab: New option 'Early Arrival/Late Departure Room status records' activates the new functionality, enables the necessary configuration and the manually creation of EA/LD. When the 2 sub options 'Automatic - early arrival' and 'Automatic - late departure' are activated a 'sooner than' and a 'later than' time needs to be entered. When a reservation has an arrival time earlier/departure time later than the specified time an automatic room status record will be created.

  2. Setup → Configuration → Reservations → Room Management → Room Status: 2 new room status configuration records need to be created: One with role 'Early Arrival' and one with role' Late Departure'. The fields 'Return Status' and Default Reason are mandatory for those 2 records. Those values are needed when creating the room status records from reservations. If not defined the functionality will not work.

  3. Reservations: Manual Handling: When making a reservation and assigning a room under Options → Early Arrival/Late Departure the according record can be made by selecting 'New arrival' /'New departure' buttons.
    Automatic Handling: The record will be created automatically depending on the C/I / C/O time of the reservation and the defined time in global settings.
    If the date of the reservation will be changed, the ES/LD records will change accordingly. If it overlaps or a new reservation will be entered which overlaps the EA/LD date a message will be displayed.
    If an EA/LD has been entered it will be shown as an indicator on bottom in the reservation edit as well as in the room rack.
    The user rights from Housekeeping → Out of Service apply also for room status records.
    This feature is not supported for virtual suite handling for the time being.
    For more information please refer to the online help.

Reservations, Ctrl+R & Setup → Formula packages functionality

Ability to use formulas for packages has been implemented with the following handling:

  1. Global Settings → Reservation → Reservation2 tab: the setting 'Enable Formula Packages' needs to be activated.

  2. User Rights: Enable User rights 'Formula'.

  3. Setup → Reservations → Formula Configuration: define the according formulas in the formula editor section. An explanation and examples can be found by pressing the F1 help.
    Available parameters are listed under 'Input Parameter'. Pressing the 'Compile Formula' button checks if the entered formula is correct. This needs to be done before the formula will be saved. The formulas can be tested by entering according values on the 'Formula Package values' section and pressing the 'Test Formula' button.

  4. Setup → Rate Management → Packages: If a package is defined as 'Formula Package' on Package Details tab the according package can be linked.

  5. Setup → Rate Management → Rates: Formula packages can be linked via the Package Link Detail tab

  6. Rate Query (CTRL+R) → Rate Availability: The calculated rates consider the linked packages.

Reservation/Cashiering → Serviced Apartment Rental Billing

New functionality has been implemented to handle lease invoicing in serviced apartments. In order to enable this feature, the sublicense '[L102837] Alternate Rental and Billing' needs to be activated. This sublicense serves two modules, Vacation Sharing and the new Serviced Apartment Rental Billing module (SARB).

In addition the global setting 'Apartment Rental Billing' needs to be activated, this will then enable several other settings to be configured.

It is recommended to create new AR account types as well as new department codes for the apartment rental charge and the daily revenue reversal postings. On the rate code header there is a new tab called 'Billing Periods', which allows to create special rate codes for leasing periods (weekly, monthly, yearly, custom days). A new search screen Cashiering→>Billing Periods lists all reservations with such rate codes and shows all invoiced and future rental periods as well as the total leasing amount for the entire stay.

The following new Htmls have been created for the 'Billing Period' search screen:

  • billingperiod.htm/qry

  • billingperiodreslisting.htm/qry

The following new reports have been created (using the View V8_REP_YLSP_UNEARNED):

  • 4641 Serviced Apartment Rental Billing - Unearned Revenue (FCR_PMS_4641_SARB_UNEARNED_REVENUE.rpt/S8R)

Report shows invoiced billing periods and the related revenue for these leasing periods

  • 4642 SARB Unearned Revenue - Detailed Aging (FCR_PMS_4642_SARB_UNEARNED_REV_DET_AGING.rpt/S8R)

Report shows all invoiced billing periods and the related revenue for these leasing periods by aging ranges

Please refer to the upcoming online help for configuring serviced apartment rental billing.

Financial Accounts

The same Financial Account Number could not be used when departure of one FA and arrival of another FA was on the same day.

Groups and Blocks

When editing a group/block and clicking on the 3dots button for the field contact/booker the first name of the contact/booker appeared in the last name and therefore it was not possible to search. Now the the first name of the contact/booker appears in the according field.

Groups → HTML → Group Total

The field 'Children' showed 0 for reservations which had not been split, although the number of children/teenager/baby had been entered.

Block Reservation → Grid & Configuration → Reservations → Rate Management → Rates → Dependent rates

When selecting the block grid the message 'There are no Room Types available' came up when a block has been entered for a dependent rate code where the field 'Advanced Setup' was not selected on dependent rate tab in setup. This has been fixed.


Front Desk Changes in V8.10.0.0

Lost and Found → Found Edit Screen

The field 'Number' is now accessible and will be shown when the Global Setting 'Overwrite item found number cycle' under Setup → Configuration → Global Settings → Generic → Generic3 has been activated.


CCM Changes in V8.10.0.0

Conference Diary

  • Shareable events have been displayed in HTML although they were cancelled. This has been fixed.

  • It was not possible to enter a booking by selecting a time period → Conference Booking → Quick Book without having a company selected. This has been fixed.

Conference Diary → selecting a time period → Conference Booking → Quick Book

When an existing/new contact ha been entered and afterward another contact has been selected by pressing the 3 dots button, the correct contact has been displayed but when saving the booking the originally selected contact was saved. This has been fixed.

Booking Master

  • An error for already linked profile role came up when trying to link an individual reservation to a booking where both have different companies/travel agents linked. This has been fixed. The linked profiles of the booking will only be linked to the reservation if there is the profile role not linked already.

  • When cancelling a booking inactive 'Lost to' codes have been displayed in the dropdown box. This has been fixed.

Email → Link documents to emails which are linked to Conference Bookings and Tasks & Activities

Ability to link documents to emails which are linked to Profiles, Reservations, Conference Bookings, Events and Tasks & Activities has been implemented. When selecting Email → Add linked button the according documents will be displayed with the following handling: On profile level only documents linked to profile will be shown. On Reservation, Conference Booking and Tasks & Activity level the documents linked to the linked profile as well as the documents linked to the selected reservation, booking, tasks/activity will be displayed. On Event level the documents linked to the profile and booking of the event will be shown and can be selected.

Conference Bookings

Ability to 'close' CCM Bookings has been implemented with the following handling:

  1. Global Settings → CCM → Conference2 tab: the setting 'Close Booking function' needs to be activated.

  2. User Rights → Booking Master → 'Change closed booking' needs to be activated for the according users.

  3. When the global setting is activated the new field 'Closed booking' will appear in the booking master edit screen. Activating this flag will 'close' the booking which means the according screens will be read only and no changes to the booking itself, linked events and resources, ind. reservations, groups, financial accounts etc. as well as no event manual postings and general postings can be done. Exceptions are options which have no direct influence to the booking, e.g. Linked documents, Tasks & Activities, Print.

  4. The Indicator 'Closed' appears at the bottom of the according screens.

Conference Bookings → Blocks and individual. reservations

Ability to link individual. reservations linked to a block has been implemented. If an individual. reservation of a block is linked to a booking the block cannot be linked and vice versa.

Conference Bookings, Event Management and Tasks & Activities

'Last modified' Button has been implemented. The number of last modified records can be defined under Setup → Configuration → Global Settings → Miscellaneous → 2 Search Screens.

Conference bookings → Options → Postings & Cashiering → Billing

Ability to show the posted resource name in posting screen and on folios has been implemented by activating the Global Setting 'Copy Resource name to Folio text' under Setup → Configuration → Global Setting → CCM → Conference 2 tab. Attention: if a hotel uses customized views for invoices the views and functions need to be adjusted accordingly → see TT 9.

Conference Booking → Events → Copy

when copying an Event with a shareable Function Space booked as 'Non Shareable' it was possible to copy the event to the same Function Space but this time as shareable without any warning. The Function Space was booked twice with the same status then - once as shareable and once as non-shareable. This has been fixed. Confirming the message will change the event to Waitlist. Selecting 'No' returns user to the copy screen and another function space can be selected. In case of multiple function spaces booked, the user can select now the Function Spaces and also change the sharing flag for each.

Conference Booking → Events → Packages

  • When unmerging packages the list of events to unmerge has not been displayed. This gets displayed now again and packages can be unmerged properly.

  • Merged packages of copied bookings can be unmerged again.

  • Ability to change the event times by changing the package start time has been implemented. Example: book a package with default start time from configuration of 9:00 am. Customer wants to start at 08:00 am. Now the start time in the package edit screen can be adjusted to 8:00 am and the start & end times of all events linked to this package will be adjusted to 1 hour earlier. If the time of one specific event needs to be changed, then this has to be done in the event edit screen.

Events & Resources

When copying a standard menu with menu items attached from one event to another the fields 'VAT' and 'NET' of the menu items have not been copied. This has been fixed.

Resource Reservations → Reservation Search → Reservation → User Log

Changes have not been listed in user log although user log has been enabled in configuration.

Conference Booking → Booking Master → Events → Function Space Overbooking & Table Reservations

When booking a shareable function space which is linked to a Restaurant as 'Non Shareable' and the Restaurant capacity is already overbooked it was not possible to overbook the Function Space for the Event. The message 'Function Space 'XXX' is not available for Event 'XXX' because of booked Table Reservations. Event Status will be changed to Waitlist. Continue. Yes / NO' was prompted. This has been fixed. The handling is now the same as when booking the Function Space as 'shareable'. If the user right : 'Cap. Overbook Table Reserv. Shareable Funct. Space' is assigned the function space can be booked without changing the event status to 'Waitlist'.

Financial Accounts & Postings

Financial Accounts and Postings linked to a closed CCM booking will be 'closed' as well. This means no changes on the FA and postings as well as new postings etc. can be made except printing. To make the financial account accessible the 'Closed booking' flag needs to be deactivated in booking master edit screen. For more information see TT 24218.

Interface Suite8 CCM → Oracle Finance Credit Facility

Since Suite8 Version 8.9.6.3, based on a csv file created by the third party, read during night audit, the interface has following functionality:

  • Feed of values of 3 new fields in Account Receivables: Site Number, Credit Sum and no credit flag.

  • Feed of value on existing credit limit field.

  • Blocking of definite CCM bookings when the no credit flag is tagged.

  • Blocking of definite CCM bookings when the no credit flag is not tagged but the credit sum < forecast of the booking.

The new global setting ' Oracle Finance' has been added under Setup → Configuration → Global Settings → Conference2.

Please refer to upcoming documentation.


Cashiering Changes in V8.10.0.0

Accounts Receivable Grid

Postings have not been displayed correctly in the grid when posting unallocated payments to a new account.

Accounts Receivable → Postings → Compressed postings

Speed when editing compressed entries has been increased.

Accounts Receivable & Thai Tax Handling

When a posting has been checked out as 'City Ledger' and payment has been cancelled afterwards, the city ledger payment was still available in Accounts Receivable under Transactions → Holding Area. From this version on it will not be displayed anymore.

Accounts Receivable → Transactions → Postings

unallocated payments have been displayed with the indicator 'UP' in the first column. The translation of 'UP' has been used for rounding of dependant rates too. Due to this, when translating 'UP' it was changed on both places and did not match the meaning for them of them anymore. Therefore the indicator has been changed to 'U.P.' to make an independent translation possible. Please check/adjust your translation.

Cashiering

  • The error "ORA-01008 Not all variables bound" came up due to the BILLINGHEADER.QRYwhen opening a guest bill. This only happend with Oracle 12. The query has been corrected.

  • Financial Accounts defined in configuration as 'Automatic Checkout' and 'Departure' defined as 'Next Day' did not work properly. This has been fixed.

  • Splitting of postings with print seperate tax attached resulted in wrong tax postings. This has been fixed.

Cashiering with Legal Requirements for Thailand

In addition to the full form reporting type the option 'Abbreviated Form' has been implemented and can be activated under Setup → Configuration → Global Settings → Country Specs → Country Specifics 4 if 'Enable Thai Vat' setting is active. The difference between Full and Abbreviated Form is the following:

Full: 1 tax invoice sequence per property, Guest address is mandatory and no Revenue Department Number per workstation required.

Abb: 1 tax invoice sequence per workstation, Guest address is optional and Revenue Department Number per workstation required.

The Revenue Department Number can be defined under Setup → Configuration → Miscellaneous → Terminals and Printers → Terminals → Edit → Thai Tax Settings (only available if global setting 'Abbreviated Form' is active). This was already partially implemented but since version 8.9.6.3 the Abbreviated Form functionality is fully supported.

Cashiering with country specific settings for Portugal and number cycle for 'City Ledger Invoice Number'

Incorrect number cycle for 2nd void invoice has been fixed.

Exchange Rates & Configuration → Global Settings → Country Specifics 1 → Multiple Currency Exchange is NOT active

When performing currency exchange, the message: 'Could not close FA, something went wrong' was displayed. This has been fixed.

Billing

  • If the global setting Thai VAT is enabled there were perfomance issues when opening billing screen with a large number of postings. This has been fixed.

  • When splitting a posting the time of the splitted posting was not correct. This has been fixed. Splitted posting have the date and time of the original posting.

  • Default email attachment was not attached when emailing an invoice. This has been fixed.

  • When cancelling a posting with a department code linked that is not defined as 'Allow manual post' no warning message came up and the posting has been cancelled. This has been fixed. The message from previous versions will be displayed again 'Selection contains postings of department codes that are not allowed for manual posting. Cannot continue.' and the posting cannot be cancelled.

Billing / Posting

Balance was not correct when splitting a rate code posting having an internal package split linked. This has been fixed with version 8.9.6.4.

Billing → Billing Instructions

City Tax has not been posted in proforma invoice when only room charge has been routed to another billing window.

Billing → Options & Setup → Configuration → Users → User Definition → Rights → Cashiering

A new user right 'Void Invoice' has been implemented. The user right will be displayed only when the Global Setting → Country Specifics → Country Specifics2 → 'Void Invoice Handling' is enabled.

Billing → Window & Credit Card Payment in a Best Western Environment

The Payment dialog has been enhanced and includes, since this version, an option for defining the payment method on each window with all available options. For Best Western, the Credit Card ID (Token) and the Type of ID are visible for all credit card deposit payments.

Billing → Payment & Global Settings → Billing3 tab → 'Store Payment Receipts in Billing History' is enabled & Country Specific Tab1 → 'Enhanced Deposit Handling' is disabled

The payment pre arrival guest/deposit was not shown on the final invoice and the balance was incorrect. For example: create a reservation but don't check in, post a payment of 100,00 and print a receipt, check in and post room charge of 150,00, create an interim folio and pay remaining 50,00=> Invoice does not show the original deposit payment and an open balance of 100,00.

Billing → Option → Invoice Reprint → Invoice No. & Cashier Functions → Billing History

Ability to store Proforma Invoices has been implemented by activating the global setting 'Store Proforma invoices like normal invoices' under Configurations → Setup → Global Settings → Billing → Billing3.

Billing → Proforma invoice for groups with more than one FA linked for several days of group stay

When creating a proforma invoice for the 1st FA and then for the 2nd FA, name and posting date range as well as proforma postings of the 1st FA have been displayed in the 2nd FA. This has been corrected.

Billing & Accounts Receivable

Ability to post credit card commission automatically has been implemented. The commission can be defined in the configuration of the credit card department codes by entering the fields 'CC Commission' and 'Percentage'. When a payment is done for a credit card with defined commission, the commission details are getting displayed on the payment screen. The commission will be posted automatically and the total revenue increases accordingly. This feature is available for billing since Suite8 Version 8.9.5.4. For A/R it is released with this version.

Billing → C/O Options → Proforma Invoice

When an advanced invoice has been created for a reservation and the reservation gets extended afterwards and then a Proforma Invoice gets created the postings from the advanced posting have been deleted in table ZORG.

Posting

  • Postings were not correct when allowance package was linked to a in house reservation and postings have been made against the allowance.

  • No postings have been done for certain amounts, e.g. 2.25 with a department code defined as tax only and the tax defined as 'Print separate'.

  • Record for cancelled tax has not been created in ZPIL when posting an amount, creating an interim bill, cancel the selected posting and create again an interim bill.

Posting & Configuration → Cashiering → Tax Details

The functions 'trunc' and 'round' released with Suite8 Version 8.9.5.1 have not been worked properly for split posting. This has been fixed. Those postings will be rounded accordingly to have a correct total amount.

Posting with Luxury Tax Handling enabled

Splitting Luxury Tax amount of a reservation with no room charge resulted in wrong amount postings. This fix is available since version 8.9.6.10.

Billing & Posting with active Global Settings → Country Specifics4 Tab → Indian Settings → Enable Luxury Tax Handling

The Luxury Tax has been posted as a negative amount in case the rate code has the price 0.00 and an inclusive package attached but should be a positive amount. This has been fixed. In addition no Luxury Tax will be posted at all in the event that the reservation rate code has the complimentary type 'House Use'.

Posting & Thai Tax Handling

The error 'Cannot post Credit Note without available tax invoices to reference' came up when the city ledger department code has been set up with 'Generate Thai VAT #' enabled in configuration, a posting has been made with an interim bill to city ledger and then a negative posting has been made. This has been fixed.

Billing → Security Deposits

New functionality to charge, maintain and refund Security Deposits has been implemented. Security Deposits are mainly used in hotels for long stay guests or guests staying in an apartment. The 'Global Setting 'Security Deposit handling' needs to be enabled to use this feature. With this setting enabled the following functionality is available/changes:

  • New flag on Department Code setup to define department codes used for Security Deposits

  • In addition a Return Department Code used for refunds can be created and linked to the Security Deposit department code

  • The Deposit button in billing screen is always available, not only for pre-arrivals

  • New total balance information for all Security Deposits existing per billing window

  • Possibility to refund all Security Deposit postings per billing window at one go

  • A new report ‘4595 Detailed Security Deposits’ has been created (FCR_PMS_4595_SECURITY_DEPOSIT.rpt using the view V8_REP_ZPOS_SECURITY_DEPOSIT) to reflect all received and returned Security Deposits per reservation.

Voucher Management

Vouchers could be set to 'voided' and no posting correction has been done when the logged in user has no own cashier configured, entered a voucher, logged out and in again, set the voucher to voided and confirmed the question to open a closed cashier with 'No' or pressed 'Cancel' when the cashier password was requested. This has been fixed.

Voucher Management → Orders → Show Vouchers → Actions

Ability to set all vouchers of one order to 'Void' or 'on Hold' in one go has been implemented. If vouchers are set to 'Void' only one billing will be created for the amount of the voided vouchers.

TAC Voucher Redemption Interface

Support for partial voucher redemption has been implemented (previously not supported, was only possible to redeem a voucher if revenue was higher than voucher value). The new Global Setting 'Compensational Postings' (+ drop down box to define department code for compensational posting) under Setup→Configuration→Global Settings→Interfaces→Misc. Interface 4 tab is required, when the hotel wish to redeem the entire voucher, even in case of partial redemption. This is due to the fact, that TAC on their side always redeems the complete voucher and creates a new one for the remaining amount.


Rooms Management Changes in V8.10.0.0

Housekeeping

  • Out of order rooms could not be deleted when the current room status has been defined as return status and the record has been edited and same return status has been selected again.

  • The housekeeping screen has not be displayed properly with screen resolution 1024 x 768.

Housekeeping

  • Out of order rooms could not be deleted when the current room status has been defined as return status and the record has been edited and same return status has been selected again.

  • The wrong condition was shown for the original room when shared reservations are scheduled to move into separate rooms but not moved yet as well as when 2 different reservations in 2 different rooms are scheduled to move to the same room, both of them considered as vacant. Now the correct condition gets displayed.

Attendants

  • Several issues have been fixed regarding calculation and loading plans. In addition when pressing the 'Print' button a preview is shown now.

  • A new flag has been implemented to determine if default or departure credits should be considered for vacant rooms with dirty HSK status when calculating attendants report with the following handling: If the room is dirty & vacant after previous departure (c/o in the past, not today) the departure credit will be considered. If the room is dirty & vacant after OOO/OOS status the default credits will be considered. The flag will be filled by a trigger after c/o or cleared, once the HSK status changes to clean or room status changes to occupied/OOS or OOO. For future attendant report the departure credit will not be considered.

  • Ability to select by Hotel Segment (only available when Global Setting → Reservation → Reservation4 → Hotel Segmentation is turned on) and/or Room Type has been implemented.

  • The display of the room type has been added next to the room number.

Maintenance → Copy

Ability to copy maintenance tasks has been implemented with the following options

Custom: No of copies and the according due date can be entered.

Series: No. of series can be entered with the following options:

  • Daily: with the ability to define on which day it should be copied, e.g. every 3rd day

  • Weekly: with the option on which week and what day in that week, e.g. every 2nd week on a Wednesday

  • Monthly: with the option on which day on every month, e.g. every 2nd day of every month or on which weekday of every month, e.g. every 2nd Monday of every 3rd month

For all options the due date to start with has to be defined.

All information except resolve notes and date/time resolved fields will be copied. Estimation minutes will be considered as well. If not configured for a maintenance type then for custom copy it's null and for series it's startdate+1day. If a task is flagged as 'out of order' the copy functionality does not copy the OOO/OOS record for that particular room. For more information please refer to Online Help.


Leisure Changes in V8.10.0.0

BellaVita/Leisure Changes in V8.10.0.0

Leisure

Field NAME_RES has been added to be used to customize grid of Leisure Booking List

3rd Party Interface to Bella Vita & Reservation → Packages

Packages configured with no price are considered as FLAT rate and returned to Bella Vita. In previous versions, these packages were not transferred to Bella Vita.

Install Shield

Since Suite8 Version 8.9.6.3 new installations will not create another user or add/change Leisure tables anymore. From now on all Leisure data will be provided with the Install Shield and will be stored in the same Oracle user (e.g. V8Live). Therefore Suite8 needs to be installed first with a database which already contains any data for leisure in the same user (e.g. V8live). In case V8Leisure is (already) installed in a separate user it would be an update. Install Shield can be used as usual. For new leisure installations on an older Suite8 Version, an update has to be done first. Then we will provide another dmp with leisure data.


Quick Key Changes in V8.10.0.0

Room Rack (CTRL+L) HTML

When a reservation has been made with a foreign currency rate code, then roomrack.html showed amount in foreign currency, but currency symbol was local currency.

Rate Query (CTRL+R)

If a rate code has been entered in configuration for a certain start date but the rate details and linked formula package starte date began later, an access violation occured when entered period in CTRL+R inludes dates out of the forumula package detail start. This has been fixed.

Rate Query Scope (CTRL+R)

Access violation came up when one rate code has been defined in setup as 'Ignore rate change' and in CTRL+R the rate query has been entered for more than 1 day and more than 1 children. This has been fixed.

Best Western Interface & Suite 8 → Rate Query (CTRL+R) → Rate Availability

When closing Level A all other levels are closed automatically which is correct but restriction type information for all other levels as well as for room types in Level A have been sent. This has been fixed. Restriction type information for room types or other LVL's will be send only when they have been set individually, not automatically.

Rate Query (CTRL+R) → Rate Availability

Rate Levels have been implemented with the ability to link several rates to one level with the following handling:

  1. Global Settings → Reservations → Rate tab the option 'Enable Rate Levels' needs to be activated.

  2. Setup → Reservations → Rate Management → Rate Levels: Definition of the rate level and linking the according rates.

  3. Rate Query (Ctrl+R) → Rate Availability: New filter 'Level/Rates' to show by level, rate or both. Adding a restriction to a level applies automatically to all linked rate codes.

Quick Reservation (CTRL+Q)

A new reservation could be entered via quick key Ctrl+Q although the user right 'New' was denied .


Miscellaneous Changes in V8.10.0.0

Night Audit

Error during procedure SFORRECALCWITHDELETE when blocks with block name more than 35 characters exists. This has been fixed.

Under no circumstances is it possible running the Night Audit on two different workstations at the same time. The message: 'Night Audit is already running on another workstation.' is prompted and the Night Audit Session is aborted.

Night Audit in Best Western Version

Error 'Transaction is not started for

fillBestWesternLevelAValues' came up when running night audit and when Global Setting "Night Audit Day Type calculation" was enabled. This has been fixed.

Night Audit & Setup → Configuration → Global Settings → Night Audit

When the settings 'Country code mandatory for in house guests', 'State code mandatory for in house guests' and/or 'Nationality mandatory for in house guests' are active and during Night Audit reservations are found where those are not entered a screen appears to enter accordingly. If this screen is closed by pressing ALT+F4 the night audit continued without all nationalities, countries, states filled in.

Calendar Events

  • Ability to create calendar event series has been implemented. Under Miscellaneous → Calendar Events a new button 'Create Series' enables the definition of start and end date as well as the weekdays where the calendar event should be copied to. The new option is only available for events which start and end on the same day.

  • The following options have been implemented for Calendar events:

  • Quick Keys: A new quick key (Shift+Ctrl+C)

  • Profile Shortcut bar: a new option to call the Calendar Events

  • Reservation Grid: A new column to show if calendar events exist can be added via customize grid

  • Calendar Events → Participants tab: additional search criterias like Event Name, Reservation #, Paid options and Reservation link options

Reports

Custom SQL's can be executed now from report level. Create a new report section with source type 'Custom SQL', create a new report → 'New Binary' and all custom sql's defined under Setup → Miscellaneous → Custom sqls with the role 'Custom sql grid' will be displayed and selected accordingly.

Reports → Import

'Invalid section' came up before user were able to select whether a report tree or a single report should be imported. This has been fixed. In addition the following has been implemented when pressing the 'Import' button: when having a report section or group selected the default is set to report tree, when having a single report selected the default is set to a single report.

Report Procedures → Company Procedure

If a company master and a sub company profile existed, and revenue exists on master company only, then on the Company Procedure, 'Select by Master' chosen and 'Show Average Figures' and master company selected, the room revenue has been displayed in average room rate. As soon as sub company has revenue made it has been calculated correctly. This has been fixed.

Logs → User Log → Global

When an Overbooking under Rooms Management → Overbooking has been changed the date it has been changed for has not been stored in the User log. This has been fixed.

User Log

Changes to the Global Setting 'Enable Thai VAT' are now logged in the user log.

Questionnaire

right mouse click menu on grid was not accessible. This has been fixed and grid is customizable now.

Guest Service Center

When user rights for Guest Service were enabled but but not set for Maintenance, it was not possible to enter a new guest service because field 'Type' was empty.


Setup Configuration Changes in V8.10.0.0

Configuration → Setup

In some screens the department code numbers have been displayed with decimals. In this version they are getting displayed properly again.

Cashiering → Financial Account Groups → Departure

A new option called 'on x day of the Month' has been implemented. Selecting this option requires the definition of a departure day on which an automatic checkout/departure will be done every month.

Conference Management → Event Groups

Ability to link resources to sub events and deletion of events/ sub events has been implemented. In addition the function space of main event gets displayed now also in the sub event.

CRM → Family Members & Customer Relation → Profiles → Family

New family roles for 'Relatives'/'Distant Relatives, e.g. Uncle/Aunt - Niece/Nephew, Father/Mother in Law - Son/Daughter in Law have been implemented as well as it is now possible to use the roles 'Predecessor' and 'Descendant' twice - once for Parents/Children and once for Grandparents/Grandchildren which can be configured now. The roles Parent/Childs have role=0 and the roles Grandparents/Grandchildren have to be defined with role=1.

CRM → Membership Types & Setup → Configuration → Miscellaneous → Regular Expressions

Ability to link in setup a Regular Expression to Membership Types has been implemented. When entering or editing a membership in profile edit screen the linked regular expression will be checked when using the OK button and shows a message if not valid.

Miscellaneous → Feature List and & Global Settings

As soon as a feature is getting disabled the according Global Settings will be turned off.

Reservations → Hints

The program state 'After Payment' has been renamed to 'After check out'. The hint appears right after pressing the check out button.

Reservations → Attendants

A new field called 'Max Departure Credits' has been implemented to define how much from the maximum credits should be used for departure rooms. The departure credits will be taken into consideration on the calculation of the attendant plan. In addition the sections under 'Config' are split by section value now.

Reservations → Rate Management → Rates

The field 'Online Interface' on rate code header was not visible in case features 'Channel Manager' or 'myfidelio ORS' were enabled in the feature list. This has been fixed.

Reservations → Rate Management → Promotions → Translate

Translation could not be entered due to the message 'Please define your translation'. This has been fixed.

Reservations → Rate Management & Rate Availability

Rate Levels have been implemented with the ability to link several rates to one level with the following handling:

1. Global Settings → Reservations → Rate tab the option 'Enable Rate Levels' needs to be activated.

2. Setup → Reservations → Rate Management → Rate Levels: Definition of the rate level and linking the according rates.

3. Rate Query (Ctrl+R) → Rate Availability: New filter 'Level/Rates' to show by level, rate or both. Adding a restriction to a level applies automatically to all linked rate codes.

Reservations & Service module → Child Age Categories

It is no longer possible to enter a space in the field 'Code' of a child age category code as this resulted in an error when postings have been made.

Service Module → Service Types

Ability to link a Third Party (vendor) has been implemented. As soon as the field 'Third Party' is flagged a provider can be linked. This is also available in Suite8 Version 8.10.0.0.

Software Interfaces → Interface Triggers & Interface Trigger Fields

If the field 'Customer' on Interface triggers is selected for a certain interface and no fields on Interface Trigger Fields are selected for the according interface, then a profile trigger will be created for every change. If 'Customer' is selected and some fields on the interface trigger fields are selected, then a profile trigger will be created only if one of the selected fields are changed.

Software Interfaces → Suite8 Online → IFC → Mapper → Options → Reservation → CRS Currency

To be used in case the CRS currency is different to the defined currency in Suite8. The reservation rate will be converted accordingly when uploading. This is available for all mappers that support reservation upload.

Software Interfaces - OTA XML Interface

  • The possibility to resynchronize information like room type availability, rate details, rate code availability, etc. from Suite8 to a 3rd party vendor connected via OTA XML interface has been implemented.

Under Configuration - Software Interfaces - OTA XML Interfaces you can highlight the interface and then press the new 'Resynch' button on the right side.

The resynch screen will open and you can select the information that you want to resynch. By pressing the 'Start' button, the triggers will be generated and the messages will be send to the 3rd party vendor.

  • A new pair of OTA messages OTA_CreateProfileRQ and OTA_CreateProfileRS are available and used to send a new profile or a profile modification to the Central Reservation System and to receive the response. The response is not validated automatically, but stored as backup.

  • When deleting an 'out of order' room in Suite8, the resulting availability message for the CRS did not contain a room type. The room type is now included in the availability message.

  • When using a linked room type list in OTA XML room type conversion and creating a reservation for any of the linked room types in Suite8, the resulting availability message contained the linked room type code instead of the main room type code. The main room type code is now properly sent.

  • When a room type was linked to another room type in the conversion configuration, instead of availability for the main room type, the availability for the linked room type was uploaded to the CRS. This has been fixed and now only the main room type availability is uploaded.

  • When a block started in the past and has been set manually to cutoff or automatic cutoff during night audit the room type availability has been sent to OTA CRS vendor. This has been fixed.

OTA XML Interface Upload

The OTA_ProfileCreateRQ message considers now the trigger 'Profile merge' if enabled. XML Attribute 'Profile Status Code' differentiates between active, inactive and terminated/ merged profiles due to the reason that active and inactive profles are returned in the XML Interface, terminated/merged ones not.

OTA CRS XML Interface & Bookassist

Suite8 interfaces since Suite8 Version 8.9.4.4 with Bookassist using the OTA CRS XML Interface released in Suite8 Version 8.9.5.0, please refer to the document: 'OTA XML Interface Configuration.PDF' for further details.

Supported functionalities are:

1. Inventory upload

2. Rate Restriction upload (Open, Close, CTA, MIN LOS, MAX LOS) based on rate code level

3. Rate detail upload (for children, only default rate is supported)

4. Reservation download (creation, modification, cancellation, multi-room-reservation)

User rights

When the user rights for configuration → cashiering have not been assigned then the configuration of event groups was not possible.

Users → User Groups → Rights

Rights have not been saved properly when a new group has been created and the option 'Get from Group' has been selected.

Users → User Definition & Miscellaneous → User Settings → Startup

the default language of a new entered user will be set as language in default settings.

Users → User Log → Calendar events, Miscellaneous → Calendar Events & User Logs

New user logs for calendar events haven been implemented. In addition in calendar event screen a new button for User log has been added to see the changes for each event. Please activate the new user log options in configuration part accordingly.

Global Settings → Billing → Billing3

new option 'Add Arrangement Code of main posting to tax posting' has been implemented to link the arrangement code automatically to the tax posting if main posting has an arrangement code linked. In previous versions it was only linked when the tax posting has been edited and closed with OK button.

Global Settings → Country Specifics → Country Specifics1 → 'Use as Service Charge'

Activating this field will rename 'City Tax' to 'Service Charge' everywhere the feature 'Enhanced Print SeparateTax Handling' is used.

Global Settings → Interfaces → Interface1 tab

The field 'Micros GuestCheck Webservice URL' could not be entered or changed. Now the changes are written back through S8.

Global Settings → Profile → Profile 3 tab → HTNG Profile Lookup for TAC

HTNG Profile Lookup for TAC (Third party profile lookup interface) has been implemented. Under Setup → Configuration → Global Settings → Profiles → Profile 3 tab the setting 'Enable HTNG Profile Lookup for TAC' needs to be activated with the according entries as well as under Setup → Configuration → Software Interface → Translation tables an entry needs to be done with interface type 'HTNG Profile Lookup'. For further information please refer to online help.

Global Settings → Reports → Report1 tab & Miscellaneous → Feature List

The setting 'Default report for attendants' was linked to feature 'Tour Operator Invoice' instead of 'Housekeeping Attendants' as well as 'Default report for Housekeeping Screen' was linked to feature 'Housekeeping Attendants' instead of feature 'Housekeeping Screen'.

Global Settings → Reservation → Reservation 1 tab

Due to security settings the global setting 'Automatic Link Credit Cards to Profiles' has been removed.

Global Settings- Reservation → Reservation 4 tab & Front Desk → Messages → Batch Messages

An error came up when trying to create batch messages with active global setting 'Hide Group functionality' .


Form Customization Changes in V8.10.0.0

Form Customization & Financial Accounts

Functionality has been added allowing to customize the Financial Accounts Edit dialog and adding custom fields to the table 'YRCF', the same table as used for reservations. These fields can then be added on the financial account edit dialog upon form customiziation.


New and Changed Reports/HTML in V8.10.0.0

The following reports/HTML have been removed

  • FCR_PMS_4771_STAT_MARKETCODE: The report has been merged into FCR_PMS_4772

  • FCR_PMS_4779_STAT_SOURCECODE: The report has been merged into FCR_PMS_4780

  • FCR_PMS_4782_STAT_CHANNELCODE: The report has been merged into FCR_PMS_4783

  • FCR_PMS_4786_STAT_RATECODE: The report has been merged into FCR_PMS_4787

The following reports/HTML have changed:

  • FCR_PMS_4780_STAT_SOURCECODE_TOTAL: added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4780_STAT_SOURCECODE_TOTAL_YCAD: Renamed report to 4780, as 4779 is obsolete; added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4783_STAT_CHANNELCODE_TOTAL: added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?ChannelCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4783_STAT_CHANNELCODE_YCAD: Renamed report to 4783, as 4782 is obsolete; added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4760_TURNAWAY: Replaced tables with new view V8_REP_STAT_TURNAWAY; merged to Crystal 2008; moved TTR_page/TTR_PrintedOn to the top

  • FCR_PMS_4766_COVERS: Removed table ZCAS and ZDCG from report

  • FCR_PMS_4787_STAT_RATECODE_TOTAL: Changed layout of report; added parameter ?Gross and ?Total; changed parameter ?FromDate and ?RateCode = number and multiple choice; moved TTR_Page/TTR_PrintedOn to the top

  • FCR_PMS_4790_STAT_SHO_YRCH_LOG_LY_CAD: Changed parameter ?Gross_Or_Net to ?Gross where FALSE = Net and TRUE=Gross; adjusted all revenue fields, report title; changed parameter ?FromDate; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7, otherwise the revenue values cannot be displayed correctly

  • FCR_PMS_4791_STAT_SHO_XCMA_LOG_LY: cosmetic changes: changed parameter ?Gross_or_Net; ?Date; changed formula fields for revenue; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7 otherwise revenue values won't fit

  • FCR_PMS_4792_STAT_SHO_CHANNEL_LOG_LY: cosmetic changes: changed parameter ?Gross_or_Net; ?Date; changed formula fields for revenue; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7 otherwiste revenue values won't fit

  • FCR_PMS_4793_STAT_SHO_XCMA_LY_BUD: cosmetic changes: changed parameter ?Gross_OR_NET; ?Date; adjusted revenue fields; changed font to 7 otherwise revenue values might not fit; moved TTR_Page/TTR_PrintedOn to the top

  • FCR_PMS_4342_FORECAST_OCCUPANCY_WITH_REVENUE: TT24853: formula fields for Occupancy were calculated on total noofrooms (see above) where it should be NOOFROOMS_TO_SELL to deduct OOO rooms. Moved TTR_Page/TTR_PrintedOn to the top; made over the group footer 1 and report footer totals.

  • FCR_PMS_4342_FORECAST_OCCUPANCY_ADV: TT24853: formula fields for Occupancy were calculated on total noofrooms (see above) where it should be NOOFROOMS_TO_SELL to deduct OOO rooms. Moved TTR_Page/TTR_PrintedOn to the top; corrected OccRooms% in GroupFooter2: was avrg calculation where it should be a sum formula field on group; Changed calculation of average rate to be calculated out of DEV_ROOM_REV_GROSS/OccRoomsDef as all three 4342 had different results in Average rate; removed V8_SYS_AvGrate

  • FCR_PMS_4342_FORECAST_OCCUPANCY_ADV_YCAD: Removed all views and replaced with V8_REP_REV_HISTFOR_HUGE_CAD. Replaced formula fields with those from general 4342 report. Moved TTR_Page/TTR_PrintedOn to the top; TT24853: corrected occupancy fields from NoOfRooms to NoOfRooms_To_Sell. Changed Avrg fields in group footer 2 with formula fields, as the values were not correct.

  • FCR_PMS_4340_HISTFOR_OCC_REV: changed occupancy fields (TT24853); cosmetic changes

  • FCR_PMS_4340_HISTFOR_OCC_REV_CAD: changed occupancy fields (TT24853); cosmetic changes

  • FCR_PMS_4341_HISTFOR_OCC_REV_COMP: changed occupancy fields (TT24853); cosmetic changes

  • FCR_PMS_4341_HISTFOR_OCC_REV_COMP_CAD: changed occupancy fields (TT24853); cosmetic changes

  • DiaryConference.htm/qry: cancelled events have been filtered (TT25205)

  • BILLINGHEADER.QRY: error "ORA-01008 Not all variables bound" has been fixed.

The following reports/HTML have been added

  • FCR_PMS_4787_STAT_RATECODE_TOTAL_YCAD

  • FCR_PMS_4790_STAT_SHO_YRCH_LOG_LY

  • FCR_PMS_4791_STAT_SHO_XCMA_LOG_LY_CAD

  • FCR_PMS_4792_STAT_SHO_CHANNEL_LOG_LY_CAD

  • FCR_PMS_4521_AR_AGING_REPORT_15_DETAILED

  • FCR_PMS_4595_SECURITY_DEPOSIT

  • FCR_LEI_10110_BOOKINGS

  • FCR_LEI_10111_BOOKINGS_FACILITY_GROUP

  • FCR_LEI_10112_BOOKINGS_BY_GUEST_ALL

  • FCR_LEI_10113_BOOKINGS_BY_GUEST_SINGLE

  • FCR_LEI_10114_BOOKINGS_OFFER_GROUP

  • FCR_LEI_10130_FACILITY_SCHEDULE

  • FCR_LEI_10131_TREATMENTS_SCHEDULE


New and Changed Views in V8.10.0.0

The following views have been added

  • V8_BOF_OF_ADP

  • V8_BOF_OF_ADP_HEADER

  • V8_REP_AR_AGING_DETAILED

  • V8_STAT_SHIS_CHAN_DAY_LY_CAD,

  • V8_STAT_SHIS_CHAN_MONTH_LY_CAD

  • V8_STAT_SHIS_CHAN_YEAR_LY_CAD

  • V8_STAT_SHIS_CHAN_COMBI_LY_CAD

  • V8_REP_STAT_TURNAWAY

  • V8_REP_YDET_OCC_WB_CAD

  • V8_REP_YDET_ADULT_WB_CAD

  • V8_CCM_POSTED_RESOURCES

  • V8_REP_LEI_INFOS

The following views have been changed:

  • V8_REP_TRENDPERMONTH: added - order by TO_CHAR(YTRD_CALCFORDATE,'yyyy_mm')

  • V8_REP_COVERS: field zdcg_longdesc has been added

  • V8_REP_REV_HISTFOR_HUGE_CAD: added new fields:DAYUSE_RMS_DEF, DAYUSE_RMS_TENT, ARR_DAYUSE_RMS_DEF_TENT, ARR_DAYUSE_RMS_DEF,DEP_DAYUSE_RMS_DEF_TENT, DEP_DAYUSE_RMS_DEF,DAYUSE_ADLT_DEF, DAYUSE_ADLT_TENT,DAYUSE_CHILDS_DEF, DAYUSE_CHILDS_TENT,BLOCK_ALL_DEF, BLOCK_ALL_TENT,BLOCK_NOT_PICKUP_DEF,BLOCK_NOT_PICKUP_TENT,BLOCK_PICKUP_DEF,BLOCK_PICKUP_TENT

  • VIEW V8_ED_FOLIO_REV_INFO

  • V8_SYS_LEISURE_YRES: field NAME_RES has been added

  • V8_REP_LEI_INFOS: fields PAYINGGUESTKEY and PARTICIPATINGGUESTKEY has been changed to show the ID of table GUEST and not XCMS

  • BOOKINGDETAILLIST: fields PARTG_ID and PAYG_ID has been added, to indicate the related ID of table GUEST for participant and paying guest.

  • V8_REP_YHRL_INFOS: added YHAT_MAXCREDITS

  • V8_HSK_RES_CHIN_SHARE

  • V8_STAT_FO_FORREV

The following Functions have been added:

  • GETCCMZPOSTRANSLATED

  • GetBlockYbomId

The following Functions have been changed:

  • GETCCMZPOSCOMMENTTRANSLATED


New and Changed User Rights in V8.10.0.0

The following user rights have been added

Booking Master

  • Override Credit Facility

  • Change closed booking

Configuration → Conference Management → Event Groups

  • View

  • Edit

  • Insert

  • Translate

  • Delete

Cashiering

  • Void Invoice

Customer Profiles

  • Change Profile Type

Formula

  • View

  • Edit

  • Insert

  • Delete

Configuration → Cashiering

  • Tax Exemption

Cashiering → Tax Exemption

  • Link/change tax exemption code for FAs

  • Manually apply Tax Exemption


Service Module Changes in V8.10.0.0

Suite8 Service Module

Functionality has been added in Suite8 Version 8.9.6.2 allowing to automatically adding a profit percentage based on the cost of a service. For example buying a Ticket for a boat trip at 500 at an agency and reselling the ticket (service) to the customer at 650 by adding 30%. This is achieved by selecting Percentage Price on the Service Price definition, the configured percentage price is then added to the Cost. Please refer to the document: 'Suite8 Service Module' for further information.


Suite8 webConnect Changes in V8.10.0.0

Suite8 WebConnect

Suite8 WebConnect has been completely redesigned. The new and the old version will be delivered with this release.

Encryption of XML user password in global.asax

To encrypt the password the URL /setup (e.g. http://localhost/v8client/setup for home page or http://localhost/restAPI/setup for RestAPI) has to be invoked.

Please note following:

  • The URL can be requested only using localhost or the standard address 127.0.0.1. Any other request will be rejected.

  • To avoid brute force attacks, maximum 5 encryption requests within 1 hour will be allowed.

  • The password encryption must be performed only for the dedicated virtual directory only. Depending on the server configuration, used encryption keys might be different per virtual directory, so the encryption done in one directory, will be not accepted in another one.

The password only needs to be encrypted if the home page is being updated. It's not related to the version of the XML Interface.

Calendar Events → Print

When emailing an event not all information of the event have been sent. In the preview all information were included. This has been fixed.

Online Payment for PayZen

Support for the Online Payment Interface to PayZen from Lyra Network GmbH has been added. To use this activate the line: 'hotel.addOnlinePaymentPlugin("Client.dll", "Client.PaymentPlugins.PayZen.PayZenPlugin"); //Use this for payments via PayZen Payment Gateway' in the file Global.asax and configure the connection details under Suite8 → Configuration → Global Settings → Interface6 Tab when selecting: 'Use PayZen Interface'.

Online Payment Plugin NETS

S8 HomePage online payment to NETS has not been working properly. The following error occurred: "System error has occured. Client found response content type of 'text/html; charset=utf-8', but expected 'text/xml'. The request failed with the error message: --"

The new Global Setting 'Service URL' has been implemented under Interfaces → Misc. Interface7 tab → NETS Online Payment Gateway Interface - please enter here https://epayment.nets.eu/Netaxept.svc

Voucher Management

  • Default price of vouchers defined as value voucher and 'allow modify price' was empty after the language has been changed to German or other language. This happened in latest version of Firefox and Google Chrome. It did not happen in Internet Explorer 9. This has been fixed.

  • It was not possible to void vouchers if online payment through the online payment gateway failed. This has been fixed.


Suite8 Online Interface Changes in V8.10.0.0

Online Interface - General / All Mappers

  • When updating from any lower version to Suite8 version 8.10.0.0 it is required to re-encrpyt the passwords stored in V8OnlineIFCHotels.xml due to the new encryption functionalities implemented in Suite8.

To perform this re-encryption you can use the program executable 'CryptionConverter.exe' that is published with the release in the programs directory.

Start the executable by double-click, then choose configuration type 'Online Interface' and browse for the V8OnlineIFCHotels.xml file using the button 'Load configuration'.

In the left panel, the current Hotel User and Interface User and Passwords appear. Now you can re-encrypt the values by pressing the 'Convert' button.

In the right panel, the new values appear. Save the new values by using the button 'Save Configuration', then you can close the executable.

The values have been encrypted and you can start the interface. A copy of the original file has been created in the programs directory.

  • New functionality has been implemented to change configuration and mapper settings for the Online Interface without the need to restart the interface afterwards.

So far, whenever something was changed in the mapper configuration, access to the interface workstation was required and the interface needed a manual restart for the changes to apply.

To activate the new functionality, the local IP number of the interface workstation has to be entered on the Online Interface configuration screen on the Global Settings tab into the field 'IP of Interface machine'.

When something changes in the configuration or mapper screen an update command will be send via TCP/IP to this IP Address. Each service is a Socket Server listening on a port:

49300 = 1 Way Dispatcher

49301 = 2 Way Dispatcher

49302 = Trigger Reader

49303 = HTTP Listener

49304 = Filereader

Please note that the configuration screen always sends a command to all services even if they are not running or not even used.

When opening the configuration screen on a different machine via Suite8, it is not possible to know at this point which service is used or running.

  • Some CRS systems send the same reservation files again and again on a regular basis until they get back a response from the interface.

If for some reason the 1 Way dispatcher service was not running (and therefore the reservation was not processed and no response was generated) hundreds of identical reservation messages were stored in table MQU1 and when the 1 Way dispatcher was starting again and processing all the reservations, this lead to a loop because the same reservations were still downloaded again and again while the first messages were processed.

To prevent this scenario the Online Interface now checks if the reservation file that is downloaded already exists in MQU1 and if it finds an existing file, the duplicate file will not be stored in the queue.

This new handling applies for the following mapper: BestWestern, EZYield, HotelWebService, OptiRez, RateTigerConnect, SeekDa, Siteminder, SmartHotel ChannelManager, StarDekk, SynXis, TravelClickPC, Vertical Booking.

  • For the following Online Interface mapper the rate code restriction type 'Closed to departure' (CTD) is now supported when uploading rate code restrictions to the CRS:

EZYield, HotelWebService, RateTiger, Siteminder, ChannelManager, SynXis, TravelClick PC, Vertical Booking.

  • If a hotel used a large number of rates/room types together with day types then the Online Interface crashed with 'out of memory' error when building rate detail messages.

B+S Payment Interface

Due to the missing element ( <action>authorization<\action> ), Suite8 WebConnect has not been sending the mandatory element <action> in a payment request. Therefore the amount has been reserved on the payment provider side only, but not actually settled and no payment has been created in Suite8. In addition the Global Settings have been moved to Interface7 tab.

Online Interface - Best Western mapper

  • Rooms Management → Out of Order: when a Room has been set as 'Out of Service' no Room Type Availability message has been sent to the Interface which is correct. As soon as another Room has been set to 'Out Of Order' for the same day as the 'OOS' Room exists a message has been sent as expected but Inventory in CRS has been reduced for OOS and OOO rooms.

This has been fixed. Inventory will not be reduced unless the 'Deduct Availability' flag is set in Setup → Configuration → Room Management → Room Status.

  • Locally linked source profiles were removed upon receiving an update via the Central Reservation. This is no longer the case since version 8.9.6.2.

  • All actions using the BW Web Service on the date 29.02. of a leap year failed with an access violation. This has been fixed.

  • The rate discount of a reservation has not been considered when the reservation has been uploaded to the Interface. This has been fixed.

  • Ability to swipe BWR cards has been implemented. The swiper can be configured under Setup→Configuration→Terminals & Printers→Best Western Swipers and linked to terminals on terminal edit screen. when swiping the card on the BW Profile Lookup Screen or the profile search screen, the membership gets filled with the number and the according profile will be displayed.

Suite8 Online Interface for GHA

Since this Version Suite8 Online Interface for Global Hotel Alliance (GHA) is officially released.

Please refer to the document: 'Configuring Suite8 Online Interface for GHA' for configuring Suite8 Online Interface for GHA.

Online Interface - MyFidelio mapper

A new setting called 'Do not upload packages with Rates' has been implemented on the mapper configuration screen on tab 'Options - Upload'.

When this setting is activated, the element <packages> is removed from the rate code message and therefore not uploaded to MyFidelio.

Online Interface - Rate Tiger mapper

  • When uploading rate codes that are linked to day types, the days of the week were marked wrong in the rate code message. This has been fixed.

  • When Rate Tiger sent a reservation for one room and two guest profiles, the reservation was created using the second profile and the first profile was not linked at all.
    This has been fixed. When a reservation with two profiles is send, the reservation is now created with the first profile and the second profile is attached to the reservation as multi-guest.

  • Due to an error in membership type handling, Travel Agent profiles linked to guest reservations send by Rate Tiger were not linked to the reservation in Suite8. This has been fixed and the Travel Agent Profile is now properly linked.

  • When multiple cancellations were sent from Rate Tiger within one cancellation message, only the first reservation in Suite8 has been cancelled, the others remained active. This has been fixed and all reservations are now properly cancelled.

Online Interface - Vertical Booking mapper

A reservation is created by the CRS on room type DR and sent to Suite8. Later in Suite8 the room type DR is changed to TR by the hotel staff. Afterwards the reservation is cancelled in the CRS and the CRS availability for DR is adjusted and the cancellation is send to Suite8.

In Suite8 the reservation is cancelled but the availability for TR is adjusted. This resulted in availability discrepancy between Suite8 and CRS and has been corrected.

Now when a cancellation is send from the CRS, Suite8 will create a room type availability message for all active room types and the affected cancellation date range so that the room type availability in the CRS and Suite8 are synchronized again.

Online Interface - Seekda mapper

For some reservations sent by Seekda to Suite8 it happened that two guest profiles were linked to a reservation even though only one guest was arriving. This caused wrong statistics and also wrong forecast figures for restaurant outlets. The issue has been fixed.

Online Interface - Smarthotel mapper

when a Smarthotel mapper and a Best Western mapper were installed parallel and the Best Western business rules were activated, dependent rates were not uploaded anymore to Smarthotel when day types were changed in the day type calendar. This has been fixed.

Online Interface - SynXis mapper

  • When the SynXis mapper is installed together with the Rate Tiger mapper and for some reason the 1-Way response messages were not sent to Rate Tiger, also the 1-Way response messages for SynXis were not properly sent. This has been fixed and the SynXis response messages are processed now.

  • When closing a rate code for one room type only in CTRL-R, the resulting RAVL message in the Online Interface did not contain any info about the room type. In SynXis this caused the complete rate code to be closed and not only for one room type. This has been fixed and the room type information is now properly send.

Online Interface - Travelclick PMS Connect mapper

When uploading rate detail messages (RDET) of a rate code linked to a day type to Travelclick PMS Connect, the last day of the day type period was missing in the message. This has been fixed, the rate amount value of the last day is now as well uploaded properly.

Online Interface - Trust Voyager mapper

A new setting called 'Use Alternative Res. Attributes' has been implemented on the Trust Voyager mapper configuration screen on the reservation tab.

When this new setting is activated, the Market, Source and Channel codes from a Trust Voyager reservation message are mapped like in the following example:

The Trust Voyager Source code (<reservationOriginatorCode>) is mapped to the Suite8 source code.

The Trust Voyager Market code (<marketSegmentCode>) is mapped to the Suite8 market code.

The Trust Voyager Channel code (<secondaryOriginatorCode>) is mapped to the Suite8 channel code.

The code conversion has to be configured accordingly.

When the setting is deactivated, the original Trust Voyager code mappings are used.


Suite8 Central/Central CRS Changes in V8.10.0.0

  • Application user and password handling and storage has been improved in a CRS environment. A password administration screen is available in Central → CRS Monitor → Password Manager.

  • Synchronization of configuration failed when a large number of records, e.g. WUSR, rate related tables exist. This has been fixed.

  • Error on CRS Monitor and Reservation came up after upgrade of V8 Master. This has been fixed and is available since Version 8.9.6.10.


Suite8 Property Interface Changes in V8.10.0.0

Interface Samsotech - Suite8

The fields 'Father's name', 'Mother's name', 'Registerd City' and 'Registered Town' have been added for personal documents. Those fields are only supported by the Samsotech interface. Important: already installed Samsotech software will no longer work with Suite8 Version 8.10.0.0, please contact Samsotech to get their new dll. (Please see also TT 25353).

Samsotech Scanner Interface

Samsotech changed date fields from string to date type. Therefore we needed to changed it accordingly.

Important: Due to this change, already installed Samsotech software will no longer work with Suite8 Version 8.10.0.0, please contact Samsotech to get their corresponding dll for Suite8 Version 8.10.0.0. (Please see also TT 24655).

Third party Interface to Suite8 CCM

Based on an xml file created by the third party, the interface provides following functionality.

- Import of menu item categories during the import of the menu item.

- Import of the menu item, menu item rates and the corresponding outlets.

- Automatic import during night audit

- Manual import.

- Ability to create new items or link - unlink third party items to or from existing menu items in Suite 8.

Currently this integration is available for MyMicros.In Setup → Configuration → Global Settings → Conference2 the setup can be done in the MyMicros section. The functionality and setup in Suite8 CCM is basically more or less the same as for Materials Controls. Please contact development for further details.

For more information on the setup of MyMicros please contact your micros department and consult their Conference and Catering Management Definitions Export - Manual.pdf.

Credit card interface

Sequence number for EFT related commands have been sent out with max length of 5 digits (up to 99999). next sequence number has been sent as '00000' which was not expected by vendors. A fix has been done to properly increase to '100000' now.


Suite8 Kiosk Changes in V8.10.0.0

Kiosk Interface

Kiosk Interface was checking if any IFC was down and if so it did not start. Therefore the field 'Interface' has been implemented under Setup → Configuration → Software Interface → Suite8 Kiosk Interface to select the relevant Interfaces to be checked.


XML Interface Changes in V8.10.0.0

XML Interface

Ability to delete notes has been implemented. In previous versions it was only possible to enter and update notes.

XML Interface →Profile Query Response

The attributes profileID and profileGlobalID have been added to the field "LinkedProfile".


Suite8 POS8 Changes in V8.10.0.0

POS8

  • On the open check list screen as well as on the check detail screen, the currently logged in waiter is shown in either the outlet selection or underneath the check header information.

  • Ability to enter a second URL to switch to Suite8 XML Interface in case of no response from the first URL.


CRM Changes in V8.9.6.10

Profiles

The ability to change the profile type has been implemented. Activating the global setting 'Change Profile Type' under Setup → Configuration → Global Setting → Profile → Profile 1 tab and the new user right 'Change Profile Type' under User Rights → Customer Profiles enables the new functionality. On profile level the profile needs to be selected and under Options → Change Profile Type the new type can be selected, a search will be performed to check if conflicts with linked profiles of reservations exist and the profile type can be changed accordingly. Statistics will be affected as well (SHIS, SHIB, SHIE), except for cumulated statistics (SMAN). Please note, that the functionality is not available for HCN and CRS.

Financial Accounts → Notes

Notes for profile have not been saved properly when entering new financial account and notes for the profile.

Profiles → Membership Cards & Best Western Online Interface

Different issues regarding profiles not being updated with BWR membership number after successful BW enrollment. These fixes are available since version 8.9.6.3.


Reservation Changes in V8.9.6.10

Groups → HTML → Group Total

The field 'Children' showed 0 for reservations which had not been split, although the number of children/teenager/baby had been entered.

Rate Management

If Global Setting 'Day type rates turn to manual on save automatically' is active and a rate with promotion has been linked to day type schema, the promotion discount of a reservation has been recalculated in the event, that the day type has been changed and the room type of a reservation is changed upon check in, even though the reservation rate room type is filled. This has been fixed.


CCM Changes in V8.9.6.10

Conference Diary

Shareable events have been displayed in HTML although they were cancelled. This has been fixed.

Booking Master

An error for already linked profile role came up when trying to link an individual reservation to a booking where both have different companies/travel agents linked. This has been fixed. The linked profiles of the booking will only be linked to the reservation if there is the profile role not linked already.


Cashiering Changes in V8.9.6.10

Accounts Receivable → Postings → Compressed postings

The speed when editing compressed entries has been increased.

Billing / Posting

The balance was not correct when splitting a rate code posting with an internal package split linked. This has been fixed with version 8.9.6.4.

Billing → Payment

Global Settings → Billing3 tab → 'Store Payment Receipts in Billing History' is enabled & Country Specifics Tab1 → 'Enhanced Deposit Handling' is disabled.
The payment pre arrival guest/deposit was not shown on the final invoice and the balance was incorrect. For example: create a reservation but don't check in, post a payment of 100,00 and print a receipt, check in and post room charge of 150,00, create an interim folio and pay remaining 50,00=> Invoice does not show the original deposit payment and an open balance of 100,00.

Posting & Thai Tax Handling

The error 'Cannot post Credit Note without available tax invoices to reference' came up when the city ledger department code has been set up with 'Generate Thai VAT #' enabled in configuration, a posting has been made with an interim bill to city ledger and then a negative posting has been made. This has been fixed.

Thai Tax Handling & Accounts Receivable

When a posting has been checked out as 'City Ledger' and payment has been cancelled afterwards, the city ledger payment was still available in Accounts Receivable under Transactions → Holding Area. From this version on it will not be displayed anymore.

Cashiering with Legal Requirements for Thailand → Abbreviated Form

The display of Thai Tax number has been changed to: DDMMYY-[Payment Type]-[Workstation][Invoice number from cycle per workstation]. In addition the Credit Note Payment Type is available again.

Cashiering → Posting with Luxury Tax Handling enabled

Splitting Luxury Tax amount of a reservation with no room charge resulted in wrong amount postings. This has been fixed.


Rooms Management Changes in V8.9.6.10

Maintenance → Copy

The ability to copy maintenance tasks has been implemented with the following options:

  • Custom: No of copies and the according due date can be entered.

  • Series: No. of series can be entered with the following options:

  • Daily: with the ability to define on which day it should be copied, e.g. every 3rd day

  • Weekly: with the option on which week and what day in that week, e.g. every 2nd week on a Wednesday

  • Monthly: with the option on which day on every month, e.g. every 2nd day of every month or on which weekday of every month, e.g. every 2nd Monday of every 3rd month

For all options the due date to start with has to be defined.

All information except resolve notes and date/time resolved fields will be copied. Estimation minutes will be considered as well. If not configured for a maintenance type then for custom copy it's null and for series it's startdate+1day. If a task is flagged as 'out of order' the copy functionality does not copy the OOO/OOS record for that particular room. For more information please refer to Online Help.


Quick Key Changes in V8.9.6.10

HTML Room Rack

When a reservation has been made with a foreign currency rate code, then roomrack.html showed amount in foreign currency, but currency symbol was local currency.


Miscellaneous Changes in V8.9.6.10

Night Audit in Best Western Version

Error 'Transaction is not started for fillBestWesternLevelAValues' came up when running night audit and when Global Setting "Night Audit Day Type calculation" was enabled. This has been fixed.


Setup Configuration Changes in V8.9.6.10

Configuration → Setup → General

In some screens the department code numbers have been displayed with decimals. In this version they are getting displayed properly again.

Software Interfaces - OTA XML Interface

  • When deleting an 'out of order' room in Suite8, the resulting availability message for the CRS did not contain a room type. The room type is now included in the availability message.

  • When using a linked room type list in OTA XML room type conversion and creating a reservation for any of the linked room types in Suite8, the resulting availability message contained the linked room type code instead of the main room type code. The main room type code is now properly sent.

  • When a room type was linked to another room type in the conversion configuration, instead of availability for the main room type, the availability for the linked room type was uploaded to the CRS. This has been fixed and now only the main room type availability is uploaded.

Software Interfaces → Suite8 Online → IFC → Mapper → Options → Reservation → CRS Currency

To be used in case the CRS currency is different to the defined currency in Suite8. The reservation rate will be converted accordingly when uploaded. This is available for all mappers that support reservation upload.


New and Changed Reports/HTML's in V8.9.6.10

The following reports/html have been changed:

  • DiaryConference.htm/qry: cancelled events have been filtered (TT25205)


New and Changed User Rights in V8.9.6.10

The following user rights have been added:

Customer Profiles

  • Change Profile Type


Suite8 Online Interface Changes in V8.9.6.10

Online Interface - Rate Tiger mapper

  • When uploading rate codes that are linked to day types, the days of the week were marked wrong in the rate code message. This has been fixed.

  • When Rate Tiger sent a reservation for one room and two guest profiles, the reservation was created using the second profile and the first profile was not linked at all. This has been fixed. When a reservation with two profiles is sent, the reservation is now created with the first profile and the second profile is attached to the reservation as multi-guest.

Online Interface - SynXis mapper

When the SynXis mapper is installed together with the Rate Tiger mapper and for some reason the 1-Way response messages were not sent to Rate Tiger, also the 1-Way response messages for SynXis were not properly sent. This has been fixed and the SynXis response messages are processed now.

Online Interface - Trust Voyager mapper

A new setting called 'Use Alternative Res. Attributes' has been implemented on the Trust Voyager mapper configuration screen on the reservation tab.
When this new setting is activated, the Market, Source and Channel codes from a Trust Voyager reservation message are mapped as in the following example:

The Trust Voyager Source code (<reservationOriginatorCode>) is mapped to the Suite8 source code.

The Trust Voyager Market code (<marketSegmentCode>) is mapped to the Suite8 market code.

The Trust Voyager Channel code (<secondaryOriginatorCode>) is mapped to the Suite8 channel code.

The code conversion has to be configured accordingly.

When the setting is deactivated, the original Trust Voyager code mappings are used.


Suite8 Central Changes in V8.9.6.10

Suite8 → CRS

Error on CRS Monitor and Reservation came up after upgrade of V8 Master. This has been fixed.


Suite8 Property Interface Changes in V8.9.6.10

Suite8 & Kiosk Interface

Kiosk Interface was checking if any IFC was down and if so it did not start. Therefore the field 'Interface' has been implemented under Setup → Configuration → Software Interface → Suite8 Kiosk Interface to select the relevant Interfaces to be checked.


XML Interface Changes in V8.9.6.10

XML Interface

The ability to delete notes has been implemented. In previous versions it was only possible to enter and update notes.

XML Interface & Cashiering → Billing

PDF format storage via XML Interface has been implemented for guest checks. When selecting the according billing in Suite8 the pdf gets listed under right mouse click → Guest Checks.


Suite8 POS8 Changes in V8.9.6.10

Suite8 POS8

  • The ability to enter a second URL to switch to Suite8 XML Interface in case of no response from the first URL.

  • It is now possible to log on to POS 8 via a MiFare Transponder.

  • Signature Capturing on Suite 8 POS Mobile has been implemented. It contains all signatures taken with a payment for room charges.


CRM Changes in V8.9.6.3

Mailing

Executing a mailing by using a saved query wizard resulted in an error. This has been fixed.

Profiles → Marketing & CRM-Profiles → Guest Card → Memberships

The field 'Tax Office' in Membership Edit Screen is mandatory if the Global Setting 'Enable E-Invoicing' under Setup → Configuration → Global Settings → Country Specs → Country Specifics3 → Turkish Settings is activated and an attribute of the E-Invoicing attribute category is linked to the profile. In addition the 'Validate' button is available in Guest Card Edit Screen as in certain cases the owner's citizenship value needs to be validated in Turkey.

Profiles → Guest Comments & Global Settings → Profile3 Tab

The flag: 'Guest Comment Type Groups' has been added to the Profile3 Tab of the Global Settings under Guest Comments. If activated, it is possible defining Comment Group Types under Configuration → CRM → Guest Comments. The group needs to be configured with a responsible department, such as 'Housekeeping' or 'Front Desk'. The responsible department selection prompted is configured under Configuration → Miscellaneous → Responsible Departments. Once the group is configured, it is linked under Configuration → CRM → Guest Comments → Guest Comment Types. When entering a guest comment, it is necessary linking a responsible department and a guest comment group. If the Global Setting flag is not activated, guest comments can be entered as usual.


Reservation Changes in V8.9.6.3

Individual Reservation

The field 'Manual Price' has been marked when entering a new reservation, tabbing through the field, go back to a previous field and tabbing through again. This has been fixed.

Reservation Navigator → Options

Functionality has been added allowing opening the Room Rack for selected reservations from the Reservation Navigator Options Menu when opening one of the following Tabs: 'Arrival', 'In House', 'Departure' or 'All'. Selecting the option 'Open in Room Rack' displays, all reservations from the grid of the opened tab. At least two reservations have to be selected when choosing this option from one of the tabs; if only one is selected all reservations from the corresponding tab are displayed on the Room Rack.

Block Reservation → Grid & Configuration → Reservations → Rate Management → Rates → Dependent rates

When selecting the block grid the message 'There are no Room Types available' came up when a block has been entered for a dependent rate code where the field 'Advanced Setup' was not selected on dependent rate tab in setup. This has been fixed.


Front Desk Changes in V8.9.6.3

Lost and Found → Found Edit Screen

The field 'Number' is now accessible and will be shown when the Global Setting 'Overwrite item found number cycle' under Setup → Configuration → Global Settings → Generic → Generic3 has been activated.


CCM Changes in V8.9.6.3

Conference Diary

It was not possible to enter a booking by selecting a time period → Conference Booking → Quick Book without having a company selected. This has been fixed.

Conference Diary → selecting a time period → Conference Booking → Quick Book

When an existing/new contact ha been entered and afterward another contact has been selected by pressing the 3 dots button, the correct contact has been displayed but when saving the booking the originally selected contact was saved. This has been fixed.

Conference Booking → Events → Copy

When copying an Event with a shareable Function Space booked as 'Non Shareable' it was possible to copy the event to the same Function Space but this time as shareable without any warning. The Function Space was booked twice with the same status then - once as shareable and once as non-shareable. This has been fixed. Confirming the message will change the event to Waitlist. Selecting 'No' returns user to the copy screen and another function space can be selected. In case of multiple function spaces booked, the user can select now the Function Spaces and also change the sharing flag for each.

Conference Booking → Events → Resources

Error message 'List index out of bound' appeared when an event with multiple function spaces has been edited and one of the function spaces in resource grid has been edited afterwards as well. This has been fixed.

Conference Booking → Events → Sub Events

When adding a sub event the message 'Rates must be predefined in setup' appeared when trying to select a function space rate. This has been fixed.

Conference Booking → Booking Master

When cancelling a booking inactive 'Lost to' codes have been displayed in the dropdown box. This has been fixed.

Conference Booking → Booking Master → Events → Function Space Overbooking & Table Reservations

When booking a shareable function space which is linked to a Restaurant as 'Non Shareable' and the Restaurant capacity is already overbooked it was not possible to overbook the Function Space for the Event. The message 'Function Space 'XXX' is not available for Event 'XXX' because of booked Table Reservations. Event Status will be changed to Waitlist. Continue. Yes / NO' was prompted. This has been fixed. The handling is now the same as when booking the Function Space as 'shareable'. If the user right : 'Cap. Overbook Table Reserv. Shareable Funct. Space' is assigned the function space can be booked without changing the event status to 'Waitlist'.


Cashiering Changes in V8.9.6.3

Billing & Accounts Receivable

Ability to post credit card commission automatically has been implemented. The commission can be defined in the configuration of the credit card department codes by entering the fields 'CC Commission' and 'Percentage'. When a payment is done for a credit card with defined commission, the commission details are getting displayed on the payment screen. The commission will be posted automatically and the total revenue increases accordingly. This feature is available for billing since Suite8 Version 8.9.5.4. For A/R it is released with this version.

Billing

  • Default email attachment was not attached when emailing an invoice. This has been fixed.

  • When splitting a posting the time of the splitted posting was not correct. This has been fixed. Splitted posting have the date and time of the original posting.

  • When cancelling a posting with a department code linked that is not defined as 'Allow manual post' no warning message came up and the posting has been cancelled. This has been fixed. The message from previous versions will be displayed again 'Selection contains postings of department codes that are not allowed for manual posting. Cannot continue.' and the posting cannot be cancelled.

Billing → Posting & Configuration → Cashiering → Tax Details

The functions 'trunc' and 'round' released with Suite8 Version 8.9.5.1 have not been worked properly for splitted posting. This has been fixed. Those postings will be rounded accordingly to have a correct total amount.

Billing → Window & Credit Card Payment in a Best Western Environment

The Payment dialog has been enhanced and includes, since this version, an option for defining the payment method on each window with all available options. For Best Western, the Credit Card ID (Token) and the Type of ID are visible for all credit card deposit payments.

Billing & Posting with active Global Settings → Country Specifics4 Tab → Indian Settings → Enable Luxury Tax Handling

The Luxury Tax has been posted as a negative amount in case the rate code has the price 0.00 and an inclusive package attached but should be a positive amount. This has been fixed.

Voucher Management

Vouchers could be set to 'voided' and no posting correction has been done when the logged in user has no own cashier configured, entered a voucher, logged out and in again, set the voucher to voided and confirmed the question to open a closed cashier with 'No' or pressed 'Cancel' when the cashier password was requested. This has been fixed.

Voucher Management → Orders → Show Vouchers → Actions

Ability to set all vouchers of one order to 'Void' or 'on Hold' in one go has been implemented. If vouchers are set to 'Void' only one billing will be created for the amount of the voided vouchers.


Rooms Management Changes in V8.9.6.3

Maintenance → Resolved Tasks

The field 'Date/Time resolved' was not shown when editing a resolved task. Closing the task by pressing the OK button removed the date/time also in the database and the task appeared as not resolved. This has been fixed.


Table Reservation Changes in V8.9.6.3

Table Reservation

Restaurant availability has not been calculated correctly when a table reservation has been changed from shareable to non-shareable. This has been fixed.


Leisure Changes in V8.9.6.3

Install Shield

New installations will not create another user or add/change Leisure tables anymore. From now on all Leisure data will be provided with the Install Shield and will be stored in the same Oracle user (e.g. V8Live). Therefore Suite8 needs to be installed first with a database which already contains any data for leisure in the same user (e.g. V8live). In case V8Leisure is (already) installed in a separate user it would be an update. Install Shield can be used as usual.


Quick Key Changes in V8.9.6.3

Rate Query Scope (CTRL+R)

Access violation came up when one rate code has been defined in setup as 'Ignore rate change' and in CTRL+R the rate query has been entered for more than 1 day and more than 1 children. This has been fixed.

Rate Query (CTRL+R) → Rate Availability → Range

When in Best Western mode it was possible to set a room type restriction on a level other than A. This has been changed. Room type restrictions can only be set on level A and will automatically apply to all other Levels.

Rate Query (CTRL+R) → Rate Availability and Suite8 Property webConnect

When a rate code has been closed for a certain date it was not available in WebSuite8 if closed date applied on entered departure date. This has been fixed.

Best Western Interface & Suite 8 → Rate Query → Rate Availability

When closing Level A all other levels are closed automatically which is correct but restriction type information for all other levels as well as for room types in Level A have been sent. This has been fixed. Restriction type information for room types or other LVL's will be send only when they have been set individually, not automatically.


Miscellaneous Changes in V8.9.6.3

Reports

Custom SQL's can be executed now from report level. Create a new report section with source type 'Custom SQL', create a new report → 'New Binary' and all custom sql's defined under Setup → Miscellaneous → Custom sqls with the role 'Custom sql grid' will be displayed and selected accordingly.

Reports → Import

'Invalid section' came up before user were able to select whether a report tree or a single report should be imported. This has been fixed. In addition the following has been implemented when pressing the 'Import' button: when having a report section or group selected the default is set to report tree, when having a single report selected the default is set to a single report.

Report Procedures → Company Procedure

If a company master and a sub company profile existed, and revenue exists on master company only, then on the Company Procedure, 'Select by Master' chosen and 'Show Average Figures' and master company selected, the room revenue has been displayed in average room rate. As soon as sub company has revenue made it has been calculated correctly. This has been fixed.

Night Audit

Under no circumstances is it possible running the Night Audit on two different workstations at the same time. The message: 'Night Audit is already running on another workstation.' is prompted and the Night Audit Session is aborted.

Questionnaire

Right mouse click menu on grid was not accessible. This has been fixed and grid is customizable now.

Calendar Events → Ticketing

Ticket postings made during night audit were done with the wrong posting date. This has been fixed.


Setup Configuration Changes in V8.9.6.3

Cashiering → Department Codes

Error 'List index out of bounds' came up when editing the tax details and extending the date range of a department code. This has been fixed.

Cashiering → Financial Account Groups → Departure

A new option called 'on x day of the Month' has been implemented. Selecting this option requires the definition of a departure day on which an automatic checkout/departure will be done every month.

CRM → Family Members & Customer Relation → Profiles → Family

New family roles for 'Relatives'/'Distant Relatives, e.g. Uncle/Aunt - Niece/Nephew, Father/Mother in Law - Son/Daughter in Law have been implemented as well as it is now possible to use the roles 'Predecessor' and 'Descendant' twice - once for Parents/Children and once for Grandparents/Grandchildren which can be configured now. The roles Parent/Childs have level=0 and the roles Grandparents/Grandchildren have to be defined with level=1.

Reservations → Rate Management → Promotions → Translate

Translation could not be entered due to the message 'Please define your translation'. This has been fixed.

Reservations & Service module → Child Age Categories & Cashiering

It is no longer possible to enter a space in the field 'Code' of a child age category code as this resulted in an error when postings have been made.

Service Module → Service Types

Ability to link a Third Party (vendor) has been implemented. As soon as the field 'Third Party' is flagged a provider can be linked.

Software Interfaces → OTA XML Interface

When a block started in the past and has been set manually to cutoff or automatic cutoff during night audit the room type availability has been sent to OTA CRS vendor. This has been fixed.

OTA CRS XML Interface & Bookassist

Suite8 interfaces since Suite8 Version 8.9.4.4 with Bookassist using the OTA CRS XML Interface released in Suite8 Version 8.9.5.0, please refer to the document: 'OTA XML Interface Configuration.PDF' for further details.

Supported functionalities are:

  1. Inventory upload

  2. Rate Restriction upload (Open, Close, CTA, MIN LOS, MAX LOS) based on rate code level

  3. Rate detail upload (for childrens, only default rate is supported)

  4. Reservation download (creation, modification, cancellation, multi-room-reservation)

Users → User Definition & Miscellaneous → User Settings → Startup

The default language of a new entered user will be set as language in default settings.

Users → User Log → Calendar events, Miscellaneous → Calendar Events & User Logs

New user logs for calendar events haven been implemented. In addition in calendar event screen a new button for User log has been added to see the changes for each event. Please activate the new user log options in configuration part accordingly.

Global Settings & New Users

'Not enough rights for this operation' came up for new entered users although all rights have been assigned. This has been fixed.

Global Settings → Conference2 → Third party Interface to Suite8 CCM

Based on an xml file created by the third party, the interface provides following functionality.

  • Import of menu item categories during the import of the menu item.

  • Import of the menu item, menu item rates and the corresponding outlets.

  • Automatic import during night audit

  • Manual import.

  • Ability to create new items or link - unlink third party items to or from existing menu items in Suite 8.

Currently this integration is available for MyMicros.In Setup → Configuration → Global Settings → Conference2 the setup can be done in the MyMicros section. The functionality and setup in Suite8 CCM is basically more or less the same as for Materials Controls. Please contact development for further details.

For more information on the setup of MyMicros please contact your micros department and consult their Conference and Catering Management Definitions Export - Manual.pdf.

Global Settings → Conference2 → Oracle Finance Credit Facility & Interface Suite8 CCM

Based on a csv file created by the third party, read during night audit, the interface has following functionality:

  • Feed of values of 3 new fields in Account Receivables: Site Number, Credit Sum and no credit flag.

  • Feed of value on existing credit limit field.

  • Blocking of definite CCM bookings when the no credit flag is tagged.

  • Blocking of definite CCM bookings when the no credit flag is not tagged but the credit sum < forecast of the booking.

The new global setting ' Oracle Finance' has been added under Setup → Configuration → Global Settings → Conference2.

Please refer to upcoming documentation.

Cashiering with Legal Requirements for Thailand & Global Settings → Country Specifications → Country Specifications 4

In addition to the full form reporting type the option 'Abbreviated Form' has been implemented and can be activated under Setup → Configuration → Global Settings → Country Specs → Country Specifics 4 if Enable Thai Vat setting is active. The difference between Full and Abbreviated Form is the following:

Full: 1 tax invoice sequence per property, Guest address is mandatory and no Revenue Department Number per workstation required.

Abb: 1 tax invoice sequence per workstation, Guest address is optional and Revenue Department Number per workstation required.

The Revenue Department Number can be defined under Setup → Configuration → Miscellaneous → Terminals and Printers → Terminals → Edit → Thai Tax Settings (only available if global setting 'Abbreviated Form' is acitve). This was already partially implemented but with this version the Abbreviated Form functionality is supported now.

Suite8 Online Interface for Best Western → Reservations & Setup → Configuration → Global Settings → Interfaces → Tab6

The global setting 'Disable loyalty pop up upon check in' has been implemented. If this is not enabled and a guest without a BW Reward card attached to his profile will be checked in, the message 'This guest is not a BW member. Would you like to enroll now?' will pop up. Choosing 'Yes' will open the BW enrollment screen.

Profiles → Guest Comments & Global Settings → Profile3 Tab

The flag: 'Guest Comment Type Groups' has been added to the Profile3 Tab of the Global Settings under Guest Comments. If activated, it is possible defining Comment Group Types under Configuration → CRM → Guest Comments. The group needs to be configured with a responsible department, such as 'Housekeeping' or 'Front Desk'. The responsible department selection prompted is configured under Configuration → Miscellaneous → Responsible Departments. Once the group is configured, it is linked under Configuration → CRM → Guest Comments → Guest Comment Types. When entering a guest comment, it is necessary linking a responsible department and a guest comment group. If the Global Setting flag is not activated, guest comments can be entered as usual.


New and Changed Reports/HTML's in V8.9.6.3

The following reports/html have been removed:

  • FCR_PMS_4771_STAT_MARKETCODE: The report has been merged into FCR_PMS_4772

  • FCR_PMS_4779_STAT_SOURCECODE: The report has been merged into FCR_PMS_4780

  • FCR_PMS_4782_STAT_CHANNELCODE: The report has been merged into FCR_PMS_4783

  • FCR_PMS_4786_STAT_RATECODE: The report has been merged into FCR_PMS_4787

The following reports/html have changed:

  • FCR_PMS_4780_STAT_SOURCECODE_TOTAL: added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4780_STAT_SOURCECODE_TOTAL_YCAD: Renamed report to 4780, as 4779 is obsolete; added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4783_STAT_CHANNELCODE_TOTAL: added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?ChannelCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4783_STAT_CHANNELCODE_YCAD: Renamed report to 4783, as 4782 is obsolete; added parameter ?Gross and ?Total; renamed parameter ?FromDate; changed parameter ?SourceCode to Number and MultipleChoice; moved TTR_page/TTR_PrintedOn to the top; changed layout of the report

  • FCR_PMS_4760_TURNAWAY: Replaced tables with new view V8_REP_STAT_TURNAWAY; merged to Crystal 2008; moved TTR_page/TTR_PrintedOn to the top

  • FCR_PMS_4766_COVERS: Removed table ZCAS and ZDCG from report

  • FCR_PMS_4787_STAT_RATECODE_TOTAL: Changed layout of report; added parameter ?Gross and ?Total; changed parameter ?FromDate and ?RateCode = number and multiple choice; moved TTR_Page/TTR_PrintedOn to the top

  • FCR_PMS_4790_STAT_SHO_YRCH_LOG_LY_CAD: Changed parameter ?Gross_Or_Net to ?Gross where FALSE = Net and TRUE=Gross; adjusted all revenue fields, report title; changed parameter ?FromDate; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7, otherwise the revenue values cannot be displayed correctly

  • FCR_PMS_4791_STAT_SHO_XCMA_LOG_LY: cosmetic changes: changed parameter ?Gross_or_Net; ?Date; changed formula fields for revenue; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7 otherwise revenue values won't fit

  • FCR_PMS_4792_STAT_SHO_CHANNEL_LOG_LY: cosmetic changes: changed parameter ?Gross_or_Net; ?Date; changed formula fields for revenue; moved TTR_Page/TTR_PrintedOn to the top; changed font to 7 otherwiste revenue values won't fit

  • FCR_PMS_4793_STAT_SHO_XCMA_LY_BUD: cosmetic changes: changed parameter ?Gross_OR_NET; ?Date; adjusted revenue fields; changed font to 7 otherwise revenue values might not fit; moved TTR_Page/TTR_PrintedOn to the top

TThe following reports/html have been added:

  • FCR_PMS_4787_STAT_RATECODE_TOTAL_YCAD

  • FCR_PMS_4790_STAT_SHO_YRCH_LOG_LY

  • FCR_PMS_4791_STAT_SHO_XCMA_LOG_LY_CAD

  • FCR_PMS_4792_STAT_SHO_CHANNEL_LOG_LY_CAD

  • FCR_PMS_4521_AR_AGING_REPORT_15_DETAILED

  • FCR_PMS_4595_SECURITY_DEPOSIT


New and Changed Views in V8.9.6.3

The following views have been added

  • V8_STAT_SHIS_CHAN_DAY_LY_CAD

  • V8_STAT_SHIS_CHAN_MONTH_LY_CAD

  • V8_STAT_SHIS_CHAN_YEAR_LY_CAD

  • V8_STAT_SHIS_CHAN_COMBI_LY_CAD

  • V8_REP_STAT_TURNAWAY

  • V8_BOF_OF_ADP

  • V8_BOF_OF_ADP_HEADER

  • V8_REP_AR_AGING_DETAILED

The following views have been changed

  • V8_REP_COVERS: field zdcg_longdesc has been added

  • V8_REP_TRENDPERMONTH: added - order by TO_CHAR(YTRD_CALCFORDATE,'yyyy_mm') -


New and Changed User Rights in V8.9.6.3

The following user rights have been added:

Booking Master

  • Override Credit Facility


Service Module Changes in V8.9.6.3

Suite8 Service Module

Functionality has been added in Suite8 Version 8.9.6.2 allowing to automatically adding a profit percentage based on the cost of a service. For example buying a Ticket for a boat trip at 500 at an agency and reselling the ticket (service) to the customer at 650 by adding 30%. This is achieved by selecting Percentage Price on the Service Price definition, the configured percentage price is then added to the Cost.

Please refer to the document: 'Suite8 Service Module' for further information.


Suite8 webConnect Changes in V8.9.6.3

Suite8 Homepage → Voucher Management

Default price of vouchers defined as value voucher and 'allow modify price' was empty after the language has been changed to german or other language. This happened in latest version of Firefox and Google Chrome. It did not happen in Internet Explorer 9. This has been fixed and is also available in Suite8 Version 8.10.0.0.

Suite8 Property webConnect → Calendar Events → Print

When emailing an event not all information of the event have been sent. In the preview all information were included. This has been fixed.

Suite8 Property webConnect → Voucher Management

It was not possible to void vouchers if online payment through the online payment gateway failed. This has been fixed.

Suite8 Property webConnect & Online Payment for PayZen

Support for the Online Payment Interface to PayZen from Lyra Network GmbH has been added. To use this activate the line: 'hotel.addOnlinePaymentPlugin("Client.dll", "Client.PaymentPlugins.PayZen.PayZenPlugin"); //Use this for payments via PayZen Payment Gateway' in the file Global.asax and configure the connection details under Suite8 → Configuration → Global Settings → Interface6 Tab when selecting: 'Use PayZen Interface'.

Suite8 Property webConnect & Rate Query (CTRL+R) → Rate Availability

When a rate code has been closed for a certain date it was not available in WebSuite8 if closed date applied on entered departure date. This has been fixed.


Suite8 Online Interface Changes in V8.9.6.3

Online Interface - General

For the following Online Interface mapper the rate code restriction type 'Closed to departure' (CTD) is now supported when uploading rate code restrictions to the CRS:

EZYield, HotelWebService, RateTiger, Siteminder, ChannelManager, SynXis, TravelClick PC, Vertical Booking.

Online Interface - General

Some CRS systems send the same reservation files again and again on a regular basis until they get back a response from the interface.

If for some reason the 1 Way dispatcher service was not running (and therefore the reservation was not processed and no response was generated) hundreds of identical reservation messages were stored in table MQU1 and when the 1 Way dispatcher was starting again and processing all the reservations, this lead to a loop because the same reservations were still downloaded again and again while the first messages were processed.

To prevent this scenario the Online Interface now checks if the reservation file that is downloaded already exists in MQU1 and if it finds an existing file, the duplicate file will not be stored in the queue.

This new handling applies for the following mapper: BestWestern, EZYield, HotelWebService, OptiRez, RateTigerConnect, SeekDa, Siteminder, SmartHotel ChannelManager, StarDekk, SynXis, TravelClickPC, Vertical Booking.

Online Interface - General

New functionality has been implemented to change configuration and mapper settings for the Online Interface without the need to restart the interface afterwards.

So far, whenever something was changed in the mapper configuration, access to the interface workstation was required and the interface needed a manual restart for the changes to apply.

To activate the new functionality, the local IP number of the interface workstation has to be entered on the Online Interface configuration screen on the Global Settings tab into the field 'IP of Interface machine'.

When something changes in the configuration or mapper screen an update command will be send via TCP/IP to this IP Address. Each service is a Socket Server listening on a port:

49300 = 1 Way Dispatcher

49301 = 2 Way Dispatcher

49302 = Trigger Reader

49303 = HTTP Listener

49304 = Filereader

Please note that the configuration screen always sends a command to all services even if they are not running or not even used.

When opening the configuration screen on a different machine via Suite8, it is not possible to know at this point which service is used or running.

Rate Tiger mapper

  • Due to an error in membership type handling, Travel Agent profiles linked to guest reservations send by Rate Tiger were not linked to the reservation in Suite8. This has been fixed and the Travel Agent Profile is now properly linked.

  • When multiple cancellations were sent from Rate Tiger within one cancellation message, only the first reservation in Suite8 has been cancelled, the others remained active. This has been fixed and all reservations are now properly cancelled.

Online Interface - SynXis mapper

When closing a rate code for one room type only in CTRL-R, the resulting RAVL message in the Online Interface did not contain any info about the room type. In SynXis this caused the complete rate code to be closed and not only for one room type. This has been fixed and the room type information is now properly send.

Online Interface - Travelclick PMS Connect mapper

When uploading rate detail messages (RDET) of a rate code linked to a day type to Travelclick PMS Connect, the last day of the day type period was missing in the message. This has been fixed, the rate amount value of the last day is now as well uploaded properly.

Suite8 Online Interface for Best Western

  • Triggers have not been created for tentative reservation (yres_resstatus=0) when running a Resynchronization through the Online Interface. This has been fixed.

  • Locally linked source profiles were removed upon receiving an update via the Central Reservation. This is no longer the case since version 8.9.6.2.

  • The rate discount of a reservation has not been considered when the reservation has been uploaded to the Interface. This has been fixed.

Online Interface - Best Western mapper

Rooms Management → Out of Order: when a Room has been set as 'Out of Service' no Room Type Availability message has been sent to the Interface which is correct. As soon as another Room has been set to 'Out Of Order' for the same day as the 'OOS' Room exists a message has been sent as expected but Inventory in CRS has been reduced for OOS and OOO rooms.

This has been fixed. Inventory will not be reduced unless the 'Deduct Availability' flag is set in Setup → Configuration → Room Management → Room Status.


Suite8 Central Changes in V8.9.6.3

CRS

Application user and password handling and storage has been improved in a CRS environment. A password administration screen is available in Central → CRS Monitor → Password Manager.

Suite8 Central Reservation System

Hash problem due to global settings during configuration sync has been fixed.


Suite8 Property Interface Changes in V8.9.6.3

Interface Samsotech - Suite8

The fields 'Father's name', 'Mother's name', 'Registerd City' and 'Registered Town' have been added for personal documents. Those fields are only supported by the Samsotech interface. Important: already installed Samsotech software will no longer work with Suite8 Version 8.9.6.3, please contact Samsotech to get their new dll.


Suite8 POS8 Changes in V8.9.6.3

POS8

On the open check list screen as well as on the check detail screen, the currently logged in waiter is shown in either the outlet selection or underneath the check header information.


General Changes in V8.9.6.2

Opening Text Templates with Quick Key 'Alt' + 'Shift'+ 'I' on different workstations

When running two sessions of Suite8 and opening 'Text Templates' with the quick keys: 'Alt' + 'Shift'+ 'I', the Text Templates dialog is opened on both workstations. In previous versions this was only functional on the first workstation.


CRM Changes in V8.9.6.2

Profiles → Merge & Global Settings → Profile1 Tab

Since this version, profiles with a different internal category, such as 'Travel Agent' to 'Source', or 'Company' to 'Travel Agent' can no longer be merged. However, should this be required, it can be used by activating the flag: 'Merge profiles with different internal category' under Global Settings → Profile1 tab. If the option is selected, Customer Profiles with different internal category, only 'Agent' to 'Source' or to 'Company' can be merged. Please note, it is not recommended merging such profiles, as it has impact on statistical data.

Profiles → Options → Guest Comments

The guest comment dialog has been enhancements and since this version, the field 'User' has been replaced with the fields: 'Entered by', completed automatically with the user entering the complaint and 'Received By' for selecting a user profile who received the comment allowing to differentiate between the person listening or receiving the guest complaint from the guest and the person entering it to the system.

Profiles → More Tab → Personal Documents & Global Settings → Country Specifics1 Tab → Italian Birthplace Handling

Since this version, with the flag: 'Italian Birthplace Handling' activated, the order on the personal documents page for entering Country, State and Place of Birth has changed to the following:

'Country of Birth',

'State of Birth',

'Place of Birth' and

'Date of Birth'.

In previous versions it was

'Place of Birth',

'Country of Birth' and

'State of Birth'


Reservation Changes in V8.9.6.2

Billing Instructions & Add On Reservation

Since this version, it is no longer possible opening the billing instruction dialog from the reservation search if the selected reservation is locked. In previous versions this was possible which resulted in not copying entered billing routing to the new reservation.

Edit Reservation → Room Number & Setup → Miscellaneous → Form Customization & Global Settings → Visual Appearance →

The functionality to mark an assigned room number on a reservation for not allowing to change and with this super block a room number is available since Suite8 Version 8.9.7, since Suite8 Version 8.9.6.2 this functionality has been enhanced the name 'Lock Room' has been changed to 'Superblock' for User Rights and Global Settings, it is possible assigning colours to blocked room numbers and the message prompts have been revised and corrected. To use the functionality, a customized reservation edit dialog has to be defined via Setup → Form Customization, the field 'TFidResLockRoomCheckBox' has to be added to the custom form, the field can be selected from the component palette under the tab: 'FidresCheckBox'. When using Superblock, a warning message is prompted to users changing the room number on reservations where this field is selected. Assigning and removing superblock on rooms is subject to the user rights: 'Superblock', allowing blocking room numbers, 'Clear Superblock', to remove the lock of the room number and 'Change room when Superblocked' to change the room number of such rooms. Under Global Settings → Miscellaneous → Visual Appearance it is possible assigning a colour for 'Don't Move'. The room number is then highlighted in this colour on all dialog boxed displaying room numbers, such as Room Rack, Floor Plan and on the Reservation.

Profiles & Global Settings → Reservation3 Tab → 'Quick profile link screen for reservations'

Functionality has been added allowing prompting a dialog for linking related profiles when creating a new reservation. To use this, the flag: 'Quick profile link screen for reservations' can be activated on the Global Settings → Reservation3 tab. When entering a reservation and selecting a profile, all linked profiles are prompted in a dialog box with their Role, Name and Address. On this dialog further details about a linked profile can be viewed by selecting the profile and clicking on 'Details' for viewing the profile's HTML information. It is also possible selecting all linked profiles or deselecting all. Clicking 'OK' links the selected profiles to the reservation.

Options → Guest Comments

The guest comment dialog has been enhancements and since this version, the field 'User' has been replaced with the fields: 'Entered by', completed automatically with the user entering the complaint and 'Received By' for selecting a user profile who received the comment allowing to differentiate between the person listening or receiving the guest complaint from the guest and the person entering it to the system.

Options → Registration Card → Check-In

Functionality has been added allowing using electronic signature pads and offering the guest upon check-in to complete the registration card with a handwritten signature on the signature pad. For this the signature pads from StepOver International GmbH are used. StepOver International GmbH offers e-signature programs used in many different industries. The company offers development, construction and sales for signature pads using handwritten electronic signature. This has been adapted to work in Suite8 for signing registration cards electronically. The signature process can be performed manually, then the guest is assisted by a Staff member or automatically then the instructions for signing are prompted to the guest on the terminal. For further details on this, please refer to the document: 'Electronic Signature Pads.pdf'.

Options → Calendar Events

Functionality has been added allowing creating or linking Calendar Events directly from the reservation. To use this, activate the flag: 'Link Calendar Events to Reservations' under Global Settings → Reservation3 tab. Then the option: 'Calendar Event Tickets' can be selected from the Options Menu on the Reservation Navigator and the tab 'Cal. Event' becomes available when editing a reservation, both options allows access to the Calendar Events dialog for creating New or linking existing Calendar Events. From the options menu when editing a reservation, it is possible booking 'Calendar Event Tickets'. If a reservation is linked to a Calendar Event with Ticket price, the price is posted during night audit on the first night of the calendar event, even if the event is for multiple days. Deleting a ticket from a reservation does not automatically create an inverse posting if the ticket has been already charged to the invoice of the reservation. Linking an existing calendar event participant where the ticket price was already posted in the calendar event menu is indicated when editing the reservation in the column 'Created for' as 'Financial account' if posted on the reservation this indicates: 'Reservation'.

Packages & Promotions & Configuration → Reservation → Promotions & Rate Management → Packages

In Suite8 Version 8.9.5.1 the calculation order for inclusive percentage packages and promotions was changed which resulted in problems with VAT postings in Greece. Therefore the sequence for calculating inclusive percentage packages and inclusive percentage promotions has been revised and changed back to the calculation sequence used in Suite8 Versions smaller than 8.9.5.1.

Room Search & Global Settings → Miscellaneous → Search Sreens2 Tab

Functionality has been added allowing using a default query on room search to sort rooms by their usage and with this make sure they are occupied evenly. To use this, activate the option: 'Usage statistics on room search (default)' under Global Settings → Miscellaneous → Search Screens. If this is activated, the field: 'Usage statistics' is available when opening the room search and it is selected by default. The query used to find out the rooms' occupancy is the following:

select yrms_id, occdays, LastRoomDate, RoomDate, roomnumber, RoomType from ( SELECT

count(ydet_date) OCCDAYS

,yrms_id

,max(ydet_date) LastRoomDate

,v8_sys_fideliodate RoomDate

,yrms_shortdesc roomnumber

,YCAT_SHORTDESC RoomType

FROM yres, ydet, yrms, ycat

WHERE yres.YRES_RESSTATUS(+) <> 3

AND yres_id(+) = ydet_yres_id

and ycat_id=yrms_ycat_id

AND YDET.YDET_YRMS_ID (+) = yrms_id

AND YDET.YDET_DATE(+) < v8_sys_fideliodate +2 AND YDET.YDET_DATE(+) > v8_sys_fideliodate - 365 GROUP BY

yrms_id,yrms_shortdesc,YCAT_SHORTDESC

) order by occdays asc

Voucher Management & Reservation → Edit

Since this version, it is possible selecting 'Voucher' from the options menu when editing a reservation. In previous versions, this was only available from the reservation navigator options menu.

Voucher Management → Print → E-Mail & HTML

Since this version when sending Email via the Print dialog in Voucher Management, it is possible using HTML Templates.


CCM Changes in V8.9.6.2

Conference Booking → Booking Master → Forecast/Revenue

The presentation, structure and figures indicated on the Forecast/Revenue tab have been reviewed and all known issues for double or incorrect values have been corrected. When opening the Forecast/ Revenue tab on the Booking Master, the layout is organized as follows:

On top the Financial Account and Booking ID are indicated, underneath in the grid layout the columns are:

Date, Event Time, Event Name, Department Code, Expected, Forecast, Net, Tax, Posted, Net, Tax

On the grid, in the 'Date' column, the Tree states 'Total Bookings' with each department code listed by line. Instead of using the rooms department code for all reservations and blocks, this is divided into the department codes 'Blocks', listing the total of all expected revenue from reservations linked to the block on the Booking Master in the column: 'Forecast' and the total revenue posted for these reservations in the column: 'Posted' and the department code 'Reservations' totals all forecasted revenue from reservations or group reservations linked to the booking master in the column: 'Forecast' and all posted revenue for these reservations in the column: 'Posted'. If the department code for rooms (Accommodation) is listed, then room charge was posted directly on the financial account. If the Booking Master is for several days, each day is listed underneath the corresponding date on the tree, and each date section totals the Block and Reservations forecasted and posted revenue on one line and extra lines for postings on other items linked to the Booking Master, such as charges for the Meeting or Room Rental.

Conference Booking → Events → Resources → Conference Packages & Event Copy

When copying an event included in a package of which some resources are not included, and the option 'Include Resource' is not selected on the 'Copy' dialog, the resources are not copied. In previous versions they were copied, even when they should not be included.

Conference Booking → Events → Manual Postings & Financial Accounts

The balance on the Conference booking HTML file was not correct indicated, when the financial account linked to the booking was routed to a reservation. This has been fixed.

Conference Booking → Events → Packages & Function Sheet

The view: 'V8_CCM_FS_PACKAGE' and the Function Sheet Reports have been changed allowing returning CCM Packages configured with no price or zero value. In previous versions, these packages were not indicated on the Function Sheet reports.

Conference Booking → Events → Resources & Forecast

Enhancements have been made when adding a resource with a start time smaller than the end time, this could happen for example when entering 0.00AM as start time and 1.00 AM as end time, then this resulted in displaying a negative time value on the forecast tab. To avoid this, the following has changed:

On the Event level when entering a start time '0.00' AM and an end time '1.00' AM the end date is changed to the next day.

On the Resource level when entering a start time '0.00' AM and an end time '1.00' AM the message: 'Resource End time must be greater than Resource Start time'.


Cashiering Changes in V8.9.6.2

Posting Journal → Total Credit

The Total Credit on the Posting Journal was not calculated correct. For example when posting '100' on Room Charge, the Journal indicated this in the column 'Debit' and under 'Total Debit' but also under 'Total Credit'. This is fixed with this version.

Billing → Package Postings & Global Settings → Billing 1 tab → 'Advanced Package Handling

Since this version, when the package profit department code has no TAX link, the consumption posting is no longer linked to wrong Tax link ID in the table 'ZPOS'. In previous versions when posting the allowance consumption, the inverse package profit posting had the same 'ZPOS_TAXLINK_ID' as the package profit posting where no tax was linked, this was wrong and resulted in calculating the wrong package profit revenue for the day on the Trial Balance Report. Since this version, the issue is fixed.

Billing → Advance Posting & Global Settings → Billing1 Tab → 'Enable Advance Postings'

When cancelling an advanced posting, the internal split ID, 'ZPOS_internalsplit_zpos_id' of the Tax record from the package profit posting was not correct. This is solved.

Billing → Payment & Global Settings → Billing3 tab → 'Payment Receipts' → 'Store Payment Receipts in Billing History'

The payment is indicated and the balance correct on the payment receipt in Billing History if the flag: Store Payment Receipts in Billing History' is activated and a partial payment posted initially with the remaining amount upon check-out. For example when posting revenue of 150, performing a payment of 100, printing the receipt and upon check-out posting the remaining amount as payment. In previous versions, the payment was not indicated but the open balance of 50. This is fixed.

Billing → Check Out all 0 Balance & Global Settings → Billing 1 tab → 'Print invoice when Balance is zero'

The field: 'ZINV_Printed', indicating if an invoice is printed, then the value is '1' or not printed, then the value is '0', was updated with '0' when Check-Out was performed via the option: 'Check-Out all zero Balance' from the billing search dialog. This issue is solved with this version.

Billing → Information and Pro Forma Invoices, Billing History & Configuration → Global Settings → Country Specifics → Portugal Settings → 'Enable Invoice Signature' & SAF.T Export

The splitting of voided postings has been corrected. In previous versions, this resulted in wrong amounts.

Billing → Check-Out → Print & Configuration → Cashiering → Tax Detail → Print Separate & Global Settings → Country Specifics1 Tab → 'Compress separately printed tax records on display

When using print separate tax and the option to compress separately printed tax records on display was activated, the records were not readable after printing an invoice with such a posting, the tax records were all shown in black. This has been fixed.

Billing → Information and Pro Forma Invoices, Billing History & Configuration → Global Settings → Country Specifics → Portugal Settings → 'Enable Invoice Signature' & SAF.T Export

The SAF.T Export Tool is a small ASP.NET application developed for the Portuguese local office in order to generate a Standard Audit File for Tax (SAF.T) in the correct XML format as requested by the Portuguese Tax Authorities. Suite8 Version 8.9.6.2 has been enhanced to support the SAF.T version 2.4.4 available on the Micros-Fidelio FTP Server. With this version, it is possible defining in the file: 'web.config' to override the 'TaxCountryRegion' from the flat file with the one defined in the file 'web.config'.

Cashier Functions → Deposits

The flag: 'Combine with Deposit Manager' has been added to the Country Specifics1 Tab and is available when using 'Enhanced Deposit Handling'. If activated, the option 'Deposit' under Cashiering → Cashier Functions is also available with 'Enhanced Deposit Handling', allowing to view and enter deposit requests or to post a deposit payment. This feature is available since 8.9.6.0.

Passer By

When using the option 'Passer By', the departure date is correctly set to actual hotel date. In previous versions, it was set to the hotel date + 1 day, which resulted in prompting the message: 'Guest is not expected to leave today...' upon check-out. This has been fixed with this version.


Rooms Management Changes in V8.9.6.2

Housekeeping → Attendants

The error message: 'Cannot focus a disabled or invisible window' was prompted on the Attendants dialog, when the automatic update of the screen applied and the Maintenance dialog was opened on another window. The issue is solved with this version.

Maintenance

Functionality has been added allowing automatically creating a Maintenance Task for a Housekeeping Attendant whenever a room has to be cleaned. To use this, each configured Room Maid has to be assigned to a User. On the Housekeeping → Attendants dialog when generating the attendant plan using configured maids, the button 'Create Maintenance Task' can be pressed. A dialog is prompted to enter the priority, the requesting employee, the Maintenance Type, the Start Date and Time, defaulting to the actual time, the Break minutes, a Credit Multiplier (the room credits times the multiplier equals to the task duration time in minutes), the attendant notes, defaulting to 'Automatic Maintenance Task for Attendants' and the Housekeeping Status on Resolve.

Maintenance

The search criteria on the Maintenance Search dialog have been enhanced and filtering on Date allows querying by specific task dates, such as when it was entered, due or resolved. The filter 'Date From/To' has been replaced with the following options

  • Entered On- allows selecting a date when the task was entered

  • Until- allows selecting a date to search by a date range for when the task was entered

  • Due On - allows selecting a date when the task is due

  • Until- allows selecting a date to search by a date range for when the task is due

  • Resolved On - allows selecting a date when the task was resolved

  • Until- allows selecting a date to search by a date range for when the task was resolved

Maintenance & Configuration → Miscellaneous → Maintenance → Maintenance Type

When configuring a new Maintenance type detail, the flags selected on the employee section were not correct. For example: When creating a new type detail under General and navigating to the Employee section, adding an employee and selecting all possible alert options, then saving this detail and selecting the responsible employee again, some options were no longer available or deselected. This has been checked and solved in this version.

Maintenance → Result Count

Since this version, when opening the Maintenance Search dialog and clicking on Search, the number of records is indicated on the grey Status Bar under 'Result Count:'.

Maintenance → New Task

  • The defined priority of the maintenance type is passed automatically when entering a new maintenance task.

  • When entering a new Maintenance Task, the estimated duration is stored correctly, in previous versions this was not saved.


Table Reservation Changes in V8.9.6.2

Suite8 Table Reservation

Since this version it is possible to unseat a reservation. To use this, the user right: 'Undo Seated' under Configuration → Users → Rights → Table Reservations → Reservations has to be assigned to users allowed to remove seated guests. The User right is only available when not using POS8. Users assigned to this right may select 'Undo seated' on a table reservation already seated, on the Table Reservation Availability this is possible when selecting a seated reservation from the right mouse short cut menu. On the Table Reservation Search, the button 'Undo seated' is available on seated reservations. This functionality is also available in Fidelio webSuite.


Quick Key Changes in V8.9.6.2

Room Rack (CTRL. + L) & Edit Reservation

Since this version the Room Rack no longer minimizes when left open when opening the reservation navigator and changing a reservation.


Miscellaneous Changes in V8.9.6.2

Night Audit & Miscellaneous → Logs → Error Log

If an error occurs upon the second part of the Night Audit, it is written to the Log files. In previous versions, only errors occurring in the first part of Night Audit were recorded.

Reports → Cube Reports & Korean Language Settings

The regional settings were changed when executing a cube report and the error message: 'Not a valid date time' prompted when exiting Suite8 afterwards. The issue has been found and fixed and Cube Reports run without errors in a Korean Environment.

Reports & Configuration → Cashiering → Currency → Currency formats

The function: TranslateCurrency(Amount, ZcurID), allowing returning the currency formats in the defined format of the Suite8 configuration has been added to Internal Editor, Crystal Reports and Fast Reports .Please note: when using Base Currency, the 'ZCUR_ID' should be replaced with 0, or it is necessary entering the real 'ZCUR_ID'.

Mailing & HTML translation

The function 'translatestatictext()' introduced in Suite8 Version 8.9.5.2, allowing translating HTML Reports, was returning an error when running Mailings with the corresponding HTML & QRY files. This is solved with Suite8 Version 8.9.6.2.

Logs → User Log & Global Settings → Country Specifics3 tab → Turkish Settings → Enable E-Invoicing & Customer Profiles → Company → Turn to E-Invoice

When adding a VAT number and clicking 'Validate' button to check if the Company is liable for using E-Invoice, the record in the user log was missing the validation information, the attribute defined under the Global Settings → County Specifics3 tab, the log recorded only the action: 'New Marketing Info'. Since this version, the attribute linked under Global Settings is also recorded in the User Log file.

Calendar Events & Packages & Ticket Price

If a package is configured with a different price per adult by date, for example:

A price per adult of 10 until the date of 28.2., - and a price per adult of 15 as of the date of 01.03.

When entering a calendar event for the date: 10.03., attaching this package as ticket price, adding a participant and posting a ticket, the ticket price is correctly posted with the amount of 15. In previous versions, the ticket price was posted with 10 in this event.


Setup Configuration Changes in V8.9.6.2

Cashiering → Department Codes

Functionality has been added allowing supporting Department Code Numbers using 10 digits. The field: 'ZDCO_NUMERICDESC' from the table 'ZDCO' storing the department code setup has been enlarged to 10 and all related dialog boxes controlled to display properly.

Cashiering → Tax Definition & Global Settings → Country Specifics4 Tab → Indian Settings → Enable Luxury Tax Handling

Functionality has been added, allowing calculating and posting a luxury tax which is upraised in India on room charge. To enable this, activate the flag: 'Enable Luxury Tax Handling' under Global Settings → Country Specifics4 Tab → Indian Settings. Define a Tax Header under Setup → Configuration → Cashiering → Tax Definition and a Tax detail under Setup → Configuration → Cashiering → Tax Details. On the Tax detail definition, select the created Tax Header for Indian Luxury Tax, choose a department code for this tax posting and enter the formula as required, for example 10% would result in the following formula: 'round(x*0.10;2)'. Click 'Validate' button to open the 'Tax Formula Validation' dialog. On this dialog, make sure that the general tax formula is accepted by pressing once 'Calculate' button or 'Gross Test' button, return to the tax detail definition by clicking 'OK'. The next step is to open the Indian Setup tab on the Tax detail dialog and linking 'RACK' rate codes to the tax detail or defining different percentage values, so called 'Slab' by clicking 'Add Slab' button. When using percentages, the different Slab levels should not have any gaps for amount ranges, the Amount Range should start with '0' and the last slab should end with the amount '9,999,999,999.00'. The 'From Amount' is always included in the respective level. The 'To Amount' is excluded and applied as the 'From Amount' for the next Slab number. For example: #1 is from '0' to '150'; #2 is from '150' to '200' etc. If there are gaps encountered on amount ranges, the tax detail cannot be saved. The last step is to link the tax to the room charge department code under Setup → Configuration → Cashiering → Department Codes by editing the department code for room charge and clicking 'New' on the tax section of this code. If the tax detail is based on 'Rack Rate' (no Slab), the field 'Calculation Rule' allows selecting one of the following rules: either 'Not Assigned', 'Charged Rate', 'Rack Rate' or 'Highest Rate'. The calculation rule works as follows:

Not Assigned = no calculation rule applies

Charged Rate = the tax detail calculation rule applies to the charged rate, for example if the room type is 'DB' and rack rate for DB is '200' but a rate room type 'SG' is entered and the rack rate for this room type is '180', the calculation rule applies to the amount of 180.--, or if any discount applies to the discounted rate, the final rate charged to the guest is the base for this type of calculation rule.

Rack Rate= the tax detail calculation rule applies to the Rack Rate of the entered room type

Highest Rate= the tax detail calculation rule applies to the Highest Rate, either Rack or Charged Rate, whatever rate results in a higher tax calculation.

Miscellaneous → Automatic Traces → Reservations

The following enhancements have been performed on the automatic traces dialog for reservations:

Under 'Condition', the fields: 'Expected Arrival' and 'Expected Departure' have been removed.

The fields 'Arrival' and 'Departure' can be used in the condition, allowing checking against an arrival and departure date.

The box: 'SD' has been added, 'SD' stands for System Date. If the field is selected the actual date is no longer available, but the trace condition could be set to an arrival date equal to or larger than the system date.

Miscellaneous → Report Translation & Translation Studio

The function 'translatestatictext()' introduced in Suite8 Version 8.9.5.2, allowing translating HTML Reports, was returning an error when running Mailings with the corresponding HTML & QRY files. This is solved with Suite8 Version 8.9.6.2.

Reservation → Rate Management → Rate Availability

  • The option: 'Closed to Departure' has been added to the Rate Availability restrictions, allowing closing a rate code on departure days.

  • Functionality has been added allowing restricting a rate code selling to the actual date by applying 'Same Day Only' restrictions to a rate code.

Software Interfaces → OTA XML Interface & Overbooking

When configuring the OTA XML Interface and selecting the tab 'Options', the flag: 'Always send message for all Room Types when Hotel is fully booked' can be activated to ensure that an availability message is generated and send to the Central Reservation System, indicating to close all Room Types for the property, when the property is already fully booked with the total number of rooms and then makes a reservation and overbooks a room type. If the flag is not activated, the handling is as usual: When a room type is overbooked after fully booking of the total number of rooms for the property, an availability message is generated and sent to the Central Reservation System, indicating the closing of this specific room type only.

Suite8 OTA CRS XML Interface & Suite8 → Configuration → Software Interfaces → OTA XML Interface

Functionality has been added allowing monitoring OTA CRS XML Interface by clicking on 'Monitor' when editing the OTA XML Interface Configuration in Suite8. The OTA CRS XML Interface Monitor dialog is opened allowing viewing the following options, each represented by a tab:

Log files

1 Way Request Messages

1 Way Response Messages

2 Way Request Messages

2 Way Response Messages

To read the files on the OTA CRS XML Monitor properly, it is necessary placing the file: 'defaults.xsl', in the Suite8 log directory. This file is included in the Suite8 programs.zip, usually the file is copied to the log directory when installing the OTA CRS XML Interface.

Global Settings → Country Specifics → Country Specifics1 Tab → Enhanced Deposit Handling → Combine with Deposit Manager

The flag: 'Combine with Deposit Manager' has been added to the Country Specifics1 Tab and is available when using 'Enhanced Deposit Handling'. If activated, the option 'Deposit' under Cashiering → Cashier Functions is also available with 'Enhanced Deposit Handling', allowing to view and enter deposit requests or to post a deposit payment. This feature is available since 8.9.6.0.

Global Settings → Profile2 tab → Belgian eID Reader # Custom Relations

The functionality to support the Belgian 'eID' Card Reader' has been introduced in Suite8 Version 8.9.0.4. This year the Belgian government implemented a new chip to the Belgian ID cards, to read this, the middleware for the Belgian eID Reader version 4.07 has to be installed and Suite8 Version 8.9.6.2 has been enhanced to support the chip reading.

Global Settings → Reservation1 tab → 'Always calculate full length of stay for rates' & Reservations → Rate & Rate Management → Rates → Minimum/Maximum Length of Stay

The length of stay validations have been enhanced when using the flag: 'Always calculate full length of stay for rates'' and rate restrictions defined on the rate header. In previous versions, when linking a rate with a rate code restrictions set to a minimum of 2 nights of stay and a maximum of 2 nights of stay, and the flag: 'Always calculate full length of stay for rates' activated. The message: 'Rate Header restriction, invalid length of stay' was prompted when linking this rate to a reservation staying 3 nights on the second day for the remaining days. This has been solved by introducing new validation codes.


New and Changed Reports in V8.9.6.2

New and Changed Reports/HTMLs in V8.9.6.2

The following reports/html have been changed

  • FCR_CRM_2003_PROF_WO_SM: Replaced V8_REP_XCMS_WMLG_INFO with V8_REP_XCMS_WMLG_INFO_NS to filter out correctly sales managers (TT24457)

  • FCR_HCN_4700_MANAGERREPORT: Added link to WPHS_ID

  • FCR_CRM_86003_USERRIGHTS: added parameter ?exclinactive and adjustet Select Expert; moved TTR_page/TTR_printed_on to the top

  • support.htm/qry: New layout; merged with support.htm from \\System Health Check.

  • bonuspointscards.htm: changed 'Statement Details' to class="DivHeadeCRM"; re-Sized columns; corrected placment of {forall}

  • Individualprofile.htm: moved link for Reservationhistory.htm to Stays (was on Roomnights)

  • guestrecognition.htm: cosmetic change on GreyLine/WhiteLine order

  • multiguests.htm: added "&nbsp;" in front of the link to the arrow; removed <br>

  • partyguests.htm: Removed <div id=col100p> below header; re-sized columns

  • tableres_hist.htm:Removed <div id=col75p> below header; re-sized columns

  • tableres_listing_profiles.htm: Removed <div id=col75p> below header; added col*pnum for columns table, # of pers., from and until

  • tableres_listing_reservations.htm: Removed <div id=col75p> below header; added col*pnum for columns table, # of pers., from and until; reduced size for from and until to col8p; added link to guestrecognition.htm

  • tableres_listing_reservation.qry: added xcms_id

  • Suite8_GuestDetails.htm: Removed class="DivSubHeaderFD" on 'Total Revenue' and moved total revenue below department code details; Changed "#" to "Code"; re-sized several columns

  • reservationhistory.htm: added <li class="DivHeaderFD"> for areas Reservation History, Cancellations, No Shows and Next Reservations. Re-sized columns

  • bookingmaster.htm: added <br> for label 'Events' to place it correctly.

  • FCR_PMS_4735_STAT_YEAR_COUNTRY_STATE_DATERANGE: TT24675; fixed speed issue by re-saving the report and running a preview within Crystal through Suite8 application; merged to Crystal 2008

  • FCR_PMS_4760_TURNAWAY: Replaced tables with new view V8_REP_STAT_TURNAWAY; merged to Crystal 2008; moved TTR_page/TTR_PrintedOn to the top

  • FCR_PMS_4726_STAT_SOU_SEL_A_LY_SD: Changed layout of Report; added parameter ?Gross; moved TTR_page and TTR_printedon blocks to the top; merged to Crystal 2008

  • Changed layout of Report; Changed view to V8_STAT_SHIS_XCMS_3_COMBOI_LYLD; removed subreport; added parameter ?Gross; moved TTR_page and TTR_PrintedOn blocks to the top; merged to Crystal 2008

  • FCR_PMS_4722_STAT_TRA_SEL_A_LY_SD: Report Titel was refering to Company instead of Travel Agent; merged to Crystal 2008

  • reservation.htm: TT24683: added to total amount: <a href=action://checkout?parameter={field 1.yres_id}><img border="0" src="{file LinkArrow.gif}" alt="Checkout"></a>

  • FCR_PMS_4761_TIMEVIEW_XPAC_CH: Subreport 'Attributes': added ", " between attributes; merged to Crystal 2008; changed SP-PRINTGREY to SP-PRINTGRAY; moved TTR_page/TTR_PrintedOn to the top

  • individualprofile.htm: TT24443: Changed POS Details link to new P2_GuestRecognition.htm.

  • FCR_PMS_4308_RES_WAITLIST: Add communication for waitlist

  • FCR_CCM_75000_FS: Subreport Package Details: suppressed package split if package price is 0 (TT23569). Subreport F&B Items: changed condition of TR_yemi_price as 'inclusive' was shown when std. menu was incl. in package but no item was booked and also when menu item was not incl. in package menu. Subreport Misc Items: Changed line suppress condition for 'Alternative' as it was displayed when no misc. items were booked on that day. Main Report: suppressed field ZFAC_Number if 0, field FS_Rate: changed 'inkl. Pauschale' to 'incl.package'.

  • FCR_CCM_75004_FS_CHANGES: see FCR_CCM_75000_FS

  • FCR_CCM_6500_FS_DATE_RANGE: see FCR_CCM_75000_FS

  • FCR_CCM_6501_FS_DATE_RANGE_PER_DAY: see FCR_CCM_75000_FS

  • FCR_CCM_6501_FS_DATE_RANGE_PER_DAY_YCAD: see FCR_CCM_75000_FS

  • FCR_CCM_6502_FS_DATE_RANGE_FOODNONFOOD_YCAD: see FCR_CCM_75000_FS

  • FCR_CCM_6502_FS_DATE_RANGE_FOODNONFOOD: see FCR_CCM_75000_FS

  • FCR_CCM_75002_FS_FOOD: Subreport Package Details: suppressed package split if package price is 0 (TT23569). Subreport F&B Items: changed condition of TR_yemi_price as 'inclusive' was shown when std. menu was incl. in package but no item was booked and also when menu item was not incl. in package menu. Main Report: suppressed field ZFAC_Number if 0, field FS_Rate: changed 'inkl. Pauschale' to 'incl.package'.

  • FCR_CCM_75003_FS_NonFOOD: Subreport Package Details: suppressed package split if package price is 0 (TT23569). Subreport Misc Items: Changed line suppress condition for 'Alternative' as it was displayed when no misc. items were booked on that day. Main Report: suppressed field ZFAC_Number if 0, field FS_Rate: changed 'inkl. Pauschale' to 'incl.package'.

The following reports/HTML have been added

  • FCR_PMS_4758_Top20_REV_ALL_PROFILES_SHORT_CAD

  • FCR_PMS_4404_FREE_ROOMS_TONIGHT_CAD

  • FCR_PMS_4705a_STAT_MANAGER_THDV: Original report was named without 'a'. Report as such has not changed.

  • FCR_PMS_4705b_STAT_MANAGER_D_V_BUDGET

  • FCR_PMS_4612_VOUCHER_MGMNT_DET

  • Voucher_Listing_profile.htm/qry

  • TT24443: P2_AvrgRevenueRestaurant.htm/qry; P2_ConsumptionByOvergroup.htm/qry; P2_GuestRecognition.htm/qry; P2_Last10Consumption.htm/qry; P2_TopConsumption.htm/qry

  • BWH_CRM_7170_ENROLLMENT_CONF: Best Western Rewards Profile Letter

  • FCR_PMS_4346_FORECAST_OCCUPANCY_ROOMTYPE_YCAD.rpt/S8R


New and Changed Views in V8.9.6.2

The following views have been changed

  • V8_STAT_SHIS_DAY_COMBI_CAD: corrected link between YCAT, YCAD and SHIS in case of direct booking by company

  • V8_REP_USERRIGHT: TT24482; added XCED_STATUS

  • V8_CCM_FS_PACKAGE : changed view to display packages with no expected or forecast amounts (TT 23569)

  • V8_REP_YCATYRCH_HISTFOR - corrected calculation for children; additionally corrected all fields for rooms, persons, arrivals as there was no relation to the rate code.

  • V8_CCM_ROOMS_BLOCK_PERDA: TT 23328

  • V8_STAT_FO_FORREV: TT 23328

The following views have been added

  • V8_REP_XCMS_WMLG_NS

  • V8_REP_GROSS_NET_TAXLINK

  • V8_REP_HS_ARR_ALLCILD_YCATYRCH

  • V8_REP_HS_ARR_ALLDULT_YCATYRCH

  • V8_REP_HS_ARR_ALLROOM_YCATYRCH

  • V8_REP_HS_DEP_ALLROOM_YCATYRCH

  • V8_REP_YBLD_OCC_YCATYRCH

  • V8_REP_YDET_ADULT_WB_YCATYRCH

  • V8_REP_YDET_OCC_WB_YCATYRCH

  • V8_REP_STAT_TURNAWAY for report 4760


New and Changed User Rights in V8.9.6.2

The following user rights have been added

Cashiering → Move Postings

  • Move on/transfer to selected IFC Accounts

Customer Profiles → Membership Card Information

  • Modify Reservation without ownership

  • Request reservation ownership even if it was modified on other side

  • Send configuration control back even if configuration is modified

Miscellaneous

  • Run remote SQL in Partner Hotels

Table Reservations → Reservation

  • Undo Seated

The following user rights have changed:

Reservations

  • Lock Room (Superblock) has been renamed to 'Superblock'

  • Unlock Room (Superblock) has been renamed to 'Clear Superblock'

  • Change locked rooms has been renamed to 'Change room when Superblocked'


Suite8 Service Module Changes in V8.9.6.2

Suite8 Service Module

Functionality for using Allocations of Services, similar to Suite8 Block Reservations. Currently this functionality is only available when starting Suite8 with the parameter: 'ServiceContingent'. If this is used, the Services toolbar has the option: 'Contingent'. This parameter will be removed when the beta phase is completed and the 'Contingent' function released to Customers. The purpose of 'Contingent' in the Service Module is similar to Block Reservations in Suite8, but the functionality is different. In the Service Module when opening 'Contingent', each row in a contingent represents one service of an exact 'Service Type' and 'Service Class' with other data, such as Start and End Time (if available) or other data. Any number of rows can be added. The columns represent days. The users can enter how many of each service is purchased for any given day. The major task to fulfil with this is to manage services purchased by the property from third party service providers. In a later release it might be possible managing allocations of hotel services to guests, however, this part is not programmed yet, but as the service module is a flexible add on to the Suite8 Modules, the system can already be used for such purpose with detailed knowledge of the table data. Please refer to the Service Module documentation for more details on this.

Suite8 Service Module

Functionality has been added allowing to automatically adding a profit percentage based on the cost of a service. For example buying a 'TO' package for 500 and reselling this at 650 by adding 30%. This is achieved by selecting Percentage Price on the Service Price definition, the configured percentage price is then added to the Cost.

Service Module → Plan & Suite8 Central

Further enhancements concerning dates and sort order have been performed for the Service Module when using this in a Central environment. The sort order on the plan has been fixed, an access violation message is no longer prompted when linking a reservation to the Service Plan in the Partner Properties and when changing the Service booking 'To Date', the internal memory of the booking is updated correctly.


Suite8 webConnect Changes in V8.9.6.2

Suite8 webConnect & Suite8 Dashboard

The following actions for HTML have been added and can be used on the Dashboard on the Table Reservation List:

action://newtablereservation?parameter={field 1.yres_id}

The parameter is a Reservation ID to attach table reservations

And the action:

action://newguesttablereservation?parameter={field 1.xcms_id}

The parameter is a Profile ID to attach table reservations

These actions are linked to an icon and are indicated on the Dashboard.

Suite8 webConnect & Suite8 Dashboard

Since this version, when selecting Dashboard on Mobile Reports, there is one search box which applies to all dashboard elements loaded.

Suite8 webConnect → Alternate URL Address

Since this version it is possible defining an alternate URL address in the file 'Global.asax' for redirecting the XML Interface to this address in case the connection to the usual XML URL address fails. To use this, activate the line: hotel.alternativeURL = "http://HOST_ALTERNATIVE/V8/FidelioIISWrapper.dll/FidelioXMLInterface.DataHandler"; and in the file 'S8HPXMLConfig.config' it can be defined when the alternate URL should be used.There are two possible options:

1. The expression: 'ExceptionType' should contain multiple elements for every exception type when the alternate URL address should be used. Or

2. The 'ErrorMessageString'. If the error contains the configured string, the alternate URL will be used.

<UseAlternativeURLRules>

<ExceptionTypes>

<ExceptionType>System.Net.WebException</ExceptionType>

</ExceptionTypes>

<ErrorMessageAnalysis>

<ErrorMessageString>Catastrophic failure</ErrorMessageString>

</ErrorMessageAnalysis>

</UseAlternativeURLRules>

Suite8 webConnect → Suite8 Kiosk & Interface Functionality

Since this version, if the Suite8 Kiosk license is active and the Kiosk URL is defined in the file 'Global.asax', the Check-In and Check-Out commands will be sent to the Kiosk Interface. Otherwise, they are completed using Suite8 XML Interface.

Suite8 webConnect & Cashiering → Voucher Management

When selecting a voucher via Suite8 webConnect and clicking on the Voucher Name, the Voucher Name (Long Description) is prompted. In previous versions, the link did not work properly.


Suite8 Online Interface Changes in V8.9.6.2

Suite8 Online Interface for Best Western

  • Issues concerning restricted guarantee codes have been fixed.

  • When using Multi guest functionality in Suite8, it is possible linking several profiles with one primary profile to a reservation. When using this, the guest name last entered in Suite8 was indicated on the list for the reservation prompted on the Best Western Member Web. This has been changed to display the primary guest. For example when creating a reservation for profile A, then adding under Profiles in Suite8 another Profile 'B', the reservation name indicated on the Best Western Member Web changed to Profile 'B', however, the primary profile for the reservation was still profile 'A'. Since Suite8 Version 8.9.5.7, this has changed to remain profile 'A' displaying on the Best Western Member Web.

  • Locally linked source profiles were removed upon receiving an update via the Central Reservation. This is no longer since this version.

Suite8 Online Interface for Availpro

  • Since this version the Availpro Mapper supports 'Upload of Rate Code details' and 'Rate Code Restrictions' when using Availpro version 'B2011 Full Rate'. Please refer to the document: 'Configuring Suite8 Online Interface for Availpro' for further details about configuring Suite8 Online Interface for Availpro.

  • Since Suite8 Version 8.9.6.2, the Availpro Version B2011 is fully supported and tested by Suite8 Online Interface.

Online IFC - RateTiger mapper

  • RateTiger started sendind CRS numbers using a dash in the number, for example <UniqueID Type="14" ID="202-1310786-71"/>.
    When sending a response, the ID in the response was cut after the first dash and only <UniqueID Type="14" ID="202"/> was send back.
    This has been fixed and now the full number including dashes is send back in the response message.

  • Due to a missing namespace element in the rate code message file, it was not possible to upload rate code messages to Rate Tiger.
    This has been fixed. The namespace element xmlns="http://www.opentravel.org/OTA/2003/05" has been added to the message format.

Online IFC - Optirez Mapper

A new setting has been implemented on the mapper 'Options - Reservation' tab called 'Accept zero rates for packages.'

When this setting is activated, Optirez can send reservations with packages attached without any package price. In this case in Suite8 the amount 0.00 is entered for the package.

When the setting is deactivated, Optirez can send reservations with packages attached without any package price and in this case the package price configured in Suite8 is used.

Online Interface

  • The support of rate code add on packages has been implemented for Online IFC mappers that support rate code upload.
    Until now, when uploading rate codes, add on packages were not considered and only the rate amount from the rate detail was uploaded, not the amount including the add on package amount.
    This has been changed and the rate amount is now uploaded including the add to rate package amount.
    Please note: when using add to rate packages, only packages with the posting frequency 'Daily' are supported. It will not work for packages with other posting frequencies.

  • For Online Interface installations in a multi-hotel datacenter environment, the Online IFC monitor has been changed to turn off automated refresh functionalities for logs, messages, queues and triggers.
    This is controlled by the new attribute 'multiHotelMode' in the V8OnlineIFCHotels.xml file. If set to 1, the automatic refresh is turned off. If set to 0 or if missing in the XML file, automatic refresh is on as usual.

Suite8 Online Interface & Suite8 → Configuration → Reservation → Rates → More Tab

When using the functionality to 'Follow availability of another rate code' in Suite8 on the rate definition, the trigger for Suite8 Online Interface indicating that a rate is following another rates availability settings is created properly. In previous versions, the message was missing.


Suite8 Central Changes in V8.9.6.2

Suite8 Central → Customer Relation → Profiles & Web Login & Password Synchronization

When entering a profile and assigning a web login and password to this profile, the synchronization process uploads both properly to the properties, in previous versions this was not functional and the guest could not log in via webConnect.

Suite8 Central → Profile Merge & Configuration → Miscellaneous → Profile Merge Setup & XML Interface & Fidelio Server

When merging profiles, the communication: 'Email' is always added, regardless of the Profile Merge Setup for communication.

Suite8 Central CRS → Partner Property → Customer Relation → Profiles & Synchronization

When lining a Sales Manager to a profile in the partner property it is synchronized with the Central database. In previous versions, this action was not included when proceeding as follows:

Create a new profile in the partner property and synchronize with Central

When the 'Global id' is received from Central; edit the profile in the partner property, link a Sales Manager, save and synchronize the profile

Suite8 Central CRS & Service Module

When using the Service module in a Central CRS environment, a conflict came up with reservation numbers; this has been solved by introducing a Confirmation Number Prefix, which can be entered in the Mirror Properties' Global Settings → CRS → Confirmation Number Prefix, together with a 'Verify' option. The defined Prefix is automatically added to the beginning of confirmation numbers for new reservations, the 'Verify' button needs to be clicked for checking existing reservations. The option: 'Verify', counts the number of records with this prefix and a message prompts, if the prefix should be added to the records found. Confirming this, prompts another message with the old prefix and asks to confirm, the default prefix is the one defined under Global Settings, it needs to be confirmed or changed, if the Global Setting dialog was recently closed without verification and update. After the confirmation, the old prefix is removed wherever it exists, and the new prefix where no prefix exists. The Global Setting flag is automatically synchronized by the CRS Configuration synchronization. If the Suite8 Central CRS Installers specifies this setting before joining a partner property to the CRS, there is nothing to do, after importing the property as mirror, all settings and confirmation numbers will be the same. For existing installations, the System Administrator has to perform one of the following actions:

  1. Make sure the Configuration is synchronized in the Partner property

Go to the Central property and start the CRS Monitor

Select the Mirror. Click 'Configuration'

(Request config ownership if needed)

Select under Global Settings → Suite8 Central → CRS tab and click on 'Verify', and proceed with the update as mentioned for the Partner Property

Please note, if the Global Setting flag was altered in the Mirror first, then this process is reversed and it is necessary to perform the same update in the Partner Property

  2. Verify the CRS Hash in the CRS Console dialog and start a synchronization process to resynchronize each reservation with the new confirmation number, however, this process takes very long and is not recommended.

On the CRS Monitor, if properties use the same confirmation number prefix, an error message is prompted.

Only properties are compared where the data was retrieved. (For example selected hotels in the grid)

Only Mirrors and Direct Partners are used for comparison. If this setting is changed in the Partner properties, it is necessary to wait until the Configuration Synchronization transfers this information the mirrors.


Suite8 POS8 Changes in V8.9.6.2

Suite8 POS Mobile

  • With the release of Suite8 version 8.9.6.0 and POS8 Mobile version 8.187.005, transfer checks are supported. On the check detail dialog an outgoing arrow indicates the check transfer. Clicking on the arrow moves the check into the transfer area. After transferring the check, it can be viewed by selecting the function 'Pickup Check' from the Overflow menu. Selecting 'Pickup Check' displays all checks in the transfer area of the POS8 Database. Leaving the cursor or selection on a check a little longer displays a 'pick up' icon in the action bar. Pressing this prompts a message for the target table of the selected guest and pickup is completed. The check dialog is refreshed automatically afterwards.

  • Since Pos8, release version 8.192.008, and Suite8 Version 8.9.6.2, Voucher handling is possible using POS8 mobile by selecting the option: 'Use Scan' and choosing the voucher as 'Handheld' payment type. It is also possible checking the status of the voucher by using the function 'Voucher Info'.


Suite8 Property Interface Changes in V8.9.6.2

Suite8 & Interfaces

Functionality has been added to activate a 'GuestDatachange' action trigger each time a VIP Code or Member ship number is changed for an in-house guest, to alert all Interfaces if changes to the VIP-Status of an in-house guest apply.

KIOSK Interface & Credit Card Payments

If a credit card payment was received on the KIOSK it was not triggered to the table 'AINV' storing Accounts Receivable Invoices and Credit Cards. This issue is solved since this version.


XML Interface Changes in V8.9.6.2

XML Interface & CCM

The XML Interface has been further enhanced for CCM, since this version Note Categories and Notes have been added to the requests. Please refer to the document: 'Suite8 XML Interface Specifications.pdf' for all details.


Suite8 Kiosk Changes in V8.9.6.2

Suite8 Kiosk & Complimentary Reservations

If a reservation is complimentary, no invoice is printed on the Kiosk upon check-in.

Suite8 KIOSK & Reservation Search by CRS Number

Since this version, the search by CRS Number on Suite8 KIOSK considers the changes made in Suite8 Version 8.9.5.5, where the table 'YCRN' was introduced to store the CRS Number from different Central Reservation Systems. Since Suite8 Version 8.9.5.5 the functionality of using multiple Central Reservation Systems was introduced, however this change was not considered on the Suite8 KIOSK search and has been fixed with this version.

Suite8 Kiosk & Suite8 webConnect → myStay Itinerary

Since this version, only upcoming items are presented on the itinerary, items from the past are no longer indicated.

Suite8 Kiosk → Customer Relation → Profiles → 'Birthday'

Since this version, it is possible to configure the field: 'DocumentDateOfBirth' instead of the field: 'DateOfBirth' in the file: 'Kiosk.config'. If the field 'DateOfBirth' is used, it is stored in the table 'XPDC'. If the 'DocumentDateOfBirth' is used and the field: 'XCMS _Birthday' is not filled, it is filled as well. It does not work vice versa.

Suite8 Kiosk & Global Settings → Billing1 Tab → 'Print invoice when balance is zero'

If the flag: 'Print invoice when balance is zero' on the billing1 tab of the Global Settings is not selected, the invoices are not printed on the Kiosk. All known issues regarding this flag have been solved with invoice printing on Suite8 Kiosk.

Suite8 Kiosk → New Reservation & Suite8 Configuration → Software Interfaces → Suite8 Kiosk Interface

When creating a new reservation, the error message: Operator '!' cannot be applied to operator of type '<null>' no longer prompts when the option 'New reservation for today only' is selected in the Suite8 Kiosk Configuration.

Suite8 Kiosk & Suite8 → Configuration → Software Interfaces → Suite8 Kiosk Interface

Since this version, the Suite8 Kiosk can be configured to pick up only dedicated print jobs. The flag: 'Export Folder per Kiosk Workstation' has to be activated on the Suite8 Kiosk definition. If this is set, the Suite8 Kiosk sends the workstation name with each request. The 'Folder to monitor' can be selected using the local file: 'FidelioWebClientLocalFunctions'.

Suite8 Kiosk → Payment & Suite8 Configuration → Software Interfaces → Suite8 Kiosk

The option: 'Invoice on Check-In payment' has been added to the Kiosk Configuration. It is only available if the 'Pay at Check-In Options' and the 'Post Charges' flags on the Suite8 Kiosk Configuration use the same settings, then similar rules apply as for 'Advance Postings' apply and an invoice can be generated with all charges upon check-in via Suite8 Kiosk.


General Changes in V8.9.6.1

Suite8 Install Shield

Since this version, no automatically creation of passwords is performed when running the Oracle Install Shield, each time a password is required a corresponding message is prompted.

Starting Suite8 on two instances

An access violation message was prompted when running Suite8 and starting another instance and answering the message: 'There is already an instance of v8 running. Do you want to start another one?' with 'No'. This has been fixed.


CRM Changes in V8.9.6.1

Bonus Point Cards

Since this version, it is no longer posting negative on the Bonus Point Payment Type.

Membership Numbers

Since this version it is possible entering membership numbers with more than 30 characters. The field: 'XMNR_VALUE' has been enlarged to varchar2 (100).

Profiles → Company → More Fields & Global Settings → Country Specifics2 Tab → Tax Exemption Handling

When Tax Exemption is activated it is possible linking a Tax Exemption Code to a Company Profile. In versions smaller than 8.9.6.0 this was only possible for individual profiles.

Customer Profiles → Email & Configuration → Email Settings → Email Defaults CC/BCC

Functionality has been added for defining defaults for Email copy and blind copy per area: Reservation, Conference Booking or Correspondence. Under Configuration → Email Settings → Email Defaults CC/ BCC, click 'New' button, select an area, under Defaults CC and under Defaults BCC, select either 'Hotel Email' to use the Email address defined under Global Settings or 'User Email' to use the Email address of the User. If defaults are defined they are automatically entered when sending correspondence, confirmation letters or booking confirmations via email, depending on the defined area.


Reservation Changes in V8.9.6.1

Reservation Navigator

The field 'HK Status' has been added on the standard Reservation Grid allowing displaying the Housekeeping Status without using the Custom Query previously required.

Advance Query & Suite8 Online Interface

In a scenario where no active Online Interface or OTA XML Interface exists, when searching by CRS number and the table 'YCRN', introduced in Suite8 Version 8.9.5.3, did not contain records, because the CRS number entered manually is only stored in YRES, the search resulted in returning no records on the reservation grid. This has been fixed.

Individual Reservation

When reactivating a reservation turned to the status 'No-Show', the Notes, Traces and Confirmation Letters are copied from the source reservation to the new reservation indicating that they were copied from the original no-show reservation.

Edit → Rate Code

When opening the rate selection dialog while editing a reservation by clicking on the 3 dots button next to the rate code, the required room type on the rate selection dialog is in a green frame to indicate the required room type on the reservation.

Rates in foreign Currency

The field: 'YDET_FOREIGNAMOUNT' was wrong not cleared when changing from a foreign currency to a local currency rate amount. This has been fixed.

Promotion → Amount per stay & Packages

If a promotion is configured with a percentage amount per stay (evenly spread) and a rate code used with an 'add to rate' package linked, the discount per day for the promotion is calculated properly on the reservation. In Suite8 Versions smaller 8.9.5.4 this was rounded incorrectly.

Room Move & Packages

The package frequency was not correct after moving a reservation to another room. This has been fixed by implementing a more severe check on packages and date ranges when changing the room or rate.

Packages → Allowances & Advanced Posting

When posting room charge before checking in a reservation with linked advanced package, the allowance was not generated for the first night. This has been fixed.

Split & Rate Query (Ctrl. + R) → Edit Reservation

The access violation message when entering a reservation with more than one room and selecting 'Split' from the Options Menu is no longer prompted.

Voucher Management

It is no longer possible to link a voucher to a reservation which is set to 'Inactive'.

Reservation Edit & Global Settings → Reservation3 Tab → Multi Res Edit

The inventory items of previous reservations are no longer shown when using multiple reservation edit.

→ Email & Configuration → Email Settings → Email Defaults CC/BCC

Functionality has been added for defining defaults for Email copy and blind copy per area: Reservation, Conference Booking or Correspondence. Under Configuration → Email Settings → Email Defaults CC/ BCC, click 'New' button, select an area, under Defaults CC and under Defaults BCC, select either 'Hotel Email' to use the Email address defined under Global Settings or 'User Email' to use the Email address of the User. If defaults are defined they are automatically entered when sending correspondence, confirmation letters or booking confirmations via email, depending on the defined area.

Virtual Suite Handling

The scheduled room move was not working when using Virtual Suite Handling. This has been fixed.

Virtual Suite Handling & Global Settings → Reservation → Reservation4 Tab → Virtual Suite Handling

The flag: 'Room is mandatory for Virtual Suite Reservation' has been added, if this is activated, the user right: 'Allow virtual suite without room assigned' can be assigned to Users allowed to override this flag. Depending on this right, the message prompt when checking in a reservation for a virtual suite with no room assigned is: 'Virtual suite reservation has no room assigned on 'the date'. Do you want to continue?' For this message prompt, a default answer can be defined under Setup → Miscellaneous → Questions/Answers. Users allowed to override are prompted with the validation: 'Suite room assignment is mandatory, but missing for %s'. Further enhancements have been completed: On the dialogs for Room Search Room Blocking and on the Room Rack Suite capable rooms are highlighted in blue.

Group Reservation

When performing group check-in and there is a room with the status 'Dirty', the message prompt: 'Room xxx has status Dirty. Do you want to check in? YES/NO', is prompted. In previous versions this was missing for group check-in.

Group Reservation → Group Name/ID

Functionality has been added allowing search by Reservation ID for Group Reservations; this can be done via the field: 'Group Name/ID'.

Financial Accounts → History & User Rights

Users assigned to the right: 'Limited modification of historical data' under Financial Accounts are allowed to change Market, Channel or Source Code of past Financial Accounts. This right has been added in Suite8 Version 8.9.6.0.

Quick Reservation (Ctrl. + Q)

The field: 'Email' has been added to the Quick Reservation dialog, allowing entering the primary email address of the guest. The field: 'Fax' has been removed from this dialog.


Front Desk Changes in V8.9.6.1

Lost & Found and Pictures

An access violation message was prompted when linking pictures to a record and this one was not yet saved. This has been fixed.

Lost & Found → Pictures & Chinese Character Set

The message: 'JPEG error # 68' no longer occurs when attaching pictures to a Lost or Found Item in a Korean Database environment when using the Character set 'Traditional Chinese'.

Lost & Found & Configuration → Users → User Log

Since Suite8 Version 8.9.6.0, the following actions for Lost & Found items can be recorded in the User Log:

Delete, New, Update

Delete Item, New Item, Update Item, Resolve Item, Un-resolve Item, Update


CCM Changes in V8.9.6.1

Conference Diary (F3)

  • The field: 'Event Status' has been added to the Conference Diary search options, allowing querying events marked for 'Show in diary' by event status. This is available since Suite8 Version 8.9.6.0.

  • Since Suite8 Version 8.9.5.5, the dialog is refreshed properly on the Conference Diary while changing dates using the Calendar. In previous versions when clicking from one date to another, the Refresh of the dialog was not performed.

Conference Booking → Events & Conference Diary (F3)

The following enhancements have been completed in Suite8 Version 8.9.6.0:

On the Conference Diary (F3), when hovering over a shared Function Space, the hint includes the dates of the events.

The dates have been added to the Functions Space Share List.

When using 'Day View' on the Conference Diary and selecting the second day of an event, only the event for the selected day is displayed on the Function Space Share List.

Conference Booking → Booking Master

  • When creating a new booking master the 'Print' button is no longer available, the booking has to be saved before it can be printed. This has been implemented in Suite8 Version 8.9.6.0.

  • When editing a Booking Master, minimizing the form and creating a new Booking Master, while selecting a Company Profile for the new Booking Master, the Company Profile on the minimized form was updated as well. This has been fixed.

  • The message: 'The number of entered participants cannot exceed the event number of attendees' is no longer prompted when removing a participant from the main booking and the booking is linked to events. The reason for prompting this message was that the record was not removed in the table 'YELA', storing the list of attendees of linked events. Since this version this is properly removed and the message no longer prompts in the above mentioned scenario.

Conference Booking → Contact

When adding a reservation to a linked group reservation of a conference booking or when adding an individual reservation and selecting the existing profile or creating a new profile, the booking contact profile on the conference booking was changed to the profile selected upon adding the reservation. This has been fixed.

Conference Booking → Events

The event order was changed when applying a different status to the Conference Booking. This has been fixed in Suite8 Version 8.9.5.5.

Conference Booking → Events → Copy

Functionality has been added in Suite8 Version 8.9.6.0 allowing selecting a Start Date and then entering the number of copies when copying events. The field: 'Start Date' is available on the event copy dialog and can be selected before entering the number of copies. This field is updated with the arrival date of the booking + 1 and with the arrival date of the booking if the arrival date equals the departure date. When copying to multiple bookings, it is only available if only one booking is selected. In previous versions, it was necessary entering the number of copies and then changing the dates for each event which was inconvenient when copying several events.

Conference Booking & Event Management

The flag: 'Hide history' has been added to the Booking and Event Search dialog in Suite8 Version 8.9.6.0. It is activated by default to display only bookings or events where the departure date equals the actual date. To search for elder booking or events, remove the selection on this field.

Event Management & XML Interface

Functionality has been added allowing creating Conference Bookings with Events via the XML Interface including Function Spaces, Miscellaneous Items and Menu Items. The required changes for selecting Web Enabled, entering Web Information and translating the items have been implemented in Suite8 Configuration. Please refer to the document: 'XML Interface for CCM.PDF'.

Conference Booking & Conference Tree → Tasks

When adding an activity to a new or existing booking via the Task tree on the lower right, the activity was marked as completed after clicking 'Refresh' even if it was not yet completed. This has been fixed in Suite8 Version 8.9.6.0.

Conference Booking → Rooms Only & Contract Number

When changing the flag to 'Rooms Only', the contract number is no longer missing on the Function Sheet. In previous versions, the contract number was removed when changing the flag on the Booking Master to: 'Rooms Only'. This has been fixed.

Conference Booking → Group Reservation → Rooming List

While adding reservations to a group via Conference Booking, the main booking dialog was maximized. This has been fixed in Suite8 Version 8.9.5.5.

Email & Configuration → Email Settings → Email Defaults CC/BCC

Functionality has been added for defining defaults for Email copy and blind copy per area: Reservation, Conference Booking or Correspondence. Under Configuration → Email Settings → Email Defaults CC/ BCC, click 'New' button, select an area, under Defaults CC and under Defaults BCC, select either 'Hotel Email' to use the Email address defined under Global Settings or 'User Email' to use the Email address of the User. If defaults are defined they are automatically entered when sending correspondence, confirmation letters or booking confirmations via email, depending on the defined area.


Cashiering Changes in V8.9.6.1

Accounts Receivable → Account → Posting → Adjustment

When selecting a posting on an account in Accounts Receivable and making an adjustment, the posting is shown. In previous versions, the posting was not displayed on the dialog after adjustment.

Accounts Receivable and Automatic PDF Export for Invoices &

Since this version when using automatic PDF Export, the Invoices from Accounts Receivable are included. Automatic PDF Export for Invoices is defined under Global Settings → Reports1 Tab.

Billing → Payment

When posting a payment on a folio with two billing windows and overwriting the balance amount prompted for payment with a smaller amount, the invoice remains open with the remaining amount. In previous versions, the folio was closed.

Billing → Payment & Global Settings → Billing4 Tab → 'Enable Payment Receipts'

Functionality has been added allowing saving payment receipts in Billing History by activating the option: 'Store Payment Receipt in Billing History' under Global Settings → Billing4 Tab. If the flag: 'Enable Payment Receipts' is activated, the option becomes available and can be activated to store printed Payment Receipts in Billing History for reprint or to show them on reports.

Billing → Redeem Voucher &Voucher Management

When redeeming a voucher, the posting is transferred to the selected billing window. In previous versions, it was always redeemed on billing window 1.

Billing → Credit Note & Global Settings → Country Specifics4 Tab → 'Enable Thai VAT'

If the option 'Enable Thai VAT' is activated, it is possible issuing multiple Credit Notes for the same Tax Invoice with multiple refunds. In previous version this was not possible.

Billing & Global Settings → Country Specifics1 Tab → Enhanced Print Separate City Tax Handling

If the flag: 'Enable City Tax grouping setting for Dept Code' is activated and the quantity of a posting including City Tax changed, the field 'ZPOS_SUMUPAMOUNT' is updated correctly and the amount indicated proper on the posting dialog. In Suite8 versions smaller than 8.9.6.0, the field was not updated correctly.

Billing → Pro Forma Invoice

When using an inclusive package with allowance and creating a Pro Forma Invoice the VAT amount section is correct, in previous versions the VAT Breakdown for the gross amount was displayed incorrect.

Billing → Transfer & Global Settings → Country Specifics2 Tab → 'Noreprint'

If the option: 'Allow Move Printed Postings' is activated with the flag: 'Noreprint' on the Country Specific2 tab, it is possible transferring deposit postings. In previous versions this was not possible with the above flags activated.

Billing → Post Departure Key & Global Settings → Country Specifics2 tab → Noreprint

In the event that the flag 'Noreprint' with the option 'Allow Move Printed Posting' is activated, charges are transferred to the 'Post Departure' Financial Account when using the option: 'Post departure key'. In previous versions, the postings were not transferred.

Billing → Allowance Posting & Global Settings → Billing1 Tab → Advanced Package Handling

When posting against an allowance and the package profit posting has ledger status 6, indicating that the advance posting is moved to guest ledger, then the negative package profit posting gets ledger status 0,indicating that the posting is made in the guest ledger. In Suite8 versions smaller than 8.9.6.0, the negative posting was made with ledger status 6, which was incorrect.

Cashier Functions → Currency Exchange & User Rights

Since Suite8 Version 8.9.6.0, posting a negative currency exchange is controlled by the user right: 'Post Negative Amounts', it can only be completed if the user right is assigned.

Billing History & Financial Accounts

In Billing History checked-out Financial Accounts are indicated with their Financial Account numbers. Search and Filter options have been adapted accordingly and partial search can be performed on both Room number and Financial Account number, for further details on partial search queries, click the Help '?' button on the Billing History dialog. In previous versions only the name of the Financial Account was indicated under Billing History.


Rooms Management Changes in V8.9.6.1

Housekeeping → Attendants

The view: ' V8_REP_YHRL_INFOS' has been enhanced, and returns the correct attendant name. In previous versions, the column 'YHAT_MAID_NAME' returned the attendant name of the first attendant found for all attendants. Since Suite8 Version 8.9.5.5, the attendant names are displayed correctly.

Maintenance & Pictures

If pictures are linked to a maintenance task, the tab 'Pictures' can be opened for faster accessing the picture. The tab is only available if a picture is linked to the task. This is available since Suite8 Version 8.9.6.0.


Table Reservation Changes in V8.9.6.1

Table Reservation → Edit → Print

Since this version it is possible printing a Table Reservation from past dates. In previous versions, this was not possible.

Restaurant Plan → Availability

When hovering with the cursor over a table reservation set to non-shareable, the hint prompted the wrong availability. For example a table configured for two persons standard and 3 persons maximum occupancy, reserved for 2 adults and with the flag: 'Shareable' not selected. When hovering over this reservation, the hint display for Capacity and Occupancy was correct, but the Availability was indicated with: 2(3). Since this version it is correctly displayed with 0(1) in the above mentioned example.

Table Reservation & Configuration → Reservation → Note Categories

Functionality has been added allowing entering and prompting Notes on the Table Reservation System. The Note Category with the option: 'Display In' set to 'Table Reservation' has to be configured and user rights assigned for viewing, editing, inserting and deleting notes in Table Reservation. Notes are configurable as 'Pop Up' Note and indicated on the tablereservation.html file.

Table Availability & Configuration → Table Reservation → Restaurants Opening Hours

If the restaurants opening hours were defined with a start time, such as 5:45h PM, for example opening hours:

9AM to 13PM and 5:45PM to 11.00PM

Then the Table Availability from the time starting 1.00PM to 11.00PM was not available and highlighted grey. This has been fixed.


Quick Key Changes in V8.9.6.1

Availability (Ctrl. + D), Calendar Events & Global Settings → Generic4 Tab → Use Participant List

If the Flag: 'Use Participant List' is activated and a Calendar Event Type is configured as 'Use Participant List', these events are indicated on the Availability Grid when opening the tab: 'Calendar Events'. If the Calendar Event is defined for using unlimited participants, this is indicated with 'ul'. Selecting this Event on the Availability Grid, it is possible editing this event or opening the participant list via right mouse short cut menu.

Quick Reservation (Ctrl. + Q)

The field: 'Email' has been added to the Quick Reservation dialog, allowing entering the primary email address of the guest. The field: 'Fax' has been removed from this dialog.


Miscellaneous Changes in V8.9.6.1

Night Audit Report Export

The Night Audit Storage Path is used correctly for the Night Audit Reports. In previous versions, the reports were stored in the root directory, if the last report of the Night Audit Reports was set to 'Print only'. This has been fixed.

Export & Scheduled Tasks

Functionality has been added for exporting data to MKG-Hospitality. MKG Group is a European based company, headquartered in Paris, France. The group operates various divisions within the tourism, hotel and hospitality sector, namely monitoring global trends in supply, demand and pipeline growth, including the worldwide chain hotel brand and chain hotel group rankings. Since this version, Suite8 offers an ASCCI CSV Export which is generated after each Night Audit. The export file is placed on the MKG-Hospitality FTP Server by using Suite8 Task Scheduler. Please consult the document: 'Suite8 Export for MKG-Hospitality.pdf' for further details.

Reports & QR Codes

Printing QR codes was not returning the Code properly. Since this version, this has been enhanced and Email sending for Letters and Correspondence is returning the QR Code, however, printing within Suite8 of Confirmation Letters with QR Code, needs to be done via a browser.

HTM Files → Custom HTML

Since this version custom html files are displayed if the default HTM and QRY file exist. In Suite8 Version 8.9.6.0, the CUST_XXX.htm and QRY files were only displayed if the default files were deleted.

HTML Files & Configuration → Miscellaneous → HTML Translation

The functionality to translate static text is available for HTML files; the codes have been added to all standard HTML files. The Translation is performed under Configuration → Miscellaenous → HTML Translation.

Please note: If a general translation or a caption in a certain HTML file changes, all translations for this caption change, for example changing the caption for 'Adult' using the German translation, it can be 'Erwachsener' in some files and 'Erw' in other HTML files. To avoid this, the following expression can be used:

{translatestatictext '{#FieldName#}Text'.{const language}}

The Field Name is free definable, using the above example with 'Adult' in a German translation, it is not overwritten when using the expression :{translatestatictext '{#ShortAdult#}Adult'.{const language}} => Erw.

HTML Reports, Reservation & Suite8 webConnect

Since Suite8 Version 8.9.6.0, full support for Confirmation Letters created with HTML is available. In versions smaller than 8.9.6.0, these reports lost their style because the Confirmation Letters were converted to RTF format before sending. The Styles have to be embedded in the Header of the HTML Report and no separate CSS file is needed. When selecting Email for sending the Confirmation Letter via Mail, the Email body cannot be edited because it is a HTML Page. The HTML Reports can be used on Suite8 webConnect and on mobile devices, please make sure the option: 'Confirmation Letter as PDF' is not used on the Suite8 Homepage Set up 2 Tab when using HTML Reports. Further information on HTML styles can be referred to in the Report: 'FCR_PMS_73031 Confirmation Letter HTML' in the Suite8 Demo database.

Calendar Events

When the option 'Unlimited Participants 'is selected, the field caption: 'Maximum Number of Participants' changes to 'Projected Number of Participants' while editing the event and also under the tab 'Participants', the field caption for 'Maximum Number of Participants' is changed to indicate 'Projected Number of Participants.

Calendar Events → Daily View

Notes are displayed correctly on the Calendar Event when editing the Event under 'Daily View' Tab. In previous versions when adding a note, it was not displayed on the Calendar Event → Daily View Tab.

Calendar Events → Participant List → Tickets

The actual number of participants was not updated when cancelling a ticket. Since this version this is fixed. When cancelling a ticket and interrupting the payment process, there can be an intermediate state, just like when purchasing the ticket, for example the ticket is cancelled, but money not yet returned.

Calendar Events → Participants → Print List

Please make sure the parameter: 'CONF_WLAN_ID' is used in the report template for the Participant List and for 'Print Selected'.

Calendar Events & Global Settings → Generic4 Tab → Use Participant List

If the option 'Use Participant List' is activated under Calendar Events on the Generic 4 tab, on Calendar Events in Suite8 on the Participants Tab it is possible searching by Participant Name and by Participant ID (YCEP_ID) for a selected date range.

Calendar Events & Packages & Global Settings → Generic4 tab → Calendar Events

The flag: 'Link Packages' has been added to the Global Settings → Generic 4 Tab: If this flag is activated, it is possible linking Packages to the Ticket Price for Calendar Events with Participants. Any package is available: Flat or Standard, Adult and Child Age Categories, even master and sub packages, only percentage packages cannot be selected. The Ticket Price is visible when pressing the '+' button next to the Package drop-down box. If a package price is linked, the information is indicated on the participant list.

Budget → Revenue Budget

The error message: 'ORA-01422: exact fetch returns more than requested number of rows' no longer appears when adjusting Budget figures for the next year. This has been fixed in Suite8 Version 8.9.6.0.

Budget & Global Settings → Billing1 Tab → 'Fiscal Year is used for Statistics'

The error: 'Query returns more than 1 row' is no longer prompted if the Market Code and the Department Code use the same ID in their database tables, such as 'XCMA_ID=105' and 'ZDCO_ID=105.

Questionnaire

Enhancements have been done on the Questionnaire Form: Field Lengths have been increased and the dialog boxes adjusted accordingly. In versions smaller than 8.9.6.0, error messages were prompted on the Question & Answer configuration when entering several options.


Setup Configuration Changes in V8.9.6.1

Cashiering → Financial Account Groups

Since this version it is possible setting Financial Account Groups to 'Inactive', even if there were checked out financial account numbers distributed for this group in the past. In previous versions this was not possible.

CCM → Functions Spaces → Function Space Definition → Rates

Since Suite8 version 8.9.6.0, it is possible setting a rate code to the status: 'Inactive' when editing the rate on the Function Space Definition.

CCM → Functions Spaces → Function Space Definition → Seating Arrangements

Since Suite8 version 8.9.6.0, it is possible setting a Seating Arrangement to the status: 'Inactive' when editing the Seating Arrangement on the Function Space Definition.

Email Settings → Email Defaults CC/BCC

Functionality has been added for defining defaults for Email copy and blind copy per area: Reservation, Conference Booking or Correspondence. Under Configuration → Email Settings → Email Defaults CC/ BCC, click 'New' button, select an area, under Defaults CC and under Defaults BCC, select either 'Hotel Email' to use the Email address defined under Global Settings or 'User Email' to use the Email address of the User. If defaults are defined they are automatically entered when sending correspondence, confirmation letters or booking confirmations via email, depending on the defined area.

Miscellaneous → Floor Plan

Functionality has been added allowing drawing a simple Floor Plan for all Rooms in the property. To use this, select Floor Plan from the Miscellaneous configuration branch, click 'New' to open the Floor Plan dialog box, enter a Name and Description, select the Floor Type: 'All Rooms', press 'OK' button, select this configuration and open the draw plan dialog by clicking 'Draw Plan', then click 'Auto', fill the Row/Columns Count and define if the alignment should be vertical, press 'OK' button and the room plan is filled with all rooms. Click 'Save' to use this Floor Plan in Suite8 with the Quick Keys: 'Ctrl. + F'.

Miscellaneous → Terminals & Printers

The length of the field 'WPPP_LONGDESC', storing the name of the printer, has been increased to VARCHAR (60) and a proper message is prompted if the name is longer. In versions smaller than 8.9.6.0, the size was 30 and a database error occurred if the name of the printer was longer.

Miscellaneous → Terminals & Printer & Barcode Reader

Since Suite8 Version 8.9.5.5, the following enhancements have been implemented for Terminals & Printer on the 'Terminals' tab:

  • Support for using 2 digits com ports for Barcode Readers

  • The button: 'Locate me' has been added on the 'Print jobs on terminals' dialog tab

Configuration → Reservation → Note Categories & Table Reservation

Functionality has been added allowing entering and prompting Notes on the Table Reservation System. The Note Category with the option: 'Display In' set to 'Table Reservation' has to be configured and user rights assigned for viewing, editing, inserting and deleting notes in Table Reservation. Notes are configurable as 'Pop Up' Note and indicated on the tablereservation.html file.

Reservation → Rate Management & Dependent Rates

On the Base Rate, the tabs: 'More' and 'Package Link' are available, in previous versions these were missing. On the Dependent Rate, when opening 'More' tab, the following options have been added:

'Take over Base Rate Policy' and 'Day Type Settings' followed by 'LOAD', clicking on this button, imports the Day Type Settings and Policies from the Base Rate on the Dependent Rate configuration.

The Rate information text box for entering rate information has also been added to this tab.

Reservation → Rate Management → Rates & Suite8 Online Interface

Since Suite8 Version 8.9.5.5, each time a new rate code is created or the option 'Online Interface' is selected or removed on the rate header, a dialog is prompted to the user for directly setting up the conversion table and enabling the upload functionality, of the rate code for all active Suite8 Online Interfaces, if required. In previous versions, the following rule applied when selecting the field 'Online Interface' on the rate header: The rate code was added automatically to the Online Interface conversion table with a CRS code derived of the first letters of the rate code short description. In addition it was also added to the 'Rate Codes used for Upload' option and if this was not required, the installer had to remove this one from this option and each time the rate was saved and the 'Online Interface' option selected, the rate code was added to the upload list again and had to be removed there if this was not required.

Reservation → Rooms Management → Housekeeping & Configuration → Night Audit → Custom SQL Queries

Functionality has been added allowing changing the Housekeeping status after a defined number of days automatically to 'Green', indicating that rooms not occupied for a certain number of days are checked again by Housekeeping. The fields 'Green Status' and 'Green Status days' have been added to the Housekeeping Table 'YHKS' and the view 'V8_SYS_HSK_Greenstatuts' included with this release. On the Housekeeping configuration when selecting a Status, the fields: 'Green Status' and 'Green Status Days' are available, the field 'Green Status' activates the functionality and in the field: 'Green Status Days' the number of days for when the room needs checking when it is not occupied has to be entered. The following update statement needs to be configured under Configuration → Night Audit → Custom SQL Queries:

Name: 'Green Status'
Position: 'Before Date Setup' and the
SQL Statement:
update yrms set yrms_yhks_id =
(
select yhks_id from yhks where YHKS_GREENSTATUS = 1 and rownum = 1
)
where yrms_id in
(
select yrms_id from
V8_sys_HSK_GreenStatus
where modifieddate < v8_sys_fideliodate - (select yhks.YHKS_GREENSTATUSDAYS from yhks where yhks_Greenstatus = 1 and rownum = 1) )

Reservation → Rooms Management → Attendants & Suite8 webConnect → Mobile Reporting

Since this version, attendants can be assigned to a user on the attendant configuration and logon to Mobile Reporting for changing room status or maintenance tasks.

Users

When entering a new User, the default set of user rights is no longer assigned.

Users → User Log & Lost & Found

Since Suite8 Version 8.9.6.0, the following actions for Lost & Found items can be recorded in the User Log:
Delete, New, Update
Delete Item, New Item, Update Item, Resolve Item, Un-resolve Item, Update

Global Settings

When saving Global Settings after changing a flag on a pane, sometimes the error: 'Cannot insert null value into not null field' was prompted. For example when activating the flag: 'Multiple guest profile functionality' under Global Settings → Reservation2 tab. All found issues with this have been fixed in Suite8 Version 8.9.6.0.

Global Settings → Generic3 tab → Default Voucher Template & Miscellaneous → Reports

Word Merge and HTML Format can be used for generating a default voucher template, in previous versions this was restricted to Crystal and Internal Editor.

Global Settings → Generic4 Tab → Use Participant List, Availability (Ctrl. + D) & Calendar Events

If the Flag: 'Use Participant List' is activated and a Calendar Event Type is configured as 'Use Participant List', these events are indicated on the Availability Grid when opening the tab: 'Calendar Events'. If the Calendar Event is defined for using unlimited participants, this is indicated with 'ul'. Selecting this Event on the Availability Grid, it is possible editing this event or opening the participant list via right mouse short cut menu.

Global Settings → Miscellaneous → Search Screens2 Tab → Custom Views

When defining a custom view, it is possible using 'row' instead of the column name at the end of the colour information fields for displaying an entire row in colour, such as 'c_font_row' instead of the field or column name:'c_font_yrms_shortdesc'. For example when reflecting rows on the reservation grid for a specific reservation status, such as 'Cancelled' and 'No-Show', in colour, the view: 'V8_SYS_CUSTOMRESSEARCH' used on the reservation grid, needs to be changed in the Suite8 Database and has to contain the following statement:

WHEN YRES.YRES_RESSTATUS = 3

THEN

'RGB250,207,210'

--ELSE

-- 'RGB255,255,255'

END) c_bkg_row

FROM yres

In the above example reservations with reservation status 0 for not affecting availability are displayed with a light pink background.

The Color value can be represented as follows:

Red Green Blue values between 0 and 255: RGB 255,255,255

Hexadecimal rgb value: $FFDDCC

,'RGB200,50,100' c_font_row

,'RGB100,50,200' c_bkg_row

c_font_ means font color.

c_bkg_ means background color.

The example for the reservation grid mentioned above has been implemented in the demo database provided with the release of Suite8 Version 8.9.6.0, select the 'ALL' tab on the reservation grid to view the result.

Global Settings → Reservation → Reservation1 tab → Meal plan functionality & Global Settings → Generic4 tab

If meal plan is activated under Global Settings → Reservation1 tab and the Table Reservation System is used, default times for Breakfast, Lunch and Dinner can be configured under Global Settings → Generic4 Tab → Table Reservations. The corresponding views have been changed to reflect the Meal period on reports.

Global Settings → Reservation → Reservation4 Tab → Virtual Suite Handling

The flag: 'Room is mandatory for Virtual Suite Reservation' has been added, if this is activated, the user right: 'Allow virtual suite without room assigned' can be assigned to Users allowed to override this flag. Depending on this right, the message prompt when checking in a reservation for a virtual suite with no room assigned is: 'Virtual suite reservation has no room assigned on 'the date'. Do you want to continue?' For this message prompt, a default answer can be defined under Setup → Miscellaneous → Questions/Answers. Users allowed to override are prompted with the validation: 'Suite room assignment is mandatory, but missing for %s'. Further enhancements have been completed: On the dialogs for Room Search Room Blocking and on the Room Rack Suite capable rooms are highlighted in blue.


Form Customization Changes in V8.9.6.1

Reservation → Screen Painting, Form Customization → Resedit & Interfaces → Video Check-Out

Since Suite8 Version 8.9.6.0, the check box: 'FidResVidchkoCheckbox' can be selected from the Component Palette when customizing the Reservation Edit form, allowing adding the check box for Video Check-Out.


New and Changed HTML's in V8.9.6.1

New and Changed HTML /Reports in V8.9.6.1

The following HTML/reports have been changed

  • FCR_ALL_1200_MAINTENANCE.rpt/S8R: Added new parameter for Creation Date. The field is mandatory, but the user has additionally the possibility whether he wants to list the entries by creation date or not.

  • FCR_PMS_4513_JOURNAL_BY_INVOICENO.rpt/S8R: Layout changes; removed column TTR_Date

  • FCR_PMS_4759_Top50_ALL_PROFILES.rpt/S8R: Layout changes: Removed columns Mailing/Emailing; added TTR_MoreInfo und ReportTitle

  • FCR_PMS_4332_CUBE_XCMM_HISTFOR: Added parameter for Booking Position

  • FCR_PMS_4320_RES_TRACES.rpt/S8R: add parameter on condition resstatus<>3 in select expert; add reservation number, add typ

  • FCR_PMS_4344_FORECAST_OCCUPANCY_EXCL_CH.rpt/S8R: TT 24418 - Not picked up blocks were not taken into consideration in Avrg Rate. Corrected formula field and removed V8_SYS_AVRGRATE from report.

  • FCR_PMS_4307_CXL_BY_ARR_INCL_LOST_REV: cosmetic changes; change group1 to repeat on every page, change group2 to keep together

  • FCR_PMS_4584_CASHIER_SUMMARY.rpt/S8R: increased report title; moved ttr_page and ttr_printedon blocks to the top.

  • FCR_PMS_4374_RES_BLOCKLST.rpt/S8R and FCR_PMS_4374_RES_BLOCKLST_CAD.rpt/S8R: Group2/Group3 changed to repeat on every page. Name group2 changed to MMMM.YYYY. Moved TTR_page and ttr_printedon blocks to the top.

  • FCR_PMS_4714_STAT_COM_SEL_A_LYLD.rpt/S8R; FCR_PMS_4715_STAT_COM_SEL_A_LYSD.rpt/S8R: Renamed rpt; Changed layout of Report; added parameter ?Gross; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4750_STAT_COM_TOP100_LYSD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYSD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

Added parameter ?Gross; added parameter ?RoomsOrRevenue. Changed TOP N to summary of @TopN_RoomOrRevenue and 100 (was 50); moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4751_STAT_COM_TOP100_LYLD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYLD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

Added parameter ?Gross; added parameter ?RoomsOrRevenue. Changed TOP N to summary of @TopN_RoomOrRevenue and 100 (was 50)

  • FCR_PMS_4752_STAT_COM_TOP50_LYSD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYSD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

Added parameter ?Gross; added parameter ?RoomsOrRevenue. Moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4753_STAT_COM_TOP50_LYLD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYLD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

Added parameter ?Gross; added parameter ?RoomsOrRevenue. Changed TOP N to summary of @TopN_RoomOrRevenue

  • FCR_PMS_4754_STAT_COM_TOP20_LYSD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYSD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

Added parameter ?Gross; added parameter ?RoomsOrRevenue. Changed TOP N to summary of @TopN_RoomOrRevenue ; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4755_STAT_COM_TOP20_LYLD.rpt/S8R: Renamed rpt; Changed complete layout of report; Replaced V8_STAT_SHIS_XCMS_1_COMBI with V8_STAT_SHIS_XCMS_1_COMBI_LYLD; Removed subreport; Select expert filtert by GROSSREV_Y instead of NOOFROOMS_Y.

  • Added parameter ?Gross; added parameter ?RoomsOrRevenue. Changed TOP N to summary of @TopN_RoomOrRevenue

  • FCR_PMS_4500_FIN_DC_R, FCR_PMS_4506_FIN_DC_CASHIERNUMBER, FCR_PMS_4511_FIN_JOU_DC_INVERS: Change group for date to repeat on every page; Moved credit fields to the left as they were out of the page range; Moved ttr_page and ttr_printedon blocks to the top.

  • FCR_PMS_4304_RES_MORE_INFO: subreport yres_notes: set xcno_notes to can grow; subreport billing instructions: move title in report header, change xcms link to zwin_to_xcms_id to display also name when routing on the same room

  • FCR_PMS_4305_CANCELLATIONS: set YCXL_REASON to can grow, change report title ‘cancelation → cancellation’

  • FCR_PMS_4301_RES_SHORT_OPT.rpt/S8R: changed date in reporttitle to short format 1; change status to get also waitilist, offer and noshow; insert the field PM_YRES_RESSTATUS to increase select expert → also change query of resstatus in V8

Query for RESSTATUS: SELECT WNUM_VALUE,

decode(WNUM_VALUE, 0,'Tentative',1,'Definitive',6,'Waitlist',2,'Offer',3,'Cancelled',4,'No Show',5,'Voucher Template')

DESCRIPTION FROM WNUM WHERE WNUM_VALUE IN (0,1,2,3,4,5,6) ORDER BY WNUM_VALUE

  • FCR_PMS_4716_STAT_DET_XMSL_SEL: Changed layout of Report; added parameter ?Gross; LINK_TABLE: Changed from V8_REP_NAME to V8_REP_FULLADDRESS; added ADDRESS to Group1; moved TTR_Page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4717_STAT_DET_XMSL_SEL_LY_LD: Changed layout of Report; added parameter ?Gross; moved TTR_page and TTR_PrintedOn blocks to the top; Replaced V8_REP_NAME with V8_REP_fULLADDRESS; changed view to V8_STAT_SHIS_XMSL_COMBI_LYLD; removed subreport

  • FCR_PMS_4718_STAT_DET_XMSL_SEL_LY_SD: Changed layout of Report; added parameter ?Gross; Replaced V8_REP_NAME with V8_REP_FULLADDRESS; moved TTR_page and TTR_PrintedOn blocks to the top; changed view to V8_STAT_SHIS_XMSL_COMBI_LYSD, removed subreport

  • FCR_PMS_4719_STAT_TRA_ALL_O_TY: Changed layout of Report; added parameter ?Gross; moved TTR_Page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4720_STAT_TRA_SEL_A: Changed layout of Report; added parameter ?Gross; moved TTR_Page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4721_STAT_TRA_SEL_A_LY_LD: Changed layout of Report; Changed view to V8_STAT_SHIS_XCMS_2_COMBOI_LYLD; removed subreport; added parameter ?Gross; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4722_STAT_TRA_SEL_A_LY_SD: Changed layout of Report; added parameter ?Gross; moved TTR_page and TTR_printedon blocks to the top

  • FCR_PMS_4723_STAT_SOU_ALL_O_TY: Changed layout of Report; added parameter ?Gross; moved TTR_Page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4724_STAT_SOU_SEL_A: Changed layout of Report; added parameter ?Gross; moved TTR_Page and TTR_printedon blocks to the top

  • FCR_PMS_4756_TOP_50_ALL_PROFILES_SELECTBOX: New parameter ?RooomsOrRevenue to merge 4756 and 4757: TopN can now be printed by either Rooms or Rev.; Added parameter ?Booker and filter to Select Expert on ?Booker = false, CHECK_BOOKER=0 or ?Booker=TRUE, CHECK_BOOKER=1; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4758_Top20_REV_ALL_PROFILES_SHORT: Added parameter ?Booker and filter to Select Expert on ?Booker = false, CHECK_BOOKER=0 or ?Booker=TRUE, CHECK_BOOKER=1; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4759_Top50_ALL_PROFILES: Added parameter ?Booker and filter to Select Expert on ?Booker = false, CHECK_BOOKER=0 or ?Booker=TRUE, CHECK_BOOKER=1; moved TTR_page and TTR_PrintedOn blocks to the top

  • FCR_PMS_4403_HSK_AMENITIES:Added persons, kids and yres_resstatus<>3

  • FCR_PMS_4342_FORECAST_OCCUPANCY_ADV_YCAD:changed View V8_SYS_AVGRATE_CAD to V8_REP_AVGRATE_CAD to calculate the avgrate correctlyf or all days

  • FCR_PMS_4568_REVENUE_BUDGET_GROSS_NET_LY: corrected formula @diffyear

  • FCR_PMS_4728_COMP_STAT_DATE_RANGE_SELECTBOX: correct field @SUMAVRTOTALREV

  • FCR_ALL_79210_CALENDAR_EVENT_PARTICIPENT_LIST.rtf: TTR_RATE parameter changed to CONF_WLAN_ID

The following HTML/reports have been added

  • FCR_CCM_6420_CUBE_BOOKING_FORECAST_ACTUALS: Report has been removed in the past without reason. Has now been re-added.

  • FCR_PMS_73402_REGCARD_SIGNPAD (Editor) For intergration with Sign Pad . TT 18996

  • FCR_PMS_73411_REGCARD_SIGNPAD (Cryststal)

  • FCR_PMS_73810_VOUCHER_LETTER (HTML). Full translated example of HTML report with embedded styling. Compatible on mobile devices.

  • FCR_PMS_4354_SOURCE_CODE_HISTFOR_CAD

  • FCR_PMS_4355_CHANNEL_CODE_HISTFOR_CAD

  • FCR_PMS_73950_BASKET. Full translated example of HTML report with embedded styling. Compatible on mobile devices. To be used for PMS Home page.

The following HTML/Reports have been removed

  • FCR_PMS_4757_TOP_50_RN_ALL_PROFILES_SELECTBOX: Report is obsolete as Rooms and revenue are now covered in 4756.

  • Event.htm + qry, Subevent.htm + qry and Reservationdetail.htm + qry: html's are not in use.

Translation codes added for all relevant HTML files


New and Changed Views in V8.9.6.1

The following views have been changed

  • V8_REP_MATRIX_WDAT_YCIT: Shows now also the CCM only inventory items

  • V8_SYS_YDET_OCC_WB_CAD: YCAT_NOTINAVL=0 has been added

  • V8_CCM_FS_FB: YEMI_PRICE_NET and YEMNMENUPRICE_NET adjusted, to go directly to the net value from YEMI and YEMN.

  • V8_CCM_FS_MISC: Same adjustments to fields YEBR_MANUALPRICE_NET and YEBR_TOT_RATE_NET.

  • V8_STAT_SHIS_XCMS_1_YEAR: insert (+) to WDAT_DATE to get an entry for each day

  • V8_STAT_SHIS_XCMS_2_YEAR: insert (+) to wdat_date in where clause

  • V8_STAT_SHIS_XCMS_3_YEAR: insert (+) to wdat_date in where clause

  • V8_STAT_SHIS_DAY_COMBI; V8_STAT_SHIS_DAY_XCMA_COM_MAST: added YCLN_INTERNALCATEGORY and CHECK_BOOKER

  • V8_REP_REV_FORECAST_HUGE - added field YRAS_CHANNEL_ID

The following views have been added

  • V8_REP_XCMM_HISTFOR_BP

  • V8_STAT_SHIS_XCMS_1_LYLD

  • V8_STAT_SHIS_XCMS_1_COMBI_LYLD

  • V8_STAT_SHIS_XCMS_2_LYLD

  • V8_STAT_SHIS_XCMS_2_COMBI_LYLD

  • V8_STAT_SHIS_XCMS_3_LYLD

  • V8_STAT_SHIS_XCMS_3_COMBI_LYLD

  • V8_STAT_SHIS_XMSL_DAY_LY

  • V8_STAT_SHIS_XMSL_MONTH_LY

  • V8_STAT_SHIS_XMSL_YEAR_LY

  • V8_STAT_SHIS_XMSL_COMBI_LYSD

  • V8_STAT_SHIS_XMSL_LYLD

  • V8_STAT_SHIS_XMSL_COMBI_LYLD

  • V8_REP_WDAT_DATE_YRAS_CHA_CAD

  • V8_REP_YBLD_OCC_YRAS_CHA_CAD

  • V8_REP_YDET_OCC_WB_CHANNEL_CAD

  • V8_REP_HS_ARR_ALLROOM_CHA_CAD

  • V8_REP_HS_DEP_ALLROOM_CHA_CAD

  • V8_REP_YDET_ADULT_WB_CHA_CAD

  • V8_REP_HS_ARR_ALLADL_CHA_CAD

  • V8_REP_HS_ARR_ALLCHILD_CHA_CAD

  • V8_REP_YPOS_FC_CHANNEL_CAD

  • V8_REP_YPOS_FC_CHA_STAT1_CAD

  • V8_REP_YPOS_FC_CHA_STAT2_CAD

  • V8_REP_YPOS_FC_CHA_STAT345_CAD

  • V8_REP_CHANNEL_HISTFOR_CAD

  • V8_REP_WDAT_DATE_YRAS_SRC_CAD

  • V8_REP_YBLD_OCC_YRAS_SRC_CAD

  • V8_REP_YDET_OCC_WB_SOURCE_CAD

  • V8_REP_HS_ARR_ALLROOM_SRC_CAD

  • V8_REP_HS_DEP_ALLROOM_SRC_CAD

  • V8_REP_YDET_ADULT_WB_SRC_CAD

  • V8_REP_HS_ARR_ALLADL_SRC_CAD

  • V8_REP_HS_ARR_ALLCHILD_SRC_CAD

  • V8_REP_YPOS_FC_SOURCE_CAD

  • V8_REP_YPOS_FC_SRC_STAT1_CAD

  • V8_REP_YPOS_FC_SRC_STAT2_CAD

  • V8_REP_YPOS_FC_SRC_STAT345_CAD

  • V8_REP_SOURCE_HISTFOR_CAD


New and Changed User Rights in V8.9.6.1

The following user rights have been added

Configuration

  • Service Module

Controls access to the configuration branch Service Module

Service module

  • Service Module

Controls access to the Service Module in Suite8 with the sub rights

Booking

  • View

  • Edit

  • Insert

  • Delete

  • Overbooking contingent

  • Overbook service type

Contingent

  • View

  • Edit

  • New

Plan

  • View

  • Edit

  • New

Service

  • New

  • Edit

  • New

Reservation

  • Allow virtual suite without room assigned

The option is available if the flag Room is mandatory for virtual suite reservations is active

Table Reservations → Notes

  • View

  • Edit

  • Insert

  • Delete

Cashiering → Financial Accounts

  • Limited modification of historical data

Controls access to historical data of Financial Accounts, for changing Market, Source or Channel Codes of Financial Accounts in the past.

The right was introduced with Suite8 Version 8.9.6.0


Suite8 webConnect Changes in V8.9.6.1

Suite8 webConnect

  • In Suite8 WebConnect cross-site scripting vulnerabilities have been eliminated.

  • Security has been enhanced with the elimination of an open redirection possibility on the pages which accept Return URL parameter.

  • The file: 'CSharpCode.SharpZipLib.dll' has been removed due to license compliance issues with Suite8 webConnect and Fidelio Web Suite. Alternatively the file 'native .NET' class is used. This class is available only on '.NET framework 4.5' and Suite8 webConnect has changed to use '.NET framework 4.5'. This code is responsible for archiving HTTP communication in Suite8 webConnect. It is also used by the Email log pages and for the communication with the Report Editor of Fidelio Web Suite.

Suite8 webConnect & Suite8 Kiosk

Since Suite8 Version 8.9.6.0, the web login user name is no longer case sensitive.

Suite8 Kiosk, Suite8webConnect → Dashboard & Calendar Events

Since Suite8 Version 8.9.6.0, Calendar Event bookings can be retrieved via the page: 'ipcalendareventBookingList.aspx' listing all booked events in the future. It is possible entering a Calendar Event, only for Calendar Events not using Participant List and a Button has been added on Suite8 Mobile Dashboard to indicate a Summary of Calendar Events.

Suite8 webConnect & Packages

If a rate code with a package was selected via Suite8 webConnect, the included package was displayed again on the 'Add on page' and could be selected, which resulted in displaying the message: 'The package frequency is already added'. This has been fixed; packages linked to the selected rate code are no longer available for selection on Suite8 webConnect.

Suite8 webConnect & Questionnaire

The field: 'Column Count' added to the Questionnaire Form to count the default Answer options column and available when editing a question on the questionnaire form to count the Answer options column, is now also available for the Online Surveys. Every question in each questionnaire form can have a different column count. The options in the questionnaire answer form are aligned vertically according to the maximum column count on a line in a page.

Suite8 webConnect → Mobile Reports & CCM

The following enhancements have been completed in Suite8 Version 8.9.6.0 on Suite8 Mobile Reports:

The section Conference has been created, offering the following information:

In House Conferences

Today Occupancy Function Spaces

Inventory Items, occupied Function Spaces, todays Conferences.

Suite8 webConnect → Calendar Events → Tickets, Online Payment & Configuration → Global Settings → Generic4 Tab → Calendar Events → Use Ticket Billing

When using Ticket Billing for Calendar Events, these can be paid by using Online Settlement on Suite8 webConnect, the calendar event participation is added to the basket and charged together with all other basket elements on Suite8 webConnect.

Suite8 webConnect & Deposit Payments

The reservation data was not saved in the browser when cancelling an online deposit payment and an online payment on the shopping cart was not displayed on the Confirmation page in the following scenario:

When selecting an Online Payment Method on the shopping cart page, the message: 'Order with obligation to pay' prompted, proceeding to the Payment page, entering the payment and clicking the back button to display the shopping cart with the reservation again, the message was prompted again but on the Confirmation page the payment was not shown. Both issues have been fixed.

Suite8 webConnect & Online Payment Saferpay

When performing a payment using the Online Payment Gateway for Saferpay, the records in the Suite8 posting table 'ZPOS' are created correctly since Suite8 Version 8.9.5.5. In previous versions this was not the case.

Suite8 webConnect & Online Payment Gateway VR-Pay

Paying a voucher using the payment gateway for 'VR-PAY' failed with the error: 'the transaction has been cancelled because the order could not be generated in the shop'. The source of the problem was that the report execution timed out from the payment gateway point of view. This has been changed as follows:

For operations not requiring to provide a response to the customer, such as sending confirmation letter email, linking table reservations to the reservations, submitting postings or building deposit folios, the requests to the XML Interface are sent asynchronous, meaning, the XML Interface is not waiting for a response. As a side effect, after creating a reservation, the Confirmation Page is prompted faster than before.

Suite8 webConnect, Voucher Management & Online Payment

If a Voucher Online Payment was aborted on Suite8 webConnect, the Voucher Invoice or Balance was not correct. Since this version, all postings are done after the confirmation.

Suite8 webConnect → Online Payment & Global Settings → Interfaces → Misc. Interface7 Tab → Use MiGS Interface

Functionality for using the Master Card Virtual Payment Client MiGs for online settlement via Suite8 webConnect has been added. To use this, activate the line: 'hotel.addOnlinePaymentPlugin("Client.dll", "Client.PaymentPlugins.MiGS.MiGSSPlugin"); //Use this for payments via MasterCard MiGS Virtual Payment Client' in the file Global.asax and configure the details in Suite8 Configuration → Global Settings → Interface7 tab → 'Use MiGs Interface'.

Suite8 webConnect & Google Deep Link

Since Suite8 Version 8.9.6.0, Google Deep Link is available for Suite8 webConnect and with this the functionality for building Dynamic POS URLs. The Hotel listings include links to landing pages where the end-users can book rooms. You can define how Google constructs the link so that it includes additional information about the user and their itinerary. For example, you can include information such as the hotel ID, language and currency codes, and check-in dates in the URL. For Suite8 webConnect the following Parameters are supported:

arrivalDay

arrivalMonth

arrivalYear

priceDisplayedTotal (optional) - the total cost of the room that is displayed to the user in the user's local currency

For example, with the following URL in Suite8:

http://localhost/v8Client/Inquiry.aspx?arrivalDay=15&arrivalMonth=2&arrivalYear=2015&nights=5&priceDisplayedTotal=723

The URL to be configured for google to receive this is as follows:

http://localhost/v8Client88/Inquiry.aspx?arrivalDay=(CHECKINDAY)&arrivalMonth=(CHECKINMONTH)&arrivalYear=(CHECKINYEAR)&nights=(LENGTH)&priceDisplayedTotal=(PRICE-DISPLAYED-TOTAL)

The minimum syntax is:

http://localhost/v8Client88/Inquiry.aspx?arrivalDay=(CHECKINDAY)&arrivalMonth=(CHECKINMONTH)&arrivalYear=(CHECKINYEAR)&nights=(LENGTH)

Optional parameters are:

priceDisplayedTotal=(PRICE-DISPLAYED-TOTAL)

roomType=(PARTNER-ROOM-ID)

rateCode=(RATE-PLAN-ID)

Please be aware of the following when configuring the URL in the XML:

Query string parameters must be separated by an ampersand ("&") in the final output. Because the ampersand is a special character in XML (and the Points of Sale file format is XML), you must use the encoded entity "&amp;" in its place. The final output renders an actual "&" character. For example:

<!-- Do this: - →

<URL>http://www.partnerdomain.com?hotelID=(PARTNER-HOTEL-ID)&amp;nights=(LENGTH)</URL>

<!-- Do NOT do this: - →

<URL>http://www.partnerdomain.com?hotelID=(PARTNER-HOTEL-ID)&nights=(LENGTH)</URL>

The latest specifications on this are available under: https://support.google.com/hotelprices/answer/6066068?hl=en#buildingurls


Suite8 Online Interface Changes in V8.9.6.1

Suite8 Online Interface

  • Functionality has been added on the Suite8 Online Interface Mapper configuration, to include or exclude print separate and add to rate packages in the price calculation of reservations.

  • When editing a mapper in the online interface configuration screen and then pressing the OK button the corresponding triggers for that mapper had been activated even though no changes had been made in the mapper.
    This was leading to multiple trigger setup records in table ZITS and also in resynch screen the triggers where shown multiple times.
    This has been fixed.

Online IFC - Availpro mapper

In rate code availability screen when changing a restriction status from CLOSED to CLOSED TO ARRIVAL, an unnecessary OPEN message was sent in between those two messages. This has been fixed.

Suite8 Online IFC: Stardekk mapper

When using 'Linked room type list' in the interface conversion configuration, for non-default room types no two way response messages were created anymore when availability changed. This has been fixed.

Suite8 Online IFC: Smarthotel mapper

The Online Interface did no longer cancel the original reservation when a reservation modification was received from the Channel Manager, resulting in double bookings and availability discrepancies. This has been fixed.

Suite8 Online Interface for Vertical Booking

Since this version Suite8 Online Interface is available for Vertical Booking used in Italy. Please consult the document: Configuring Suite8 Online Interface for Vertical Booking.pdf' for further details on Vertical Booking.

Online IFC - Siteminder mapper

due to the bad quality of data received by various channels it could happen, that occasionally the price of a reservation received from Siteminder was different in Suite8 because instead of the price from the reservation message, the configured Suite8 price was taken.

This is due to the fact that some channels simply don't send a daily price but only a total price for the whole stay.

To also be able to have a price even though the channel does not send it on a daily basis, the following rules have been implemented and apply now:

If the element 'Rate / Base' exists in reservation message, the price is taken from there.

If the element 'Rate / Base' does not exist but the element 'Rate / Total' exists, the price is taken from there.

If the element 'Rate / Base' and 'Rate / Total' do both not exist the price is taken from the element 'ResGlobalInfo / Total' and divided by the number of nights to get a daily price.

Suite8 Online Interface for Best Western

If a 'SYSNCREQUEST' message is sent by Best Western, because Suite8 rate codes from the Central Reservation System were missing a rate detail or had a rate detail in the past, the 'OTA_HotelRateAmountNotifRQ' message is created, but CRS rate codes without rate detail or rate details in the past are not included in the message, however, it is necessary reviewing and correctig them in Suite8. In Suite8 versions smaller than 8.9.5.5, the 'OTA_HotelRateAmountNotifRQ' message included these rate codes.

Suite8 Online Interface for Best Western → Monitor

The reservation upload on the 'Trigger Resync' dialog of the Suite8 Online Interface Monitor has changed and ensures that reservations are uploaded to the selected Online Interface even if the option 'Reservation with CRS #' is not activated and the reservation has already a Central Reservation System number from another Central Reservation System. This has been completed with Suite8 Version 8.9.5.5.

Suite8 Online Interface for Best Western & Corporate ID

The corporate ID of a global company profiles downloaded from Best Western could be changed in Suite8. This is not possible anymore since Suite8 Version 8.9.5.5.

Suite8 Online Interface for Best Western and Best Western Communicator → Status Log

An empty message was saved in the error log file when running Best Western Communicator not in debug mode and an error occurred. For example, when generating an error response from Best Western, such as Overbooking of 11 per room type for a day, then the communicator Status Log indicated an error received, but when opening the message on the 'Warning / Error responses' Tab, it was empty and also the XML file in the 'ResponseOutput\Backup' was empty, however the file was saved and displayed properly in debug mode. This has been fixed since Suite8 Version 8.9.5.5.

Suite8 Online Interface & Configuration → Reservation → Rate Management → Rates

Since Suite8 Version 8.9.5.5, each time a new rate code is created or the option 'Online Interface' is selected or removed on the rate header, a dialog is prompted to the user for directly setting up the conversion table and enabling the upload functionality, of the rate code for all active Suite8 Online Interfaces, if required. In previous versions, the following rule applied when selecting the field 'Online Interface' on the rate header: The rate code was added automatically to the Online Interface conversion table with a CRS code derived of the first letters of the rate code short description. In addition it was also added to the 'Rate Codes used for Upload' option and if this was not required, the installer had to remove this one from this option and each time the rate was saved and the 'Online Interface' option selected, the rate code was added to the upload list again and had to be removed there if this was not required.


Suite8 Central Changes in V8.9.6.1

Suite8 Central → Direct Partner & Mirror

An access violation message occurred when saving a reservation in the mirror or direct partner, this was related to the code change and no longer creating passwords automatically and partner properties using already the new code but the central database not and therefore the passwords did not match. Since this version, a proper message is prompted instead of the access violation.

Suite8 Central → Reservation → Offer & Global Settings → Reservation3 Tab → Offers

Since this version, the functionality to enter reservation offers is available for Suite8 Central.

Suite8 Central & Customer Relation → Tasks & Activities → HTML

The Activity html displayed incorrect information in Suite8 Central, the HTML part of the search dialog connected to the Central Database instead of connecting to the Mirror Database. This has been fixed in Suite8 Version 8.9.6.0.

Suite8 Central → Central Property & Configuration → Miscellaneous → Partner Hotels

Functionality has been added allowing running custom SQL Statements from the Central Property on the Partner Properties' Database. To use this, activate the right: 'Run remote SQL in Partner Hotels' and under Configuration → Miscellaneous → Partner Hotels, the option: 'Run remote SQL in Partner Hotels' becomes available. Please note: This option and the user right are only available in the Central Property.

Suite8 Central CRS → CRS → CRS Monitor

In Central when opening CRS Monitor and selecting Central Hotel Setup, selecting a Partner Property and clicking 'Setup Translation', selecting an attribute and clicking 'Automatic' or 'Same', the translation works properly. In versions smaller than 8.9.5.5 this was not working.

Suite8 Central CRS & Virtual Suite Handling

Virtual Suite reservations are available after running synchronization. In versions smaller than 8.9.6.0, they were not visible.


Suite8 Property Interface Changes in V8.9.6.1

Suite8 Kiosk & Key Card Interface

The Check-Out commands are sent to all Key-Interfaces properly, when using Suite8 Kiosk with installed 'RFID-dispensers'. In Suite8 versions smaller than 8.9.5.6 the Check-Out commands were not sent to all Key-Interfaces.

Suite8 Kiosk, Interfaces & Configuration → Software Interfaces → Suite8 Kiosk

When running Suite8 Kiosk, Interfaces in Suite8 have to be up and running, if not an 'Out of Service' message is prompted. Since Suite8 Version 8.9.6.0 a Folio Style can be selected on the Suite8 Kiosk Configuration for the Suite8 Kiosk Check-Out.

Key Card Interface & Financial Accounts

Check-In and Check-Out commands were not sent to all interfaces when creating a pre-arrival or post-departure financial account.

JetWeb Interface & Configuration → Software Interfaces → JetWeb Interface

The group information was not sent to JetWeb after check-out, if the group reservation was for two nights. If it was for one night the element: '<abgereist>' was used instead of the element: '<abgeplant>'. Both issues are fixed since Suite8 Version 8.9.6.0.

JetWeb Interface & Configuration → Software Interfaces → JetWeb Interface

When sending group advanced reservations, the 'sequence' is correctly completed with -1 as it is for individual reservations as well. In versions smaller than 8.9.6.0, the sequence field was filled with the value of the 'MBLATTNR'.


XML Interface Changes in V8.9.6.1

XML Interface, Suite8 Kiosk and Fidelio Server

Functionality has been added allowing maintaining daily log files, by using a parameter in the procedure 'SaveStringtofile'. Since this version, the creation of the log file is on a daily basis, instead of the file: ''FidelioXMLInterface.Log' there is then the file for example 'FidelioXMLInterface_24.Log' which is overwritten the next month on the 24th. The debug option is still needed.

XML Interface → 3rd Party Interface & Global Settings → Interface → Misc. Interface7 tab → 'Use Europäische.at Interface'

When using the Interface for the Travel Cancellation Insurance Company: 'Europäische.at' in Austria, the number of days for the Travel Insurance under Billing → Options → Travel Insurance is populated correctly. In previous versions the duration was populated with 1 for a reservation for one night, but the requirement by the Travel Cancellation Insurance Company is 2 days including arrival and departure date. This has been adapted since Suite8 Version 8.9.5.6.

Event Management & XML Interface

Functionality has been added allowing creating Conference Bookings with Events via the XML Interface including Function Spaces, Miscellaneous Items and Menu Items. The required changes for selecting Web Enabled, entering Web Information and translating the items have been implemented in Suite8 Configuration. Please refer to the document: 'XML Interface for CCM.PDF'.

OTA XML Interface

When changing a day type value in the day type calendar, triggers were also created for inactive rate codes which are linked to the day type.

This has been fixed and for inactive rate codes triggers are not generated anymore

OTA CRS XML Interface & Children rates

Since this version, when using 'Day Types', the upload for rate amounts includes the defined children rates, even if the option: 'Send children rates' is disabled on the Mapper.


Suite8 POS8 Changes in V8.9.6.1

POS8 myVisitors Prepaid Solution

Since Suite8 Version 8.9.6.1 and POS8 Version (191_001), it is possible linking a prepaid card with included discount.

In POS8 Setup, create a payment type with the payment group 'PREP' for Prepaid with discount and link a rebate to this. The rebate should be a plain % rebate without applying any over group restrictions.

Then it is possible linking an article to this Prepaid Payment Method for selling this prepaid card to customers.

Separate article groups are mandatory, because a prepaid card not linked to a special group of articles can be sold for a VAT of 0%.

The table 'MFPREPAIDCARD', available since this version, contains the links between the transponder and the used payment method, allowing multiple rebates.

POS8 → Waiter Reports and Z-Readings

Since Suite8 Version 8.9.6.1, POS8 Mobile supports all waiter reports. On the check list screen, when selecting the 'Waiter Readings' from the Overflow Menu, depending on the waiter's permissions, the available reports are displayed. On Z-Readings a confirmation message is prompted indicating that printing is mandatory. After selecting a report, it is listed as usual.


General Changes in V8.9.6.0

Internal Browser & Version Control

Since this version Suite8 uses Google Chrome instead of the internal HTML viewer, allowing using HTML5 or JavaScript for internal views. The necessary changes are performed via Version Control which is included in each release and copied to the Suite8 program directory.

Oracle → Cryptographic hash function & Password Security

To support and apply more severe password security in Suite8, the password storage has changed since this version and is based on the Password-Based Key Derivation Function 2 (PBKDF2), this function applies a pseudorandom function and repeats the process many thousand times for a key stretching - CPU-intensive hash function. To apply this password security for elder, already entered passwords in the Suite8 database, the file 'FidelioPasswordConverter.exe' is provided with this version and needs to be placed in the same directory as the Suite8 executable. It will be processed automatically when starting Suite8. Please note that this file should not be run by the property, only with assistance from the local support office.


CRM Changes in V8.9.6.0

Customer Profiles & User Rights

In Suite8 Version 8.9.2.0, changes were made to the user rights for Customer Profiles → Profile Details for 'Edit' and 'Insert', since this version, the rights could be distributed by the profile types: Company, Travel Agent, Source, Individuals, Meeting Planner and Vendors. However this functionality was disabled on the following dialog screens when creating new users:

  • When editing a profile from a reservation

  • When editing a profile on an accounts receivable account

  • When editing a profile via a Confirmation Letter

This issue is solved in Suite8 Version 8.9.6.0.

Profiles & Accounts Receivable

Customer Profiles can be set to the status 'Inactive' when they are linked to an Accounts Receivable Account which is set to the status 'Inactive' and the last posting transaction on the Accounts Receivable Account is one day in the past. In previous versions it was not possible setting Profiles to the status 'Inactive' if they were linked to Accounts Receivable Accounts with transactions, even if they were in the past and the Account set to 'Inactive'.

Profiles → More Fields Tab → Personal Documents & Global Settings → Country Specifics3 Tab → Advanced Document Information for Turkey & Membership Numbers

Since Suite8 Version 8.9.5.4, if the flag: 'Advanced Document Information for Turkey' is activated, when scanning or creating a document or ID card, the personal number is used. If this is empty, no record is created in the table; 'XMNR', the table storing the Membership Numbers. In previous versions, the document number was used instead of the personal number.

Tasks & Activities & Configuration → Miscellaneous → Automatic Traces → Event Management

Functionality has been added allowing creating automatic traces each time a deposit is paid for Conference and Rooms. The condition is set on the 'Paid' flag.


Reservation Changes in V8.9.6.0

Edit Reservation & Regional Settings → Date Format

Date Formats in Windows Regional Settings using spaces as separator are not supported by Delphi, therefore Suite8 prompts the following message upon start up if a space is used as separator in the Date Format:

'Date separator is space character.

Application will be closed

Please change windows environment settings'

Offers & Virtual Suite Handling & Availability (Ctrl + D)

The availability was deducted when creating offers and using a Virtual Room Type, this was incorrect, because rooms provided in offers should not reduce definite availability.

Options → Deposit Requested & Configuration → Reservations → Policies

Since this version, when configuring a Policy for creating an automated deposit request on reservations, then entering one reservation for three rooms, the automated deposit request is created and calculated the day with the highest number of rooms if there is a difference, for example a reservation with 3 rooms the first night and 2 rooms the second night, then the following message is prompted:

'Reservation has altering number of rooms. Deposit is calculated based on the highest number.' In previous versions the number of rooms on the reservation was not taken into consideration when calculating Deposits.

Room Move & Global Settings → Reservation3 Tab → 'Mandatory Room Move Reason for checked in guests'

If the flag: 'Mandatory Room Move Reason for checked in guests' is activated, the dialog box for entering the reason is displayed properly when performing a room move for a checked in guest.


CCM Changes in V8.9.6.0

Conference Diary

Events on the Conference Diary were only displayed when clicking in the Date field and pressing 'Refresh' button. This occurred only when opening the Conference Diary from Meeting Planner not when opening the Conference Diary via F3 Quick Key. Since this version the issue is solved and works properly.

Conference Booking → Contact

When adding a reservation to a linked group reservation of a conference booking and selecting the existing profile or creating a new profile, the booking contact profile on the conference booking was changed to the profile selected upon adding the reservation. This has been fixed in Suite8 Version 8.9.5.4.

Conference Booking → Events → Standard Menu

When changing the price to a value larger than 1000 while editing a menu, the message: ''1.000,00' is not a valid floating point value' was prompted. Since this version, the message is no longer prompted and values large than 1000 can be entered.

Event Management → Number of Attendees

Since Suite8 Version 8.9.5.4, the number of Attendees entered on an Event is no longer displayed with decimals.


Cashiering Changes in V8.9.6.0

Postings → Cashier Number & Lock workstation

Postings were performed on the wrong cashier number in the following scenario: Assuming user1 assigned to cashier number 1, user 2 assigned to cashier number 2, when logging-in with user 2 and opening a folio on the left upper corner the user 2 was indicated, clicking on Reservation and editing the reservation, then using F8 key to lock the workstation, logging in with user1, the cashier dialog was not prompted, closing the reservation edit dialog by selecting 'Cancel' on the left upper corner user 2 and cashier 2 was indicated and when posting an amount and editing the details, the indicated cashier number was 2, but the user 1, closing the folio and opening a different one, indicated user1 and cashier 2 on the left corner. This has been fixed.

Billing → Invoice & Miscellaneous → Reports → Folio Templates

The variable 'ZWIN_YRES_ID' has been added to the Main section under Data Sources, allowing printing the reservation (confirmation) number on folios.

Billing → Article Posting & Configuration → Global Settings → Billing1 Tab → Advanced Package Handling

When manually posting article against an allowance department code the article is consumed by the allowance and the message prompts correctly. In previous versions, no message was prompted and the article posting was not considered as allowance consumption.

Billing → Tax & Configuration → Global Settings → Country Specifics1 Tab → Enhanced Print Separate City Tax Handling & Department Codes → City Tax

Functionality has been added, since Suite8 Version 8.9.5.4, allowing postings including Service Charge. This is done by using City Tax Handling. Under Global Settings → Country Specifics1 Tab, activate the flag: 'Enhanced Print Separate City Tax Handling' and on the Department Code configuration when selecting City Tax tab, select the flag: 'Calculate as included tax'. When posting a charge including Service (City Tax), then the City Tax record is posted in the same 'ZPOS_INTERNALSPLIT_ZPOS_ID' group and all postings are indicated as one on the billing dialog, just like it is for rate codes with inclusive package postings.


Table Reservation Changes in V8.9.6.0

Table Reservation Management & Reservation

When cancelling a reservation and a table reservation is attached, the user is prompted to cancel the table reservation as well. In previous versions, only a message was prompted and the table reservation was cancelled when cancelling the reservation, since this version, the table reservation can be kept.


Quick Key Changes in V8.9.6.0

Availability (Ctrl. +D) & User Settings

Since Suite8 Version 8.9.5.2, when opening a tab on the lower Availability Grid, the opened Tab can be set as default open Tab for the User by selecting 'Save current Tab as default' from the right mouse short cut menu, the same functionality is available when selecting the '...' Button on the upper right corner on the tab selection grid of the Availability dialog.

Availability (Ctrl. + D) → Reverse Axes

If 'Reverse Axes' is selected from the right mouse short cut menu, the option ' Display long description' can be selected, allowing displaying the long description of the room types if the axes are reversed and the room types are indicated on the left side with their long description. The selected options are saved per user. The long description display is available since Suite8 Version 8.9.5.2.

Rate Query (Ctrl + R) & Reservation → Walk In

Functionality has been added on the Rate Query allowing entering Walk-In reservation. The field: 'Walk-In' has been added to the Rate Query Scope, when selecting this field, choosing a rate code and entering the reservation details, a room number has to be selected and then the reservation is directly checked in as Walk-In reservation. If no room is selected, a corresponding message is prompted and the reservation can be saved as usual.


Miscellaneous Changes in V8.9.6.0

Night Audit

It is no longer possible running Night Audit on two different workstations at the same time. The message: 'Night Audit is already running on another workstation.' is prompted and the Night Audit Session is aborted. In Suite8 versions smaller than 8.9.5.2 it was possible starting and running Night Audit on two different workstations.


Setup Configuration Changes in V8.9.6.0

Miscellaneous → FTP Account Setup & Global Settings → Miscellaneous → DB update → Default FTP settings

The configuration of a FTP connection has changed; since this version, a FTP Account is configured under Configuration → Miscellaneous, this account and a remote path is then selected and the path entered under Global Settings → Miscellaneous → DB Update1 Tab. To configure the FTP Account under Configuration → Miscellaneous → FTP Account Setup, click 'New' and enter the 'Account Name', 'Server Name (IP Address)', 'Port', 'Protocol', 'Encryption', 'Logon Type', 'Username' and 'Password', click 'Login' button to verify the connection and connect to the FTP Server. Under Global Settings → Miscellaneous → DB Update1 Tab, select the FTP Account and enter the Remote Path. With this change all dialog screens where FTP connection is required have changed, such as 'Database Structure Update' from the 'Setup → Miscellaneous drop down menu, Scheduled Tasks configured with a FTP connection or Suite8 Online Interface configuration. These dialog boxes need to be reviewed.

Reservation → Rate Management → Rates → Advance Booking Days & Rate Query (Ctrl +R)

When querying a rate code via Rate Query and on the Rate Code Configuration the field: ' 'Adv. booking days' is filled, for example with advanced booking days, the restriction is indicated on the Rate Query in the 'Rate Restriction Information' dialog, such as: 'Advanced Booking Days restriction: 2 Days'
In previous versions, this field was not considered.

User Rights & Configuration → Global Settings

The User Right 'Global settings' has been added to the Configuration section of the user rights, it is implemented and activated by default when updating to Suite8 Version 8.9.6.0 and controls access to the branch Global Settings under Configuration. In previous versions this was checked with the User Right 'Configuration → Miscellaneous', which resulted in displaying the message: ' Not enough rights for this operation' when entering a new user and assigning all rights.

Global Settings → Country Specifics → Country Specifics1 Tab → Enhanced Deposit Handling → Combine with Deposit Manager & Reservation → Options → Deposit Requested & Cashiering → Cashier Functions → Deposits

The flag: 'Combine with Deposit Manager' has been added to the Country Specifics1 Tab and is available when using 'Enhanced Deposit Handling'. If activated, the option 'Deposit' under Cashiering → Cashier Functions is also available with 'Enhanced Deposit Handling', allowing to view and enter deposit requests or to post a deposit payment.

Global Settings → Interfaces → Misc Interface4 Tab & Fiscal Printer Interface

Since Suite8 Version 8.9.5.4, the Fiscal Printer Interface is available for the Slovakian fiscal device 'FT4000'. This is managed by a middleware tool which needs to be installed on the machine connected to the local device. For further details, please consult the document: Fiscal Printer Interface.pdf.


New and Changed HTML's in V8.9.6.0

The following HTML/reports have been added:

  • DashBoardElement_WebConnectURLS.html/qry

  • DashBoardElement_Tbook.html/qry

  • DashBoardElement_Tbook1.html/qry

  • DashBoardElement_TFoodBeverage.html/qry

  • DashBoardElement_TMiscellaneous.html/qry

  • DashBoardElement_TFunctionOccupancy.html/qry

  • DashBoardElement_TFunctionOccupancy1.html/qry

  • DashBoardElement_InventoryBookedSummary.html/qry

  • DashBoardElement_InventoryBooked.html/qry

  • FCR_PMS_4759_Top50_ALL_PROFILES.rpt/S8R

  • FCR_PMS_73031_HTML_MOBILE_ENG.S8R


New and Changed Reports in V8.9.6.0

The following HTML/reports have been changed

  • FCR_POS_92399_CASHIER_SUMMARY: Corrected formular field tip in subreport

  • FCR_PMS_4758_Top20_REV_ALL_PROFILES_SHORT: Added parameter ?InclRooms and relevant data for rooms

  • FCR_PMS_4756_TOP_50_REV_ALL_PROFILES_SELECTBOX/FCR_PMS_4757_TOP_50_RN_ALL_PROFILES_SELECTBOX.rpt/S8R: Corrected formular field TTR_REportSubtitle, as it was nothing printing then - COMPANY

  • FCR_ALL_79210_CALENDAR_EVENT_PARTICIPENT_LIST.rtf/S8R: TT23894; changed language parameter to CONF_WLAN_ID

  • tablereservation.htm/qry: Added table reservation notes as per TT23732. Added {DIF}{/DIF} for table reservations with notes but no profile attached: In case XCMS_ID is 0 but XCNO_ID is filled, HTML will take RRES_DESCRIPTION plus notes, else information will be taken as before.


New and Changed Views in V8.9.6.0

The following views have been changed

  • POS8_REP_MASTERDATA_WAITER: Added subselect for MFOUTLET _NAME to reflect also users not logged in.

  • V8_REP_QUEST_REP_SUM: TT24065 - AVGReached calculated wrong average

In specific cases the unitprice was not correct:

  • V8_ED_FOL_GRP_AMOUNT_ROOMREV: field Gross

  • V8_ED_FOL_GRP_AMT_ROOMREV_DAY: field Gross

  • V8_ED_FOLIO_REV_ORI_ZDCO_PS: field GROSS_QTY

  • V8_REP_BLOCKS: calculaton of pax 2 to pax 4 was always relating to YBLR.YBLR_ADULTNO=1; change to YBLR.YBLR_ADULTNO=2 to YBLR.YBLR_ADULTNO=4

YCAT_NOTINAVL=0 has been added to the following views:

  • V8_SYS_STAT_ADULT_CAD

  • V8_SYS_PERSONCHILD_CAD

  • V8_SYS_STAT_COMPROOMS_CAD

  • V8_SYS_STAT_HOUSEUSEROOMS_CAD

  • V8_SYS_STAT_REPGUESTROOM_CAD

  • V8_SYS_STAT_BEDSINHOTEL_CAD

  • V8_SYS_STAT_MAXBEDSINHOTEL_CAD

  • V8_SYS_STAT_RESCREATEDTODAY_CAD

  • V8_SYS_STAT_RESCANCELLED_CAD

  • V8_SYS_STAT_RESWALKED_CAD

  • V8_SYS_STAT_COMPANYROOMS_CAD

  • V8_SYS_STAT_AGENTROOMS_CAD

  • V8_SYS_STAT_INDROOMS_CAD

  • V8_SYS_STAT_SOURCEROOMS_CAD

  • V8_SYS_STAT_VENDORROOMS_CAD

  • V8_SYS_STAT_BOOKERROOMS_CAD

  • V8_SYS_STAT_MPLANERROOMS_CAD

  • V8_SYS_STAT_VIPADULT_CAD

  • V8_SYS_STAT_RESCNCFORTODAY_CAD

  • V8_SYS_STAT_RESWALKFRTODAY_CAD

  • V8_SYS_STAT_DAYUSEROOMS_CAD

  • V8_SYS_STAT_NOSHOWROOMS_CAD

  • V8_SYS_STAT_COMPADULT_CAD

  • V8_SYS_COMPPERSONCHILD_CAD

  • V8_SYS_STAT_HOUSEUSEROOMS_CAD

  • V8_SYS_HS_DEP_ACTROOM_CAD

  • V8_SYS_HS_ARR_ACTADULT_CAD

  • V8_SYS_HS_ARR_ACTCHILD_CAD

  • V8_SYS_HS_ARR_EXPCHILD_CAD

  • V8_SYS_HS_DEP_ACTADULT_CAD

  • V8_SYS_HS_DEP_ACTCHILD_CAD

  • V8_SYS_HS_DEP_EXPCHILD_CAD

  • V8_SYS_HS_WALKIN_ROOM_CAD

  • V8_SYS_HS_ARR_ALLADULT_CAD

  • V8_SYS_HS_DEP_EXPADULT_CAD

  • V8_SYS_HS_ARR_ALLROOM_CAD

  • V8_SYS_HS_DEP_EXPROOM_CAD

  • V8_SYS_HS_ARR_ACTROOM_CAD

  • V8_SYS_HS_HOUSEKEEP_OCC_CAD

The following views have been added:

  • v8_ccm_web_translations : TT 17269 . XML Interface CCM

The following functions have been changed:

  • SAVEGUESTSTATUS() : TT 17964. Inactivate profile check AR


New and Changed User Rights in V8.9.6.0

The following user rights have been added

Configuration

  • Global settings

Controls access to the branch: 'Global Settings' under Configuration


Suite8 Kiosk Changes in V8.9.6.0

Suite8 Kiosk & Registration

Since this version it is possible logging in to Suite8 Kiosk as registered User via the page: 'V8Client/Suite8Kiosk/ExistingRes/RequestDetails' when opening this page, the confirmation number can be entered to retrieve the existing reservation.

Suite8 Kiosk → Profile Update

When entering a Profile via Suite8 Kiosk, missing mandatory fields are prompted offering updating these.

Suite8 Kiosk → Check-In

When checking in via Suite8 Kiosk, the Check-In page offers a checkbox to select 'Review the booking details'; the guest has to select this to be prompted with the Review booking page for verifying the entries before check-in.

Suite8 Kiosk & Check Out

Since this version it is indicated if a guest has checked out via Suite8 Kiosk.

Kiosk Interface & Cashiering

If no Kiosk Cashier is configured and when performing a posting, the transaction is accepted a record is created in the Interface log file and a proper error message is returned. In previous versions the posting was accepted.

Suite8 Kiosk & Table Reservation

Functionality has been added allowing retrieving and entering Table Reservations via Suite8 Kiosk in conjunction with the MyStay license.

Suite8 Kiosk & Questionnaire

Functionality for completing Guest Survey has been implemented in Suite8 Kiosk in conjunction with the Suite8 MyStay license.

Suite8 Kiosk & Table Reservations, Calendar Events and Questionnaire Surveys

Since this version it is possible using Table Reservations, Calendar Events and Guest Surveys on Suite8 Kiosk with the license for Suite8 MyStay. The configuration for these options is performed via the file: 'S8HPXMLConfig.config' as follows:

<MobileOptions>

<MyStayMode>

<ShowTableReservation>true</ShowTableReservation>

<ShowCalendarEvents>true</ShowCalendarEvents>

<ShowQuestionnaire>true</ShowQuestionnaire>

</MyStayMode>

<KioskMode>

<ShowTableReservation>true</ShowTableReservation>

<ShowCalendarEvents>true</ShowCalendarEvents>

<ShowQuestionnaire>true</ShowQuestionnaire>

</KioskMode>

</MobileOptions>


Suite8 webConnect Changes in V8.9.6.0

Suite8 webConnect

If a user requests a new password, it is checked that no duplicate Email address is linked to a merged profile. In previous versions these profiles were not verified for duplicate Email. When requesting a new password and the profile has no Web Login, but an Email address, the message prompt is: 'The password for your account can not automatically be reset. Please contact us on {PARAM TELEPHONE}'. In previous versions, the message: 'The specified User or Email has not been found!' was prompted.

Suite8 webConnect & Suite8 Kiosk

Since this Version, check-out is fully supported via Suite8 Kiosk.

Suite8 webConnect & MyHotelShop

Since this version, the functionality to collect booking information from Meta Search engines is available for Suite8 webConnect. Please note, this functionality is released in Beta mode only. It is activated by selecting the field: 'My hotel shop Tracking Pixel' and by entering a 'My Hotelshop ID' on the Setup 2 tab of the Suite8 Homepage Configuration Branch in Suite8.

Suite8 Web Connect → Promotions & Configuration → Reservation → Rate Management → Promotions

Since Suite8 Version 8.9.5.3, promotions are indicated on Suite8 Web Connect if they are marked as such on the Promotion Configuration on the Tab: 'Web' with the field: 'Indicate in Web'. On the same Tab a 'Web Short Info' and a ''Web Long Info' can be entered. On the Tab: 'Pictures', images can be linked to the promotion. If the rate code has rate details per room type and a promotion linked to each rate detail, then the promotion is displayed once on the header of the rate code on Web Connect, if it is linked to only some of the rate details, the promotion is shown on the Room Types where applicable. The original price is shown erased and the promotion price next to the original price on Web Connect.


Suite8 Online Interface Changes in V8.9.6.0

Suite8 Online Interface for Optirez

Since this Version Suite8 Online Interface for Optirez is officially released. OptiRez offers bookings and channel distribution for prices and availability via World Wide Web for the hospitality industry. OptiRez is an innovative smart technology API allowing PMS vendors to build one connection to the SiteMinder distribution platform and gain access with the world's leading online booking sites, such as 'Booking.com' and 'Expedia'. Please refer to the document: 'Suite8 Online Interface for Optirez' for configuring Suite8 Online Interface for Optirez.

Suite8 Online Interface for Best Western & Rate Triggers

Since Suite8 Version 8.9.5.3, Triggers for Rate Detail are no longer created during the night audit in the event that a Suite8 Online Interface is installed supporting Rate Detail upload. Creating Triggers for Rates during night audit is only required for 'Best Western' under certain circumstances, but no other vendor, therefore this has been changed.

Suite8 Online Interface for Best Western & Suite8 → Reservations → Share Reservations

  • Since Suite8 Version 8.9.5.4 all sharing reservations in Suite8 are treated as one reservation in the Best Western Central Reservation System. This means when two or more existing reservations are shared, then the reservation with the lowest reservation ID, 'YRES_ID', remains active and all other reservations are cancelled in the Central Reservation System. In the event that a share is broken, split into separate reservations, then all cancelled reservations are reinstated in the Central Reservation System. In the event of sharing reservations not arriving or departing on the same day, the Central Reservation System reservation will have the arrival date of the first arriving sharing guest and the departure date of the last departing sharing guest.

  • Since Suite8 Version 8.9.5.4 all sharing reservations in Suite8 are treated as one reservation in the Best Western Central Reservation System. This means when two or more existing reservations are shared, then the reservation with the lowest reservation ID, 'YRES_ID', remains active and all other reservations are cancelled in the Central Reservation System. In the event that a share is broken, split into separate reservations, then all cancelled reservations are reinstated in the Central Reservation System. In the event of sharing reservations not arriving or departing on the same day, the Central Reservation System reservation will have the arrival date of the first arriving sharing guest and the departure date of the last departing sharing guest.

Suite8 Online Interface → Using multiple CRS Numbers

Since this Version, it is possible using multiple Suite8 Online Interfaces, the CRS number from downloaded reservations is then not only stored in the field 'YRES_CRSRESNR' but also in the table 'YCRN'. In a multiple Suite8 Online Interface Environment a reservation might have more than one Central Reservation number. For example for Best Western, a CRS sourced reservation downloaded from Channel Manager has a CRS number from Channel Manager and once uploaded to the Best Western Central Reservation System receives another Central Reservation Number from Best Western. The functionality has been added for the Two Way Suite8 Online Interface for Best Western, but can be used by other Systems in the future. The Central Reservation System number from the source, in the above example 'Channel Manager', is always stored in the table 'YRES' in the field: 'YRES_CRSRESNR' and in the table 'YCRN 'in the field: 'YCRN_CRSSystem'. Any other Central Reservation System number for the same reservation is only stored in the table 'YCRN'. Locally created reservations which are assigned to a Central Reservation System number when uploaded from Best Western store this number only in the field of the table YCRN and not in the table 'YRES' in the field: 'YRES_CRSRESNR'.

When using a multiple Suite8 Online Interface Environment, the following changes should be completed:

  1. Under Global Settings → Miscellaneous → Search Screens enable the flag: 'Custom View in Res. Navigator'

  2. Include the following two fields in the custom view 'V8_SYS_CUSTOMRESSEARCH' by using the query below:

...

V8_FNC_YCRN_CRSRESNR (YRES.YRES_ID) CRSSystemNumber,

(case when (select YCRN.YCRN_CRSRESNR from ycrn where YCRN.YCRN_YRES_ID = yres_id and rownum=1) <> ' ' then 'RGB0,200,0'

end)

c_bkg_CRSSystemNumber,

...

On the reservation navigator, please open grid customization and add the new column 'CRSSYSTEMNUMBER' which is showing all CRS reservation numbers as stored in the table YCRN.

  3. Screen Painting: Customize the reservation edit dialog under Setup → Form Customization. Select 'FResedit' and click 'New' to generate a new Reservation Edit customized set, enter a Name and Comment, select the required language and save the entry by clicking 'OK'. Select the generated Screen and click 'Customize'.

Select 'FidResSelect' on the Component Palette navigate to 'FidResCRSSystemCombo' box and add this to the reservation edit dialog. Save the form and assign it to users. This is required because it is mandatory to select the CRS System (stored in the field YRES_CRSSYSTEM) whenever a CRS number is entered manually because the main Two-Way Interface is down and the property receives the Central Reservations via Email or Telefax.

Please note: The field access is controlled by a User Right and needs to be set to 'View only'. Only Users assigned to the User right for entering a CRS ID manually should have access to this field, which is defined in the next step:

  4. Disable the User right: 'Enter CRS ID manually' for all users, except for Manager or Supervisor who are allowed to enter a CRS numbers manually in case they receive central reservations offline.

General task:

After the update the tables: 'MMOD' and 'ZOTA' need to be checked for inactive entries and all obsolete Online Interfaces should be removed.


XML Interface Changes in V8.9.6.0

OTA XML Interface

The resynch screen for the OTA XML interface has been enhanced to only display rate codes which are marked as 'Online IFC enabled' and have the calculation method 'OTA / HTNG Rates' in rate code configuration and which are linked in the OTA XML conversion screen.

In previous versions also other rate codes were shown.


Suite8 Service Module Changes in V8.9.6.0

Suite8 Service Module & Global Settings → Generic3 Tab → Service Module & Configuration → Service Module

A Service Module has been added allowing managing properties neither operating with Suite8 nor connected to a Central Reservation System by using Suite8 Central. These properties are maintained manually by using the Service Module Plan. An unlimited number of properties can be maintained, but it is neither possible performing postings nor check-in or check-out. It is updated manually by using the Service Plan, where bookings for the different properties can be viewed and referred to for information. To use this, activate the license: 'Service Module' under Sublicense → Property Management and select the flag: 'Service Module' under Global Settings → Generic 3. The flags: 'Write reservation charges to service plan', 'Write reservation charges as a single amount' and the option to select 'Department Codes' become available and can be activated. Under Configuration → Service Module, Attribute Categories, Hints, Note Categories, Rate codes, Service cities, Service locations, Service type groups and Service types can be defined. In Suite8, the Service Module is available on the colored Tool Bar on the left with the options: 'Plan', 'Booking' and 'Service'. Please refer to the document: 'Service Module.PDF' for further details on this. Please note that this project is still in Beta and the documentation in progress.


Suite8 POS8 Changes in V8.9.6.0

Show and change table reservation description in POS Mobile

When editing check remarks you can now switch between the regular MFCHECK.NOTES and the description in the table reservation record. Use Variables %notes% or %remarks% respectively. If you only want to show some notes indicators, you can use %tblresmarker% (currently a (TN)) or %notesmarker% (a (N)) respectively.

Portuguese Fiscalisation (SAF_T) updates

Several small issues surfaced during testing:

  • Checks could only be reopened for a reprint after a Z-Reading of the waiter. This is fixed now.

  • Reprinted checks were always showing the current outlet date. You may now choose to use the check date instead. Just use the new XML Variable CheckDate.

  • 100% discounted checks should state that this is not a valid invoice (Documento nao valido como documento fiscal!). You can do this now, if you place the new XML-PrintVariable Discount Text on the print layout.

You can now suppress the payment section of the SAF_T export just by applying this view:

CREATE OR REPLACE VIEW POS_EXT_SAFT_RECEIPTTOTALS

AS

SELECT NULL zinv_date,

0 NumberofDocuments,

0 SUM_PAYMENTAMOUNT_NOFORMAT,

'0.00' SUM_PAYMENTAMOUNT

FROM DUAL;

Suite8 POS Mobile- Grouping Tables and book by seat

To enable grouping of tables the database layout needed to be changed

Table MFTableGroup

  • TableGroupID Char(12)

  • GroupName Varchar2(80)

Table MFTable

  • TableGroupID Char(12) – the table group the table is assigned to

Table MFOUTLET

  • GroupTables Char(1) -- if set to ‘T’, start screen of the android app will be a set of table groups with orders inside

Book by seat is now supported on the mobile as well as on the POS

On Android, when enabled, you have an additional seat column on all the screens containing orders, and you can split by seat when on the payment mask.


CCM Changes in V8.9.5.6

Conference Booking → Contact

In Suite8 8.9.6.1 & 8.9.5.5, the following issue was fixed: When adding a reservation to a linked group reservation of a conference booking or when adding an individual reservation and selecting the existing profile or creating a new profile, the booking contact profile on the conference booking was changed to the profile selected upon adding the reservation. However, in Suite8 Version 8.9.5.5, this still happened with individual reservations and is fixed with this 8.9.5.6 release.


Miscellaneous Changes in V8.9.5.6

Calendar Events & Configuration → CRM → Calendar Event Types

When entering a new Calendar Event Type in Suite8 configuration, saves the entered Event Type properly. In previous versions, the new configured Event Type was not saved.

User Log for Reservations & Financial Accounts

When querying user log entries on Reservations or Financial Accounts, the results are returned faster. The SQL statement used for this query has been enhanced to speed up this process.


Setup Configuration Changes in V8.9.5.6

Global Settings → Interface → Misc. Interface7 tab → 'Use Europäische.at Interface' & XML Interface → 3rd Party Interface

When using the Interface for the Travel Cancellation Insurance Company: 'Europäische.at' in Austria, the number of days for the Travel Insurance under Billing → Options → Travel Insurance is populated correctly. In previous versions the duration was populated with 1 for a reservation for one night, but the requirement by the Travel Cancellation Insurance Company is 2 days including arrival and departure date. This has been adapted.


Suite8 webConnect Changes in V8.9.5.6

Suite8 webConnect → Online Payment & Language → Danish

If a payment plugin sends the response direct to the server and not via the browser and Danish is the selected language, the payment is completed properly. In previous versions an error was prompted the payment not completed and the reservation cancelled when using 'Danish' as language and the Payment Plugin send the response directly to the server, for example 'VR-Pay' works like this. In this case an error was returned and the reservation was cancelled because the payment was not completed. This issue is solved in this version.


Suite8 Online Interface Changes in V8.9.5.6

Suite8 Online Interface for Best Western

  • The rate plan code for reservations picked up from a block are sent, since this version, with the group rate plan code (YBLH_SEARCHNAME), such as 1G, 2G. In previous versions the rate plan code for single reservations was sent in the 'ReservationNotifRQ' for picked up block reservations.

  • The option: 'Use Add to Rate Package Price for Upload' has been moved from the 'Reservation' to the 'Upload' Tab when editing the Mapper. This setting controls the rate amount upload on reservation and on the rate code setup.

  • Since this version, sharing reservations with 0 adults are supported, however, in the event of an already split share reservation or a cancelled one, the remaining reservations need to have at least 1 adult.

  • Since this version, if a 'SYNCREQUEST' message is sent by Best Western, the 'OTA_HotelRateAmountNotifRQ' message is created, even though CRS rate codes without rate detail or rate details in the past exist in the rate configuration. In Suite8 versions smaller than 8.9.5.5, the 'OTA_HotelRateAmountNotifRQ' message was not created at all. However, it is still necessary reviewing and correcting the skipped CRS rate codes in Suite8 in this event.

  • When copying a block reservation, the guarantee policy is copied to the new block. In previous versions, the guarantee policy was not copied.

Suite8 Online Interface for Best Western

  • The following enhancements have been implemented for Day Use Reservations in a Best Western Environment:

    A cancellation code (CancelOriginatorCode), 'Day Use' has been added to cancel the 'HotelResNotify' message: HotelResNotif./OTA_HotelResNotifRQ/HotelReservations/HotelReservation/ResGlobalInfo/ HotelReservationIDs/HotelReservationID[@ResID_Type="3"]/@CancelOriginatorCode

    The cancel code is included in the message automatically, no user input is required. The code is send only when Check-In and Check-Out is performed on the same business day and room revenue was posted. The code is not sent if a reservation was Checked-In and Checked-Out but no revenue was posted.

Suite8 Online Interface for Best Western & Upload

An access violation message was prompted under some circumstances when synchronizing or uploading Block reservations. The reason for prompting this message has been found and fixed in this version.

Suite8 Online Interface for Best Western & Corporate ID

The corporate ID of a global company profile downloaded from Best Western could be changed in Suite8. This is not possible anymore since Suite8 Version 8.9.5.5.

Suite8 Online Interface for Best Western & Best Western Web Service → Profile Lookup

With Best Western Web Service version 2.0, telephone information is send. Since this version of Suite8 this information is included in the Corporate Lookup.

Suite8 Online Interface for Best Western and Best Western Communicator → Status Log

An empty message was saved in the error log file when running Best Western Communicator not in debug mode and an error occurred. For example, when generating an error response from Best Western, such as Overbooking of 11 per room type for a day, then the communicator Status Log indicated an error received, but when opening the message on the 'Warning / Error responses' Tab, it was empty and also the XML file in the 'ResponseOutput\Backup' was empty, however the file was saved and displayed properly in debug mode. This has been fixed since Suite8 Version 8.9.5.5.

Suite8 Online Interface for Best Western & Configuration → Reservation → Rate Management → Rates

Since Suite8 Version 8.9.5.5, each time a new rate code is created or the option 'Online Interface' is selected or removed on the rate header, a dialog is prompted to the user for directly setting up the conversion table and enabling the upload functionality of the rate code for all active Suite8 Online Interfaces, if required. Since this version further enhancements have been done for this feature and for uploading the rate code setup in a Best Western Environment:

For OTA Interface Rate Codes the dialog for Rate conversion / upload Setup is no longer prompted and additional issues are fixed when creating a new or copying a Rate Code.

Suite8 Online Interface for Best Western & Customer Relation → Profiles → Best Western Profile Lookup → Enrollment

The options: 'Language', 'No Emailing' and 'No mailing' have been added to the tab: 'Enrollment' on the Best Western Profile Lookup.

Suite8 Online Interface for Best Western & Suite8 → Reservations → Block Reservations & Configuration → Reservation → Block Status

Since this version there are no more restrictions for the Block Status configuration when running in Best Western Mode. In previous versions only definite Block reservations could be processed and restrictions applied to the Block Status configuration for the Next Status. This has been removed.

Suite8 Online Interface for Best Western & Customer Profiles → 3rd Party Profile Lookup → Best Western Profile Lookup → Promotions Tab

Since this version, promotions are sorted in ascending order on the Profile Enrollment form for Best Western; however, when clicking on the column header on the grid, the columns' sort order can be changed.


Suite8 Kiosk Changes in V8.9.5.6

Suite8 KIOSK & EFT Interfaces

Since this version, the EFT requests are sent correctly and the printers for printing EFT receipts can be linked properly. In previous versions, in Suite8 KIOSK, the EFT request were all coming from the same source workstation, which resulted in not properly printing receipts.

Suite8 Kiosk & Key Card Interface

Since this version, the Check-Out commands are sent to all Key-Interfaces properly, when using Suite8 Kiosk with installed 'RFID-dispensers'. In previous versions the Check-Out commands were not sent to all Key-Interfaces.

Suite8 KIOSK & Reservation Search by CRS Number

Since this version, the search by CRS Number on Suite8 KIOSK considers the changes made in Suite8 Version 8.9.5.5, where the table 'YCRN' was introduced to store the CRS Number from different Central Reservation Systems. Since Suite8 Version 8.9.5.5 the functionality of using multiple Central Reservation Systems was introduced, however this change was not considered on the Suite8 KIOSK search and has been fixed with this version.

Suite8 KIOSK & Suite8 → Customer Relation → Profiles & Documents

When entering the Date of birth, Place of issue and Country of issue of the personal document via Suite8 KIOSK, the information is correctly stored in the Suite8 Table 'XPDC', storing the information of personal documents and also displayed properly on the More Field tab of the corresponding profile in Suite8 under Personal Documents. In previous versions, if this was entered via Suite8 KIOSK, some information was not indicated on the profile in Suite8 nor stored in the Suite8 Table.